commit 4b20dc23e2d09b095f5388370d646d576144f1df
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Dec 3 18:58:42 2013 -0800

    0.6.2

commit 212f7f31afc64f6be42ebf3478d5480fdbfee9e4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Dec 3 18:58:22 2013 -0800

    Ensure Windows pc_os_version does not contain anything but numbers.

commit 800f2697560310fb0e6cb93f814bbac289d07b86
Merge: 1d5cc20 3587692
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Nov 27 11:10:13 2013 -0800

    Merge pull request #393 from simleb/master
    
    Fix #292 allow space character in password

commit 1d5cc202f52b110ccfe778aa0933e1f9690d879a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Nov 11 00:13:42 2013 -0800

    Bump to 0.6.1

commit bee8ff4e8ad414e75633d0ec6bee1f41cf3cbea0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Nov 10 23:02:30 2013 -0800

    Fixed Windows get OS version.

commit 172c77f2484104a63018f2f9db5b41bf0874fae7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Nov 10 22:49:14 2013 -0800

    Fixed Mac get OS version.

commit 6270e5f4cec9fd661a45742ce9195f0d107c4683
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Nov 6 17:21:47 2013 -0800

    Set OS version to real build number instead of OS 'codename'

commit e9b6c9b1255ce7fe4e42484c8c2e5533df43bbbc
Author: Rodrigo Fuentealba Cartes <hagarvikingo@icloud.com>
Date:   Mon Aug 5 15:27:13 2013 -0400

    get_header_value detects case insensitive headers.
    
    This function is used to parse headers. However, as stated in the
    bug #403, headers can be sent in any case (upper, lower or camel).
    Adding the **-i** flag to grep enables detection of any kind of
    header.
    
    Fixed #403.

commit 358769264b17f53e4e279390589f82af7747f8d3
Author: Simon Leblanc <sim.leblanc@gmail.com>
Date:   Thu Jun 6 02:19:25 2013 -0300

    Fix #292 allow space character in password

commit f74a822cab7c9fa21957518d3bf05a53b0c01e7d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 8 19:37:36 2013 -0400

    Updated updates_url.

commit 7c0bbf0b305f765130aae3603f009ffe33bb043c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 8 13:26:53 2013 -0400

    Bump to version 0.6.0

commit a10485de7d100b32db633db636d1644224da20ab
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 9 17:26:40 2013 -0300

    Do not use -k in Linux config curl call.

commit 1ab8a5ffc4e4dcb0ab540c5d9dcddf1cf7c19c24
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Nov 30 11:12:19 2012 -0300

    Use $check_url in update_device_info instead of $control_panel_url.

commit 3591e172ec7d778ea11fa49cf5b00a319e178ff0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Nov 30 11:11:55 2012 -0300

    Added missing chmod +x from last commit (Gentoo fixes).

commit 8514c42e22255b288311377d9f90554493de5f9c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Nov 30 11:08:18 2012 -0300

    Merged pryoidain's patch from Github issue #339

commit de508aaa7a085b2fc46082353de4dd96cc22af30
Author: Carlos Yaconi H <carlos@forkhq.com>
Date:   Wed Mar 27 09:16:05 2013 -0300

    Bump to 0.5.10

commit 7b61ab5d95c70f194c69376351a4ae0fb93eb459
Author: Carlos Yaconi H <carlos@forkhq.com>
Date:   Mon Mar 25 17:11:40 2013 -0300

    Moved modules' URL from Github (deprecated) to S3.

commit ee081900c80ef7666fc663d3204cb684a20a15d2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Nov 28 19:20:16 2012 -0300

    Bump to 0.5.9

commit 9e4d3ded81398e41e90418469b4be920398a5c22
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Nov 8 12:12:27 2012 -0300

    Mac: Make sure we get a valid proxy using get_system_proxy.

commit cbc29b21832b2b1a53d3224bb1abfaf5c9487328
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Nov 7 11:16:03 2012 -0300

    Bump to 0.5.8

commit b5e9cb928ebca4ee2664faf20d522da40f9156bb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Nov 6 18:07:51 2012 -0300

    Urlencode device name when registering device.

commit 1f3a46f9392dd20d9068cd8a78816fc0dd3e881e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 23 15:43:15 2012 -0300

    Updated prey-config.exe

commit 589c243618a5b8473a46e938dda7b52ddd6f355b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 26 20:33:52 2012 -0300

    Make sure delay is set when not present.

commit 963799333423c184b92ac206df7ec709405ec8c2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 23 13:13:18 2012 -0300

    Bump to v0.5.7

commit 4b9d0dacec1e10957beb19c51e0743a75a2528a5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 23 13:14:54 2012 -0300

    Updated get_airport_strings function for Mountain Lion. Don't expect proxy server to be enabled.

commit 55d8092e930bcd5147be06b8798b296c2bb8f571
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 23 13:14:18 2012 -0300

    Added Mountain Lion in get_osx_version function.

commit 9ec0e0b2d5df18f2d0997051a5718b60573057ae
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 23 12:25:13 2012 -0300

    Fixed get_system_proxy for Windows

commit 2a6710051c32afa6e0f2a17946417d207aa41248
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 22 21:09:26 2012 -0300

    send_request: Search for proxy automatically if request fails. Log proxy_server used when dumping errors.

commit 45d2c685da83a5cecc61fbe728a5afad5a768083
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 22 21:07:51 2012 -0300

    Use send_request function in send_via_http function, so we benefit of the auto proxy stuff. Small syntax fixes.

commit 57f33c7403d829b5dfb7f9d731055f6d022d6290
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 19 21:09:22 2012 -0300

    Cleaned up check_net_status function a bit. Use send_request function.

commit 2af76ae326f08ba66ba56345207cc21fae70688c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 19 21:08:57 2012 -0300

    Added get_proxy_server function to encapsulate proxy server resolution.

commit a36f76aac7bbf7d8f17aae272a43b19d3dbe004b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 10 15:55:00 2012 -0300

    Bump to 0.5.6

commit 72535101098dd67bd949398da795d3b5b2d829cf
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 28 16:43:02 2012 -0300

    Get system proxy if try_proxy does not contain a valid one.

commit 88f825ef71c3723199f5b08159ac2bb7a5688de6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 28 16:42:40 2012 -0300

    Formatted Linux's get_system_proxy.

commit 648622c1a7ffc34be15f33003093776cae0eeee3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 28 16:42:16 2012 -0300

    Finished get_system_proxy in Windows.

commit 0ff6cc1ac0fcc796b16e76bd952932784b051fc2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 28 14:57:33 2012 -0400

    Added get_proxy_from_system function.

commit 3a2e602c064aac80ab0dfde4d52f4c718b581c22
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Sep 24 19:23:11 2012 -0300

    Simplified prey-config.exe by removing standalone option.

commit 6b086928ca3c7f382b0833425cb642ceb98dd39d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 21 20:34:33 2012 -0300

    Fixed current delay check.

commit 84088f6a5b7f840d0eaa2f9bc3d97f821362d3a6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 21 19:57:23 2012 -0300

    Simplified logic for check_and_update_delay so it's actually intelligible.

commit b94d31d0298a7541507df8f7c04ad136b3a1482f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 21 19:56:38 2012 -0300

    Windows fx: Removed  reverse tunnel stuff, added get_random_minute_delay function.

commit 2726d7c71973cecc2f7ef1d62fad71af5b95ab91
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 21 19:55:55 2012 -0300

    Only call update delay only if the value is present.

commit f53cb20bbb845e13e48f6cf2716150668925de9c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 21 18:38:59 2012 -0300

    Updated COPYRIGHT file.

commit b2bd8ea8ddc596e0014fa3d4bf4e4cb74322ab76
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 21 18:38:21 2012 -0300

    Removed reverse tunnel functions.

commit 77e166ac831e416bf488cc015d0cdaeb7c6b3f8c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Sep 10 17:38:36 2012 -0400

    Added stuff to gitignore

commit 8d18e0c06cf2825f4c7ed77b50dcde8233e555c0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 5 14:18:19 2012 -0400

    Added a few more chars to urldecode function.

commit ef0418ffb206c1353773568d23c4a052516da6e9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Sep 20 20:53:23 2012 -0300

    Log response errors when any request fails.

commit 49fe907cc49b63ee5fcef80bf2d0053047ce6b99
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sat Aug 18 18:23:48 2012 -0400

    Use SSL for checkins too. The circle is now complete.

commit 7af138840f824c13bdb8bf17fe998b0fb8d21ace
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 6 19:58:03 2012 -0400

    Don't load or set up trigger at runtime. We'll do that during installation.

commit 980e44232d776f057208ab4557d622182f3d4801
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 6 13:08:15 2012 -0400

    Added check_url to email report

commit 663a2b7239e131cd302956edc72f219717475e30
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jun 27 15:40:34 2012 -0300

    Updated README

commit 3ac64bfcbfe2df8a45d11f9ac35a8e5349d14c46
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jun 27 12:57:28 2012 -0400

    Removed unused env.exe binary

commit 480ae1e26d166adc393e7761a638d84e00e7f096
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 25 19:51:19 2012 -0400

    Updated modules URL

commit f7877292b4aa734c7bb18d6c01770249c3793bab
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 25 19:17:21 2012 -0400

    Bump to 0.5.5

commit a5f5787660903696985e0f286c04798ab0ee3a1a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jun 26 00:22:55 2012 -0400

    Checks and syntax corrections in Linux-specific functions.

commit ee37ee1287f7970dd14fd450dc11045329b306e7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sat Jun 23 02:49:37 2012 -0400

    Added .gitignore

commit a1ac9f93ec49a903f10143c72b75cc7842ee1c7c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sat Jun 23 02:49:08 2012 -0400

    Updated prey-trigger python scripts for OSX and Linux.

commit e7020ec1426fc6ab9e2a6194122359fbb4aa2a19
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jun 22 19:38:08 2012 -0400

    Fixed self_setup now that we're sending hardware attributes.

commit 8d3a09e63787cfea9d553c74ff040183d9adcb57
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jun 22 19:17:18 2012 -0400

    Replaced some backticks with 's

commit 3ed7b8c83420663865742c25f5b2fb11a6c1a535
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jun 22 19:13:42 2012 -0400

    URLencode slashes as well

commit 30fda43d3a5720efe9a8bac8c8e0cb4a8bc4379b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jun 22 13:58:07 2012 -0400

    Help message output

commit bebecf5e47b9b7a6c0631843c10693d4b675f9c2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jun 22 13:51:42 2012 -0400

    Skip SSL verification only if host does not match Prey Control Panel

commit 7e1584ac80f2b1c78863e17a09188f617754099c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jun 21 21:36:49 2012 -0400

    Help output format

commit e7cff53d90ea4d8f1f2adfb89f34f1e37648ebc0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jun 21 21:21:00 2012 -0400

    Removed -k option for curl when sending reports through HTTPS endpoint.

commit c854f92ac9a3c39417e7b7be66897a7811a4b2e0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jun 21 21:20:33 2012 -0400

    Use HTTPS enpoint for device updates on Control Panel (PUTs).

commit 67d9a343d28f3188ac311fbdebb2f0d94e2d0ef4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jun 21 21:17:26 2012 -0400

    Updated URLs in core/setup. Use HTTPS endpoint to Control Panel.

commit 67277898413159cdf6c98d514b5317e412568d7a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jun 21 21:16:49 2012 -0400

    Append hardware information when running self_setup.

commit 93aa484b01b9b86c16cce7d231072e6e521ee6e6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 30 17:35:59 2012 -0400

    Make sure variables do not begin with a number, as pointed out in issue #286

commit 56fdaabdd1ee2ea18fc630f5ad16a58be174c505
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue May 8 14:02:16 2012 -0400

    Added try_proxy config setting. If direct HTTP request fails, Prey will try to use the proxy as an alternate route.

commit d89a6cd30fc81ff2e7ef62f72c8fcbabb2045b55
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue May 8 13:57:44 2012 -0400

    Fixed set_config function using fix from issue #284.

commit 36fcedccdf4c21d452c9d9190e2cde2426ca5f58
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Dec 26 13:06:54 2011 -0300

    Added Romanian translation

commit bc066327dce4b77abcdab490fb3878dfa50462be
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Nov 3 13:26:59 2011 -0300

    Fixed networksetup functions for Mac, should work on OSX Lion

commit 210eae864cce5aab0bc19584dd65a5f1198d6e3d
Merge: 287f628 53ab607
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Nov 3 08:51:08 2011 -0700

    Merge pull request #211 from rys/osx-lion-basics
    
    Basic Lion support for pc_os_settings

commit 287f62885cb50b4da427d841cff705ae5f30ec7f
Merge: 1edd4d1 2d77ba6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Nov 3 08:49:49 2011 -0700

    Merge pull request #210 from rys/ssl-smtp
    
    Add SSL socket support to the emailer

commit 1edd4d1cd30b910f909803fd0f59797b3330d451
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Nov 2 20:35:15 2011 -0300

    Added PT localization strings from Silas Martins (o'brigado :)

commit df7e21c533e992110650364c813fb57edec19ae2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 28 18:04:15 2011 -0300

    Added COPYRIGHT file.

commit 4db7ab07857bdd18b1d67170da1b62f238f700db
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 28 18:03:51 2011 -0300

    Make sure we don't get unary operator errors on the send_request function

commit 3f5ddce8013ba78d0e2d9786f4a9fe5f0bef776c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 27 18:06:11 2011 -0300

    Added od.exe binary for Windows, from UnxUtils

commit 2d77ba69145f8d3bc4c5edbac59750cc51a3b296
Merge: 5681546 40196fa
Author: Rys Sommefeldt <rys@pixeltards.com>
Date:   Sat Oct 22 01:11:21 2011 +0100

    Merge branch 'master' of github.com:rys/prey into ssl-smtp

commit cd05dff1d4c5792f036ac3f6ece33ebc0473201e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 12 00:03:08 2011 -0300

    Linux Configurator fixes. Added centralized make_request method, sends valid User Agent with Curl

commit 7d556ede13137f79137c14476fb5f468bb39bfe4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 5 18:13:22 2011 -0300

    Added 60 second timeout to Curl HTTP requests

commit 40196fa212c9448be89065fc8f62f7e13308ee9a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 23 18:42:43 2011 -0300

    Linux: On some systems who doesn't show the logged user on tty7, so we need to checking who's running ssh-agent (for X session)

commit 56815462141c189a27585e6345eef0f89065c26a
Author: Rys Sommefeldt <rys@pixeltards.com>
Date:   Sat Sep 3 22:06:50 2011 +0100

    Attach ssl_available to the right branch

commit 27f4924f7b042c6ce23113fad1549c42429b9dd2
Author: Rys Sommefeldt <rys@pixeltards.com>
Date:   Sat Sep 3 21:59:51 2011 +0100

    errsrt -> errorstr

commit f18a6d398fd2bb35e6358a3f96e56cc4aeb683d0
Author: Rys Sommefeldt <rys@pixeltards.com>
Date:   Sat Sep 3 21:54:47 2011 +0100

    Remove erroneous char. I blame my new kitten.

commit 53ab607bc92064833f05cf27fe6d86e69dab5944
Author: Rys Sommefeldt <rys@pixeltards.com>
Date:   Sat Sep 3 21:39:01 2011 +0100

    Basic Lion support for pc_os_settings

commit 982a73bf9da0eb4fcc1dd53f416ef8e5f9110a22
Author: Rys Sommefeldt <rys@pixeltards.com>
Date:   Sat Sep 3 21:32:01 2011 +0100

    Add SSL socket support to the emailer

commit 8c45dd239f9a19df4f7a7a3ab3c5fa1ff86112c4
Merge: 42d3d40 fd075b9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Aug 31 11:58:19 2011 -0700

    Merge pull request #208 from delectomorfo/patch-1
    
    Spanish grammar corrections.

commit fd075b97e1fdbece3eda9815acb926582f8ea7ea
Author: delectomorfo <delectomorfo@gmail.com>
Date:   Wed Aug 31 11:03:13 2011 -0500

    Correcciones menores

commit 42d3d4037a6dd4c27cbfa74226ef6489334c7947
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 25 16:15:55 2011 -0400

    Bump to version 0.5.4

commit 4eefb7e4e766c86ea1d000393e5dcc033b7efd11
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jul 8 16:27:38 2011 -0400

    Linux prey-config fixes. Replaced some system calls with native Python methods. Prevent error on delay getter when interval is not every X minutes

commit 4858a292321f568e45f5da0dd9564b0b9a29401e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 5 19:57:25 2011 -0400

    Don't use env at all, since it's still causing errors

commit 208a13fa6ddf2e717b8bfa6a596b17cb44ee893b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 5 18:28:27 2011 -0400

    Added missing line to config.default

commit d674bed54cf36e14eb4c7dd9ba1b0e9ce6c2bd01
Merge: 8a978bf f9a7dbb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 7 15:17:38 2011 -0700

    Merge pull request #172 from abahgat/master
    
    Improved email validation regex

commit 8a978bfff25224f5d537cd9e310daa59b685cd45
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 5 18:05:45 2011 -0400

    Updated Windows CronSVC with logging check

commit d498a4ddee09095a957db819fa77869101bc926c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 5 14:08:26 2011 -0400

    Updated env.exe in platform/windows/bin

commit d5f7e59f87394542bed9eb75fa73257671ab06d8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 5 13:56:05 2011 -0400

    prey-trigger: Make sure PC is connected before running Prey at initialization

commit f942cd5fb280969d3b90fbc056096e3220842e83
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 5 13:51:31 2011 -0400

    Added os.wait() in prey-triggers (Mac, Linux) so we don't get zombie processes

commit a47ebaf1ab44ce895fd3979ca417eeff5dfd2105
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 5 13:50:35 2011 -0400

    Fixed prey-trigger linux init script stop function

commit 51ec6966980efe9d3a3a7293eea26bf67449dea7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 5 13:50:09 2011 -0400

    Finally a way to check if run from cron that works

commit 480aae4e8267b16a72abf844b73df957bfb0b3ba
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 5 13:30:06 2011 -0400

    Added start/stop functions to prey-trigger Linux init script. Make sure it is daemonized

commit a575316d166a14061b7ff92218c543f657b63da7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 5 13:16:00 2011 -0400

    Added status command to Linux prey-trigger init script

commit 0ef1cd5e907d5e58cd4730237c1f1b1334a441ec
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 5 12:27:19 2011 -0400

    Use % as sed delimiter on save_config_value function

commit ac10bd255f122a59b4d6989b04c421db83de8070
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 19:56:54 2011 -0400

    Removed debug method for trigger unloading in Mac

commit 389ca69d693dc1d5538e9ab9df45e4582bbc0f67
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 19:13:53 2011 -0400

    Fixed Mac get_mac_address function

commit 72d9e54352e26fd48d8ec6fee30da3863efb5450
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 18:41:12 2011 -0400

    Python indentation for prey-trigger.py's (Mac & Linux)

commit d64e535c68ee5ca6210e25c5b3947078fbb575d0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 18:40:45 2011 -0400

    Added running_from_cron function to check if we really are

commit 270ce1fd336310f8887bbdf7c6911c85c33de3d7
Merge: 786cc05 12f8c12
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 17:28:48 2011 -0400

    Merge branch 'net-trigger' of github.com:tomas/prey into net-trigger

commit 786cc054a01ffce91946e477cca91be4bd4906e7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 17:28:19 2011 -0400

    Removed --immediate check option. Simpler (better) way of checking whether Prey should wait a few seconds before sending a request or not

commit 12f8c1290184c277c617cb5f84fff542ccb01aa0
Merge: 4acc66e 08c229e
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 17:00:59 2011 -0400

    Merge conflicts regarding trigger_plist_path

commit 4acc66e13556c6cdb0a7e9efe131359cd989b471
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 16:59:06 2011 -0400

    Mac Prey Trigger: Copy plist file instead of symlinking.

commit 0677d47bd1006037e258f9576540c2594a0959ef
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 16:00:56 2011 -0400

    Removed executable bit from pixmaps/prey.ico

commit ecc4117c4af4f2465191fb60efd0a79558482ccf
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 15:50:44 2011 -0400

    Updated CronSVC with net-trigger support and better exception handling

commit 08c229e0b5b6546e5c231d7ad581c42528078422
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 15:27:17 2011 -0400

    Fixed get_gateway_ip function for Windows

commit 471e0652256cf3dcc8e72ba38745d22b69783965
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 14:52:01 2011 -0400

    Fixed network base functions for Windows

commit cff7701988c7ab6cf8d606f23610f411f37fb826
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 13:35:44 2011 -0400

    Added simpler MAC/IP Address getters in Mac

commit b071bff0d0bcb2c82fdabe041931aff51ce4038d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 13:35:19 2011 -0400

    Replaced some backticks on core/actions

commit 9881c995c7ee30596f18f0d73f97116c1f6025ff
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 4 01:00:50 2011 -0400

    Added checks to Mac prey-trigger.py as we do in Linux

commit 928c846efbf751b9956196b661a3244d5f66ba4f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Jul 3 22:25:55 2011 -0400

    Stupid mistake

commit b82a80259f51b703c576e9ae0fcdd6e5f817144f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Jul 3 21:35:33 2011 -0400

    Removed --on-demand argument in favor of --(i)mmediate. Make sure On Demand requests don't wait before doing their job

commit e5f87b3ceb437b3fe2f1808d4b6fe08982b29263
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Jul 3 20:12:06 2011 -0400

    Fixed update_execution delay function.

commit 31aed0dff52da21a1e8cf60704ac9f42a60a48c7
Merge: 9b5985f fa2fbe8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Jul 3 19:03:34 2011 -0400

    Merged network_and_storage local branch

commit fa2fbe87059461a9ba5d57b6a93823df1581c6a1
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Jul 3 19:01:16 2011 -0400

    Fix set_key_value function. Make sure query_string is generated correctly

commit 0a371328dc4c5082ea1c4765cbaa91276bb972fc
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Jul 3 14:58:38 2011 -0400

    Fixed store_key_value function

commit cd2a0e0ab877587926e9653f8fa399eb42ab0cca
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jul 1 23:11:09 2011 -0400

    Moved ip_address and mac_address functions to platform/{os}/functions, as we'll use them for the system module besides the network module

commit ea8c6af59a93e7d65a6e5727dcc8346b5be50ef6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jul 1 23:02:37 2011 -0400

    Make add_file use the new store_key_value function

commit 97c9c12011d14ea02d587cde22871949c247ce87
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jul 1 23:02:11 2011 -0400

    Split list_traces into generate_query_string and generate_list functions, so we can reuse them. Added store_var and store_key_value for better flexibility.

commit 09e9c6f66d7d6e8e26107ba0caf0f8f0f11219f5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jul 1 17:50:43 2011 -0400

    Remove backticks on get_pc_info function in platform/windows

commit 9b5985f180c1d63cf5e6fb7197ef0494a74af004
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Jun 30 20:50:48 2011 -0500

    Fix suse and arch init script removal. Dont output speak errors on net-trigger debug function

commit f9a7dbbd787385b08f22bc1a6585ea2884dae1bc
Author: Alessandro Bahgat <ale.bahgat@gmail.com>
Date:   Sat Jun 25 20:55:48 2011 +0200

    Fixed email validation to allow 4-letter domain suffixes (.name, .info and the like) plus the two new 6 letter domain suffixes (.museum and .travel). Closes #49.

commit f579ceed6c8c09b2ae4011952b93d21f5c008f86
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jun 23 19:53:54 2011 -0400

    Small code cleanup

commit c475b0dff6473a18d041b1d802af42a25bee6ff5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 19:39:55 2011 -0400

    Moved distro-specific service management functions to platform/linux/services

commit 4436cb9e9fecf9f8dc4a7e340089f08a0a0b6b42
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 19:28:07 2011 -0400

    Better return code for Linux load/unload functions

commit ddad8f6dedf9ee4ba95ce24d39aadff597912925
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 19:20:44 2011 -0400

    Fixed NetworkManager process name for Debian vs. other distros

commit 8f56da032a3909ec880d458f6be7e57a559c3c08
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 19:08:39 2011 -0400

    Updated prey-trigger Linux init script so it works in Redhat variants

commit 4f2caf583a019123dec03d938fd050c5f50a6b49
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 19:01:24 2011 -0400

    Added ubuntu/debian, fedora/redhat load and unload service functions.

commit 6aa8f4c3fe5109d1d858daf1393d7e437d4a158b
Merge: 8f552fe d6477bb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 18:23:26 2011 -0400

    Merge branch 'master' into net-trigger

commit d6477bbcc1efe54b1e4772c9b3357684f30f7204
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 18:23:18 2011 -0400

    Removed extra grep in get_internal_ip function

commit 559eb2cf219c924d33cd8aaf3c05205d11d8cef4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 18:19:51 2011 -0400

    Added get_distro_name function for Linux.

commit f53e22a0c997d787f41e53c938e742fa40257dbb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 18:14:48 2011 -0400

    A bit of code cleanup on platform/linux/functions. Added shorthands and removed backticks.

commit 8f552fe5c73eb95051ebcd6165901dcab018d586
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 17:53:59 2011 -0400

    Linux: check prey-trigger in rc.d where it belongs (runlevel 3)

commit 3af3bae8db0220c5441d4a542f991f02546c2f4a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 17:52:23 2011 -0400

    Added dummy trigger and new delay setter functions for Windows.

commit b936ac94be0a82b1674c3bd74ae3684e8a1a8dfd
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 13:57:37 2011 -0400

    Replaced os.system with subprocess.Popen in Linux trigger python script

commit 5313eb958278bc3b202451b2ac4b450b2b21cf6d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 13:53:46 2011 -0400

    Added prey-trigger Linux init script and load/unload functions

commit e30eae0f516acc40ebaa5cc194d8090d822826d0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 13:53:20 2011 -0400

    Remove stderr output on cron editing functions

commit 55a410f13a57fcfd441b9f6cd5dec8c4dcd47cea
Merge: 9bea016 0ec4fe9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 13:01:49 2011 -0400

    Merge branch 'master' into net-trigger

commit 0ec4fe97ef8b79fa15d8c2ef41857116aa49a0b8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 20 13:01:32 2011 -0400

    Fix device_type (Desktop/Laptop) and OS name getters in Linux

commit d71da0947d8fd1c6db67f034923d75e52026ea53
Merge: af35cbb f80cc92
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Jun 19 23:33:22 2011 -0400

    Merge branch 'master' of git@github.com:tomas/prey

commit 9bea016cdcee785acf093393eb53b0d0fd1bbb46
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Jun 19 23:32:55 2011 -0400

    Added network trigger load/unload functions for Mac

commit 15612f170537d559274e6d0c996ab9f024d78a91
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Jun 19 23:24:46 2011 -0400

    Mac Trigger: replaced os.system for better subprocess.Popen when calling Prey

commit a8322ceaae53c5240b1666ff335cc46a2faae242
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Jun 19 22:38:36 2011 -0400

    Dont exit if On-Demand is active. Lets us get reports on interval even though On-Demand is active

commit daa4f84be5e0131a7f7d174efe1946a83efb6028
Merge: bb6d7b8 af35cbb
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Jun 19 22:29:33 2011 -0400

    Merge branch 'master' into net-trigger

commit af35cbb308b8dd92aee5be45e146c18ad2cc39d1
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Jun 19 22:29:17 2011 -0400

    stat /dev/console works in Mac but not in Linux

commit bb6d7b81d915ad5c3a50e556d69cc606e76a8517
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sat Jun 18 23:30:23 2011 -0400

    Added check_and_update_delay function. If device is not missing, we'll set the interval to a random minute on every hour (as we'll also be using the net-detection trigger to wake up Prey). If missing, set the delay to the one sent from the Control Panel

commit 7345351c7ab9316e42af040bc877a921dcc0c2fa
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sat Jun 18 23:18:05 2011 -0400

    Set missing var so we can use it later while processing directives

commit 2e3516fcfb381faed847739a800089784c51765c
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sat Jun 18 23:17:30 2011 -0400

    core/setup: make sure we only shift if an argument was passed to --test

commit f80cc92b1513237793044dab615361955228d07f
Merge: 77ae50b e8fbe8c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sat Jun 18 16:59:40 2011 -0700

    Merge pull request #161 from abahgat/patch-1
    
    A couple small fixes to the Italian language file. Closes #161.

commit a9ca98da0719a1322ebed81eec794fc48b5abb7e
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sat Jun 18 19:57:21 2011 -0400

    Added net-trigger python script for OSX

commit 77ae50b15b7405eb64e981c002d33a3e3639d51b
Merge: ed7e446 1966c5d
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sat Jun 18 19:54:51 2011 -0400

    Merge branch 'master' of git@github.com:tomas/prey

commit 52e123c151f65cab8f31201fe86e899edc31b369
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jun 17 20:02:33 2011 -0400

    Fixed Prey path on net-trigger scripy

commit eed29799c6507dbe0d01944e1a4aea5795952e81
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jun 17 20:01:36 2011 -0400

    Initial attempt to subscribe to network changes in Linux. Seems to work

commit 1966c5d90998ae1f58ab6210af7583b5ba006fa5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jun 17 19:21:26 2011 -0400

    Updated prey.sh header

commit e5948f3c1a36a97322113703903af9af80eee118
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jun 17 19:20:18 2011 -0400

    Sleep a few seconds before making a request, to avoid empty responses from server. Can be overriden with the -i argument.

commit 2afe3bede25b9f73109af0969469b8fffc77c3a3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jun 17 15:00:08 2011 -0400

    Added get_random_number function, which we'll probably use for setting a random interval

commit b7f738f344045ae351a39a91aa171c25ac3dbc3e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 13 22:44:07 2011 -0400

    Fixed issue #107 regarding SMTP username/password check

commit 2550c9fdad591cca3733a6a39a8af68fef72d880
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 13 20:15:30 2011 -0400

    Removed backticks in one function

commit e8fbe8c76393496a2029fcb93e8dd258c00e3b81
Author: Alessandro Bahgat <ale.bahgat@gmail.com>
Date:   Thu Jun 9 23:08:31 2011 -0700

    A couple small fixes to the Italian language file

commit 4e94c35e4e2ca0c966980d6932149692039017fe
Merge: 38cf3a8 ced365d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 6 16:56:59 2011 -0700

    Merge pull request #140 from drewreece/master
    
    Fix the screenshot & webcam when multiple users are logged in on OS X. Awesome fix Drew!

commit 38cf3a87577615dac5073a981e7060ab550c7685
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon May 23 23:42:27 2011 -0400

    Added missing month to email header -- thanks Tom :)

commit 877aa383cc88ccf17a420a9b639eea6e79db1bf1
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon May 23 23:42:08 2011 -0400

    Don't really exit if send_request fails, let Prey shut down gracefully

commit 7c56302ff013b4675af08442c38b3f1b134dd8c6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon May 23 23:26:24 2011 -0400

    Check if Curl was successful and headers_file exists before trying to read the file. Otherwise exit 'gracefully'.

commit ced365dc3929965302c29983995150dc134ddf6d
Author: Drew Reece <drudus@gmail.com>
Date:   Sat May 21 03:20:05 2011 +0100

    Searching for the PID for the , 'Fast User Switching' creates multiple loginwindow processes, lets just get the one we need.

commit d73192b66f243713e2e5ff3da7eaa0b1788573c3
Author: Drew Reece <drudus@gmail.com>
Date:   Sat May 21 03:03:18 2011 +0100

    Replace 'who' with 'stat /dev/console' so that the logged_user variable is the actual active user, who was returning multiple 'Fast user switched users' in no particular order.

commit 78a554a930d60c67fcc629cd12347187bb00e558
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri May 20 15:42:55 2011 -0400

    Reindented Diego's code. Also removed some backtics on platform/mac/functions

commit abd7a8a396b38f91e20820d9b6523b7b6b3bc466
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu May 19 14:27:52 2011 -0400

    Set cipher algorithm as a readonly var

commit cecde849cdcf71e64e6caae86079599f66bfe1d6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu May 19 14:26:58 2011 -0400

    Removed more backticks from push functions

commit 2740cb91d5818f478e35c2f4a85215876462f834
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu May 19 14:26:23 2011 -0400

    Redirect STDERR to STDOUT so everything is sent to the log file

commit 8df4eef429a60db68f8357ccedae1abf30e317be
Author: warorface <diego@warorface.com>
Date:   Fri May 20 12:12:20 2011 -0700

    Modified get_wifi_info() to return a network scan (wifi info) instead of current connection info (AP info)

commit 50cdc29b9f9b36a4c9b17b415550026084718884
Merge: d24abe4 dbb93b0
Author: warorface <diego@warorface.com>
Date:   Fri May 20 11:39:08 2011 -0700

    Merge pull request #138 from drewreece/master
    
    Remove wget from Linux requisites - issue 118

commit dbb93b09c7bcb95f833e44b51850b88de638692f
Author: Drew Reece <drudus@gmail.com>
Date:   Fri May 20 17:23:43 2011 +0100

        Remove wget from Linux requisites - it isn't used by Linux Prey. curl cannot be easily switched out for wget - see https://github.com/tomas/prey/issues/118

commit d24abe48f4b1f828906ee1fe67ceed651e96e110
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 18 17:45:17 2011 -0400

    Removed a few backticks. Modules URL not readonly var.

commit 58d3fa136f7320dbe5b94720b2c92bdd16e21b77
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 18 17:40:36 2011 -0400

    More information logging when receiving empty response_status.

commit 17dee0fad2345a79ed12324ed252608c7de73d5c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 18 17:16:52 2011 -0400

    Log file header cleanup

commit 10e891d6e7eda69936888d90bd8264c2d855d99e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 18 17:14:42 2011 -0400

    Added timestamp to log file. Replaced '>>'s with '=='s to avoid formatting issues when posting logs files in emails.

commit 9b490af922ceb37fe887688dfe11cf3f757f1f00
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 18 17:08:32 2011 -0400

    Update device info the right way, using send_request method

commit ed7e446cbab7a0ed552c9c85849644c0bf4a4c91
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Mar 6 13:21:09 2011 -0300

    Small fixes on SMTP check

commit 9a25b29945c34185da5b72078bb881a1468a1e6e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Feb 15 12:01:52 2011 -0300

    Bump to 0.5.3

commit 76ed2e9e786996506307e2bfad6545c180e16960
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Feb 14 22:24:42 2011 -0300

    Small code cleanup

commit dbb060d2307754c62ecbc6426cb8e57f42d6f0f7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Feb 14 22:19:59 2011 -0300

    Clearer messages when patching

commit 1ce46b3db115c8f492795a720243819fbca4d89a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Feb 14 22:17:07 2011 -0300

    Moved HTTP functions out of the pull file. Clearer naming for curl options/argument variables, as we also have a curl_options global setting in the config file.

commit 060992a5976df905681601f1b791e59e50a74b81
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Feb 14 21:59:34 2011 -0300

    Format adjustments for readme file

commit 2ae49733e8055024a135dee5cc9ee3410c26b086
Merge: 462f0af 0fe9973
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Feb 14 21:57:15 2011 -0300

    Merge remote branch 'drewreece/master'

commit 462f0af1c91bf888943a699d1eda4d979538b33a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Feb 14 21:48:44 2011 -0300

    Updated self-setup routine to use the new send_request method.

commit bd127e1933677c82c23f8c03fe54cabab0113094
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 18:23:44 2011 -0300

    Bump to version 0.5.2

commit 070c400565e9a59f6f9a5c064650a4b5cb3ca653
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 18:23:17 2011 -0300

    error_exit function to handle better ungraceful exits

commit 542b5690d6a6f1aae6d30bfe52992894af2b6000
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 18:19:36 2011 -0300

    Added missing cleanup to stop spawning temp folders

commit 1aba254e52875d4db761d9e6dee56da514d18c1b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 16:17:57 2011 -0300

    More code cleanup, less backticks, simpler get_attribute function

commit df90688340fbcb93ed7c83fd3616e41dcb3b5d53
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 14:54:03 2011 -0300

    Better way of checking if auto_update download worked

commit b24e988e98332c3d69b83488369a9f0b814570a5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 14:20:53 2011 -0300

    Better detection of encrypted response

commit f1eb3772929e3c2d4b8d54dcabc2ed1148b0e816
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 14:08:58 2011 -0300

    Moved get_pid function from Windows to framework, where it belongs. Cleaned up on_demand_stdin Windows' function

commit 969232404b883aeb83a8765120da81b4febda300
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 13:27:49 2011 -0300

    Code cleanup. Added send_request function for code reutilization

commit 7b5d5f63af75a4b71a8d66552637366bfabdca5b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 12:17:04 2011 -0300

    Wait time for On-Demand pipe is 10, that was just for testing

commit 829c82538b378ebf5629246e73dc7b8ae510347a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 12:16:06 2011 -0300

    Replaced backticks with '' in updater.

commit 6117eea2e37496094900d0d97bdc32d547b1070c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 10:32:35 2011 -0300

    Small improvements to On-demand check

commit 343674762954a16728db16ac3709530892a693d3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 10:18:29 2011 -0300

    Code cleanup. Removed unused content-type functions.

commit e918cc2c742e9dd2c32c1eae933338899cc6c05a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 10:11:20 2011 -0300

    Fixed key verification

commit b08b12624c85b7b41e02ddd263ed8adbae7f1259
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Wed Jan 26 00:54:55 2011 -0300

    Fixes for header/body parsing in Mac, md5sum and added a term_process function so we're not forced to SIGKIL everyone. Create modules path if it doesn't exist when installing new module

commit c0b1679e796928c10ba05acd8513ade0846b9907
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jan 25 19:58:56 2011 -0300

    Using AES encryption for responses. Make sure On Demand is connected (and receiving heartbeats) by checking the pipe's modified timestamp

commit 042c572e9529452c2f59e712166090ff95f20608
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jan 24 22:14:43 2011 -0300

    $status is now $response_status

commit c7bee86008b26550ed8bcab5c76b0b219e900512
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jan 24 21:56:12 2011 -0300

    Small code cleanup, slightly better logic for decryption. Always request encrypted response

commit 4af6127a27783a021ccd1f982cc6d543051ff916
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jan 20 15:17:10 2011 -0300

    Make tempdir readable when creator is not logged user, not root

commit f81fe4202d34abb1c5b4b8478fcdf399e6526890
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jan 20 14:12:06 2011 -0300

    Run as logged user when current user is different, not necessarily root

commit f9b6bf9a6b2d8263e7a6c3e37b85ff370a6d5d10
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jan 20 10:08:25 2011 -0300

    Removed encrypt_response from config file as the option should be set on the CP. Fixed get_attribute function so it works in both cases. Better detection of command injection in eval'ed config values.

commit 99f6d440ccb8eced8e0afb673f33e82a0dc3c426
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jan 18 21:48:25 2011 -0300

    Dont use the full path to openssl so it works in Windows

commit 6fbab040e1b90efbbbb93087e35d84950044486b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jan 18 21:47:14 2011 -0300

    Exit if the decryption doesn't work. Make sure offline actions use the response body

commit 05fd2349732ac90bcbc12b2f20c39a4491cb59d6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jan 18 21:38:50 2011 -0300

    Support for encrypted responses from the Control Panel, to avoid possible man-in-the-middle attacks

commit 04bc9a182dc0f7e053f43d66e150891ab7c19851
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jan 18 20:59:43 2011 -0300

    Debugging info for Linux configurator. Better SMTP user/pass setting. Prevent  or backticked commands to be run on eval'ed config values

commit 0fe99735272a4174b59aca9c4e02e3a7c2cefd12
Author: Drew Reece <drudus@gmail.com>
Date:   Mon Jan 10 02:50:04 2011 +0000

    Adding troubleshooting section to README, noting how to run with '--check' and in 'normal' mode.

commit 590dc7cc72da9f4c691d0992bca32984817c2d31
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jan 3 13:59:18 2011 -0300

    Only set SMTP user/pass if they're set indeed. From issue #89 on Github (thanks kortschak)

commit 8c299fa53a9310917d7e7f332504e9603b30114d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Dec 29 21:15:34 2010 -0300

    Remove unneeded brackets

commit 410fb830bc30630f6ebae8600b26ce871189cf5a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Dec 28 14:11:21 2010 -0300

    Added SMTP verification. MD5sum Mac updater bug fixed (issue #84). Better way of checking if running as SYSTEM user in Windows.

commit 9a0426ab9f874ef6604eb99806174e19069a8802
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Dec 23 10:54:30 2010 -0300

    0.5.1, bugfix update

commit 5a9dce97155131e4fc65f080da6a9f38f50e9fa9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Dec 22 20:02:23 2010 -0300

    Disable NB I/O as it seems to causeing some issues

commit b31856f6a90eaf8666d6146c0b2f9b242517e7fb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Dec 22 17:26:21 2010 -0300

    Send pings back when requested. Better way of knowing if device is, in fact, reachable for push messaging

commit 5bd355a1d5b3442d3d25da2e44a019f75714a253
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Dec 21 19:55:39 2010 -0300

    Make sure we're getting the timestamp from pings

commit c48ed8fb91381ac40895fbe1ce7f7091c81ce371
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Dec 21 19:53:15 2010 -0300

    Fixed Email Pass Decryption bug. Once again. :(

commit 0fac76682b7530933077f90b21a0a483ff62e8e2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Dec 21 19:20:03 2010 -0300

    Simply check if openssl is running. Only Windows is giving us this problem

commit fd9acd30c7082004159b0b7d0a7840f1f08886ef
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Dec 21 14:29:46 2010 -0300

    Added timestamp to pings

commit 5c4b400332ce08d6efc6749b04d680922cf990a2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Dec 21 13:52:21 2010 -0300

    Stronger method of checking, as PID's can overlap

commit de94df464bf63011955c8229d25c85670d6e4df7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Dec 21 12:37:58 2010 -0300

    Using PID as method of verifying if On Demand is still active

commit f9195f5b695748ec0bb2d0ef4acae500c3509381
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Dec 20 16:15:41 2010 -0300

    Bump to 0.5, new release

commit 07951dba5822fdb93a90d61f2831b3ca49746af8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Dec 20 16:14:13 2010 -0300

    Really fixed Windows On-Demand stdin

commit 78e6d5f370bb60dec8d65b5443dd257f89274838
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Dec 20 15:46:23 2010 -0300

    Fixed Windows On-Demand Stdin.

commit 2a383afc5887d5a3c9c64ebca8b1defa4d1c8c72
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Dec 20 15:36:09 2010 -0300

    Linux wifi device getter. On Demand pinging. Disable colors when running from cron.

commit 5cd350d7f9754ce49af586783cf30ec25cbf633e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Dec 15 01:16:27 2010 -0300

    Save y/n in save config value, better check if Windows is updating on user/system mode

commit cb27a2c18fcd66d0d37dc6f8b75696945e105ebc
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Dec 14 20:32:41 2010 -0300

    From next release on, auto-updates on Windows will only work for PCs running on System mode

commit 4266538e05562e72ba31e8a4e37f869488bc40aa
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Dec 14 20:04:32 2010 -0300

    Do not output pings from On-Demand hub

commit bab79cf60e6a1589da88c5ea4b00162046916d71
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Dec 10 18:50:24 2010 -0300

    Handle pings from OnDemand hub

commit ef680d12fe94cefbae336166be086217ed979fbe
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Dec 2 21:19:10 2010 -0300

    Using group and protocol as Hub's API demands.

commit da2e2564a4800a1723a31c3e2878d446f6aef9db
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Dec 2 15:49:33 2010 -0300

    Event handling on On-Demand activation

commit 17b0d6943ec9bfb49cff4cffb38eec7217693777
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Dec 1 20:27:42 2010 -0300

    Moved on-demand stuff to its own place. Using JSON as transport method

commit e11dfefb02808dc552238b2782f349f424305549
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Nov 26 18:53:07 2010 -0300

    Move offline-actions section to response. No longer set on local config

commit 035def0b5a2f4ea6004ecf885910fea73d36a240
Merge: f8ae24d 3c2bdcf
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Nov 26 18:43:51 2010 -0300

    Merge branch 'persistent'

commit f8ae24d02ddf00b8cdeb82580a25956258159c01
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Nov 26 18:32:35 2010 -0300

    5 seems to be the magic number

commit 4154ba894bc08f9049a78c85b17dde56aacc30d1
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Nov 24 23:50:16 2010 -0300

    Just text

commit 6b42d3f0826698df9ff8ff450ad16c3d55702945
Merge: 48906df c4ed42b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Nov 24 23:20:49 2010 -0300

    Merge branch 'drewreece/master'

commit 48906df9e1bbde6191d8944ced5392114a75474f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Nov 24 23:18:51 2010 -0300

    More output on Linux autoconnect for debugging

commit 3c2bdcf8ccdc0130983e2a4ba8bea67ba7c4b07d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Nov 23 16:18:47 2010 -0300

    Fixed on demand pipe for Windows and Mac. Added help message

commit c4ed42b7b60cedb1cf9ade48b7e6208a8e79c5af
Author: Drew Reece <drudus@gmail.com>
Date:   Tue Nov 23 03:13:53 2010 +0000

    Change the delay to give wifi time to work (when using autoconnect), at 3 seconds it fails every time, just before the wifi successfully finishes connecting. 10 seconds seems resonable.

commit 0de02ab1f66202ea71f33b11995c79cb85ecdf13
Author: Drew Reece <drudus@gmail.com>
Date:   Tue Nov 23 03:12:43 2010 +0000

    Wrap the 'essid' variable in quotes because network names can have spaces, helps autoconnect work.

commit 642095c518d134688b2131bc01df891febf285ed
Author: Drew Reece <drudus@gmail.com>
Date:   Tue Nov 23 03:11:35 2010 +0000

    When using autoconnect mode in the config, use an open network with the strongest signal (by sorting the strength) also the 'network name' is one character shorter - the trailing space wasn't trimmed by sed

commit cb434481f2b5b4d2dc89b63b1fab6017773aa3d0
Merge: 0f15807 2a59ca2
Author: Drew Reece <drudus@gmail.com>
Date:   Tue Nov 23 03:07:35 2010 +0000

    Fixed merge of upstream (from tomas/prey)

commit 4113a8694c5578865f85acde7b23d3fcd39da89e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Nov 19 19:59:14 2010 -0300

    End on-demand loop gracefully.

commit 5eb6cd266c7f2a342ba0d049ce786d8f01a861c7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Nov 3 10:53:27 2010 -0300

    Make sure on demand is only activated when not running on demand mode

commit 616c91725d482b69906884f8fd54e8bb9436cec9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 29 11:53:54 2010 -0300

    Added on-demand pushlike logic

commit 2a59ca293fd6debf130eff089ddb459aa014f635
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 28 16:57:21 2010 -0300

    Fixed SMTP password when it contains spaces

commit f37456b82acd2fbdbcf7f023fbf7612421fe5f06
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 20 18:30:20 2010 -0300

    Dont output tunnel killing

commit 18bc7766b975b281a4d8c2f378827cddde18de3e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 19 00:10:26 2010 -0300

    Replaced windows SSH bins with lighter (and working) Plink.exe alternative (from Putty)

commit 036240ef9c4f58f77881e42f36826fb6e36a4324
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 18 17:31:07 2010 -0300

    Tunnels working smooth

commit eb0a08f1f77228eab05f980f639db5219482954f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 15 11:06:44 2010 -0300

    Offline actions are back

commit 3c82e0029a4e817b5cb9b5bf94a01c2e85408e93
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 14 14:55:11 2010 -0300

    Remove unused remote tunnel port getter

commit 894e9d9c4d252402242afdc2218bf30c2223412a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 14 00:50:51 2010 -0300

    Better management of actions/tunnel PIDfiles

commit d6ee2bc23f6b212f5e4593bf2b848bcfd8bba326
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 8 20:14:14 2010 -0400

    Renamed reverse tunnel config vars to remote, for easier understanding

commit 7ed1a59b453d13bc0bf214e231676afc33ad3329
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 8 19:48:26 2010 -0400

    Askfile in tunnel.sh where it should go

commit 530a76f0ae9ad2fce0499df5d0e446d5864793c9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 8 14:58:48 2010 -0400

    Less time to wait for tunnel

commit 07a1ccfa6f3437da31e5ff6206416fb3a294d3a5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 8 14:49:25 2010 -0400

    What the hell where those files

commit d69417c35ba89ae57989b39bdd9fb5435acf6605
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 8 14:48:37 2010 -0400

    Added SSH Tunnel support, and initial stuff to support S3 get/put

commit d90154bd9db06ca0bf881c7de658da2d92aba4bb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 6 18:53:22 2010 -0400

    Updated userrun/cronSVC to handle command termination

commit cc79667cae5194ee7485c756f19fcd237707a9ea
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 5 15:31:52 2010 -0400

    Fix for cleanup and running actions and send_report return status code

commit 59481749b3adb43980365a79b4ab9b24fba2fca8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Sep 29 16:54:26 2010 -0400

    Bump to version 0.4.4

commit d17501e857f8396d805a12e06c736c1c5beeef95
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Sep 28 17:22:02 2010 -0400

    Final-final version of CronSVC and userrun.exe for Windows

commit f446904270d83fb653945fa9be5b1118072bfa5e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 24 18:44:19 2010 -0400

    Make sure everything works on paths with spaces

commit e0ec192c536be04d7df7413180cd1ca2eb8c99d9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 24 17:03:22 2010 -0400

    Final version of CronSVC and userrun

commit a0735455b06424e306692c7a8bab021ec2c86e5e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 24 16:53:36 2010 -0400

    Fixed ComputerName getting in Windows

commit 7f7690a8c7a1be04209123268a9ff106ffc2003a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 24 14:10:29 2010 -0400

    Fixed run as user for Macs

commit f8754b164da16813cfe4312d01518c76e63216df
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 24 13:02:06 2010 -0400

    Fixed run as current user in Mac & Linux

commit d12aa3c67301a9569f312507cc5c79f6db35f0cc
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 24 12:46:31 2010 -0400

    Fixed crontab entry in README

commit 0ef75450eddecb37e75ba47d7f7fa3589656420f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Sep 23 21:27:11 2010 -0400

    Run as user binaries in Windows to avoid async problems

commit e22aae997e36522f7ffc7137a4c6b91f04188b84
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Sep 23 17:18:41 2010 -0400

    Replaced run.exe with 32+64 bit friendly version. Renamed to userrun.exe

commit 79fd4884ce76d11c90f81962243adb365b41e592
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Sep 23 14:57:51 2010 -0400

    Fixed SSL HTTP push, local ip addres in Mac/Linux fixed, replaced CronSVC with working version for 32+64 bits

commit b331104b938716b00a9d307ebb562b1eac2c4575
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Sep 22 20:16:03 2010 -0400

    Better checks for Linux configurator

commit e4fc86ee6403433d38abf0125201378cba8884c4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Sep 22 20:07:34 2010 -0400

    Fixed get wifi info in Mac

commit 407398ead12fa3fc514808741bd6459f7af0af57
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Sep 22 19:39:23 2010 -0400

    Small optimizations for pushing reports, mainly through email

commit 2074df8a87573a9a3b1c82843463e73c629ce9d7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Sep 22 19:25:30 2010 -0400

    Make sure there's a device key before remote updating

commit cc3d77a7d31008ebba705d10a6e4ae31269a7cd7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Sep 22 19:19:06 2010 -0400

    Daemonize Prey when invoking through Linux Configurator, so we don't need to wait ages

commit a64aeaf952d0c8e06e3a193ec5ea7f247735c8bd
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Sep 22 18:36:06 2010 -0400

    Create guest's home folder (and remove when asked to) in Linux Configurator

commit d942a838aa3a80417065b2056dd0484d84b9e0d6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Sep 22 12:46:42 2010 -0400

    Small stuff concerning backup/restore config

commit b19ba78b781ec5a168dae981de9cebc5094b72b5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Sep 15 20:32:42 2010 -0400

    Only disable modules on Control Panel mode

commit f97bebc75420f069ac198f7c16ee4efa67e9e42c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Sep 15 14:40:41 2010 -0400

    Support for deactivating modules remotely, may be useful

commit 0f15807a5cf46c028e48aca38b2f6da29aff21d3
Author: Drew Reece <drudus@gmail.com>
Date:   Tue Sep 14 00:04:40 2010 +0100

    Fixed get_wifi_info() when activating Airport to grab access pints for geolocation. The logic also works correctly now.

commit b98dbf35e9525a9d70faacda973734dc9a94a43b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Sep 13 17:33:43 2010 -0400

    Added paths at initialization.

commit c5d7a98ea8ed1f373e49771e3c41015c8d552f57
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Sep 13 14:38:55 2010 -0400

    Missing airportstring for try_to_connect function

commit dee55237ea34273e045f5886d90b328a7fe3d4ec
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Sep 13 14:38:08 2010 -0400

    New disable and enable airport functions for Mac, since we now use them in two different places

commit bf977084a9bcbe67f01827359cca9666ac3ea3c5
Merge: 345e406 50519f0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Sep 13 14:35:37 2010 -0400

    Merge branch 'drewreece/master'

commit 345e4068536555bfe48f42d04c28e95cdd7e0715
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 10 17:01:22 2010 -0400

    Path fixes for iwconfig/iwlist in Linux

commit c1b62ed551628fe774711c8bcbe1f9f3de2c3d26
Merge: e907804 b0f50cb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 10 16:22:06 2010 -0400

    Merge branch 'delwin'

commit b0f50cbfd28dac4505bd34743a2035deb2c9f2e3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 10 16:21:53 2010 -0400

    Fixed checkbox get for standalone mode

commit 9747dd5ea21fa89574d3c4983476570de9aed119
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 10 13:48:32 2010 -0400

    SSL label font size

commit c9732052b1cf9c59b10fc37f8a79c2e9f84dad9d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 10 13:47:50 2010 -0400

    Fixed input widths

commit e90780479ac5170be9717b80b500b1da80b34b4f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 10 13:27:27 2010 -0400

    URLdecode function for preprocessing emails.

commit a2766fb65317bf595057fe6b99ff5f0ead6062ce
Author: Delwin <delwinv@gmail.com>
Date:   Fri Sep 10 11:41:27 2010 +0200

    Correct dialog centering if we don't have a window yet
    (regression when adding dialog centering in commit a98eed2eb83d59a89af2d9eeda7a68ea1929eb03)

commit f4a0b4afb2311997a3b47143af6dc0ea35dca62f
Author: Delwin <delwinv@gmail.com>
Date:   Fri Sep 10 09:25:03 2010 +0200

    Correcting incorrect use of context, and placing in comments for xgettext extraction

commit 506aa002f8b95a6b178606a1a9b3a2ad241a3a89
Author: Delwin <delwinv@gmail.com>
Date:   Tue Sep 7 22:10:02 2010 +0200

    Correct button toggling when switching between tabs (main and reporting)
    
    reworked logic to make things a bit clearer and all methods that affect these buttons
    now use the same code to toggle the buttons

commit a98eed2eb83d59a89af2d9eeda7a68ea1929eb03
Author: Delwin <delwinv@gmail.com>
Date:   Tue Sep 7 12:33:39 2010 +0200

    Center dialogs on main window, display About dialog on F1 keypress

commit 5b3f484d46034effeba5753d3667bcff12050328
Author: Delwin <delwinv@gmail.com>
Date:   Tue Sep 7 02:24:16 2010 +0200

    Ensure focussed widget is visible in the view port of the scrolled window

commit 4e0861cdab42db8e004f075562e6ef655d31f833
Author: Delwin <delwinv@gmail.com>
Date:   Sun Sep 5 19:01:11 2010 +0200

    Remove main settings instructions from scroll window

commit 06128dd66854e2e0df338daf7089891b57a16720
Author: Delwin <delwinv@gmail.com>
Date:   Sun Sep 5 18:36:09 2010 +0200

    Reorganize glade object definitions
    
    icons, labels and inputs are grouped together in the order they appear in the window

commit eaeb0429b3dad90137b7432aafe81512cd17a57a
Author: Delwin <delwinv@gmail.com>
Date:   Sun Sep 5 18:09:32 2010 +0200

    Important labels and images given proper ids
    
    also add mnemonics to standalone config page

commit 2a84c0d7ad78c96bc6761b820ae0a638e3742efd
Author: Delwin <delwinv@gmail.com>
Date:   Sun Sep 5 17:17:37 2010 +0200

    Remove activate event handling
    
    Activate is the event corresponding to the graphical change between (for buttons) pressed
    and released state. Proper event to use is clicked which was added previously (resulting
    in double event handling when using keyboard accelerators)

commit 9aaf0b339c2ebf678c9bc64567fa52daa41ed8b5
Author: Delwin <delwinv@gmail.com>
Date:   Sat Sep 4 21:02:25 2010 +0200

    Add mnemonics to labels and link them to their respective controls
    
    Also providing translation contexts and hints to help with translations and
    choice of mnemonic

commit 7ca7aa87cf6ce8075290de3d6388686f421b98d0
Author: Delwin <delwinv@gmail.com>
Date:   Sat Sep 4 19:32:42 2010 +0200

    Fix mouse click on buttons

commit e19bf7b1b531a2ff70232442c0c0e320e6ee964b
Merge: a33039b d7423ad
Author: Delwin <delwinv@gmail.com>
Date:   Sat Sep 4 11:12:54 2010 +0200

    Merge remote branch 'upstream/master'

commit d7423ade846980d24f47f2d43df2466b075ee0d3
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Fri Sep 3 17:34:43 2010 -0400

    Fixed log writing on paths with spaces

commit a33039b7cd75522e8ed0b0f7a5968146e740fb1f
Author: Delwin <delwinv@gmail.com>
Date:   Fri Sep 3 20:03:50 2010 +0200

    Enter key on checkboxes, radioboxes and textboxes performs default action (next/apply)
    
    Removed "manual" tying of apply_settings to the activate event of controls and control
    the default button instead.
    
    Corrected bad page forward/back calculation for http configuration, introduced when adding
    the device screen.
    
    If this is the first time configuration is run on a machine it is possible that the hostname
    matches a current device title (e.g. reformat/reinstall of OS, using old values), so
    hostname match is also checked to select a default device value in the dropdown.

commit 21d0133618d561e9dddbbad35b8533afd6cc6df3
Author: Delwin <delwinv@gmail.com>
Date:   Fri Sep 3 11:08:44 2010 +0200

    Network connection problems on existing account reported more consistently
    
    Also: Maximum devices error properly returns from report to configurator rather than producing
    a configuration which will not do anything

commit 7395e63956e86c663299fa9e7979b3f045a7b0c7
Author: Delwin <delwinv@gmail.com>
Date:   Fri Sep 3 10:51:47 2010 +0200

    No devices in Control Panel handled better
    
    If no devices are yet defined in the Control Panel and user has selected to select an existing
    device, they are notified to create a new device.
    
    Network connection issue during retrieval of profile also reported

commit 60b8c48bc5da63cc21a66fbf4f44a2bc47d77624
Author: Delwin <delwinv@gmail.com>
Date:   Fri Sep 3 10:13:34 2010 +0200

    Remove unneeded liststore.clear()

commit f8726a2f5d9e2f01602280d94bd10d36bb65b39f
Author: Delwin <delwinv@gmail.com>
Date:   Fri Sep 3 10:04:11 2010 +0200

    Delete unneeded liststore from glade definition

commit 59e3d7b25693fbc66ea19fadf4e597ab0d4215d7
Author: Delwin <delwinv@gmail.com>
Date:   Fri Sep 3 09:53:34 2010 +0200

    User can choose existing device from Control Panel during configuration
    
    Added option to choose an existing device from the Control Panel during configuration.
    In adding the controls and page necessary, also aligned and made more consitent the widths
    of various controls.

commit 8abb352035fe9149b7e3e0fb01550c9dadaccc7d
Author: Delwin <delwinv@gmail.com>
Date:   Fri Sep 3 09:46:15 2010 +0200

    Remove font size specs to keep them at the defaults so that display isn't messed up. (Most
    font sizes were not specified, making those that were odd in some configurations)

commit dfd0ba684af3576ec917caba30055af73abd6479
Author: Delwin <delwinv@gmail.com>
Date:   Fri Sep 3 02:37:33 2010 +0200

    Control Panel UI beautified
    
    Alignment and width of labels and text boxes is made consistent and space is optimized so that
    translations (for example) will likely appear a bit better. Font sizes also specified and
    adjusted to display more consistently.

commit d6b3ec844d99a764b4b7460c5363d8d93a8fe678
Author: Delwin <delwinv@gmail.com>
Date:   Fri Sep 3 02:26:52 2010 +0200

    escaping password to prevent shell substitution

commit f1445774b1ccd74f7d7c92f77cbfb151b7747b8f
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Thu Sep 2 14:29:24 2010 -0400

    Added eval on run_as_current_user function to allow use paths with spaces

commit 88f6bb974cf728066226535a2e69c37ac87a4d54
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 30 20:00:31 2010 -0400

    Bump to 0.4.3

commit b3d9f1a6306ba155083e94d78612d3770ea8292d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 30 19:45:55 2010 -0400

    Removed unused userrun.exe

commit b7348e18fd99f2ae5e14e846e4012986712ba141
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 30 19:38:33 2010 -0400

    MD5sum check so it actually works

commit 2fd920f0b280ab7878edd22f7fcb23a3cf40ef87
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 30 17:31:53 2010 -0400

    Get Windows env vars from the actual env, not hardcoded

commit 13e75908d49a43d9efff36a0fe29a878fcb8ff1e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 30 17:00:45 2010 -0400

    Fixed md5sum getting, avoiding alias expansion. Quick temp fix

commit 6b260101bafe6bbab613effdd91d93e5dcf46859
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 27 20:58:54 2010 -0400

    Bump to 0.4.2, bugfixes

commit 3dd2b0ae9412a7b38682473f9080fc2c6fee6eec
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 27 20:14:38 2010 -0400

    Updated prey-config

commit 5aa34d9dbc2b42947cc244eda4152a76366593b4
Merge: 10d44d6 8958aac
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 27 19:24:41 2010 -0400

    Merge branch 'fixes' into fixes3

commit 10d44d67ec0266dc6a215642c6b8767c786524a7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 27 19:24:26 2010 -0400

    Bump to 0.4.1 for update

commit 8958aacd0b386c95337ab1eb4d6667f2b328044a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 27 18:54:49 2010 -0400

    CronSVC updated

commit 9f27fcaaf4600a13a6ec2eee0cf7f413228919dd
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 27 15:08:38 2010 -0400

    Account created message where it belongs (Linux)

commit 85d284ff2963f70e6310ec61e36a1bd0784190be
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 27 14:45:02 2010 -0400

    Make sure the config.backup file is removed

commit 8df6485df9745c650b36a68660d2fac1047fdf96
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 27 14:42:55 2010 -0400

    Prey Config needs to check running mode before silent check

commit d46632575b6b45c5d392299a656387c621e710f1
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 27 13:44:19 2010 -0400

    Fixed saving values in config

commit 2c0c378c3f4d4cbfe427466beb32053a2080349d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Aug 26 12:01:19 2010 -0400

    Check if we actually have cron.exe's PID

commit 103cb45b010f43863b1a85077e56db32d483f61e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Aug 26 11:56:36 2010 -0400

    Dumb mistake

commit e50e191d96d3f00da08d736d9cbf066c5b73ca37
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Aug 26 11:51:16 2010 -0400

    Processes as var, not alias

commit c7c03a62350abb7c905088499764794f888b1861
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Aug 26 11:42:34 2010 -0400

    Cleanup on main Prey file, not actions

commit ce2e35c5b9124a4fe91326d90e465d88d9b9d90e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Aug 26 11:37:05 2010 -0400

    Cleanup as requested, not with trap

commit 495903df4bb263ac13922c105177feb977e8de80
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Aug 26 11:30:19 2010 -0400

    Missing then

commit eb70c2d359baecd696629e124abec8c5fe6c7a62
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Aug 26 11:27:10 2010 -0400

    More information on what happens with patch

commit b26e0f2a4a83c70c4b9b3b315924bf95a60d9ce3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Aug 25 22:12:53 2010 -0400

    Removed line break from happy hunting message

commit e8dc86680d188c01017ba0d9d968aad849dfa7b2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Aug 25 21:28:23 2010 -0400

    Fix private IP getter for IPV6 enabled Windowses

commit dc5f54f775cf1f788489c48654ec373e63c487bb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Aug 25 20:21:08 2010 -0400

    Log message if using SSL

commit 7b0e30f17ab6f581925222ff94b46483102a2916
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Aug 25 20:10:43 2010 -0400

    Fixed username getting in Windows

commit 131ef942afb40e7b49394c56b016cf06181c59ca
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Aug 25 19:50:08 2010 -0400

    Get real logged user, not system user

commit 3b46ebd91469906ad0e4c5f2c35375e1d5a8874f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Aug 25 19:25:09 2010 -0400

    Get whoami as current user, to avoid displaying SYSTEM

commit 55a3a08660b66f475538b212d4c9b84a661aa1be
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Aug 25 19:20:35 2010 -0400

    Fixed private IP getting in Windows

commit a3531ac0392782103727fc97f225716dc6e3be20
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Aug 25 18:57:31 2010 -0400

    Updated CronSVC with support for running as user

commit 801d57eb213e658ab19c801c2cb93dd77b4b7944
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Aug 25 16:27:17 2010 -0400

    Updated status messages for Windows Configurator

commit 187703b850c81a5550e9e29b11487ebc3906d473
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Aug 24 20:40:03 2010 -0400

    Organized a bit the config functions where they belong. Key getter in XML scans for the last part, since the first may include additional params

commit de6f29e17d57d85281e99f25d43c21466dd3491b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Aug 24 20:17:18 2010 -0400

    Moved Windows' ifconfig.exe where it belongs

commit eadeda8c2f6f407639e60a94accb0e6c30090404
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Aug 24 19:59:58 2010 -0400

    Separated bash utility functions into separate framework file, which loads before setup so we avoid getting errors due to nonexisting functions

commit cf751d89d862e38f655d76f88cc3aaa358bfb579
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Tue Aug 24 19:44:33 2010 -0400

    Added run.exe which allows run any command as user

commit 89eb16143cc6f27b92ac9e5eda53e93e78d1523d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Aug 24 14:35:53 2010 -0400

    Better access check in Prey Linux configurator. Strings are URLencoded so they work with strange chars in passwords. Fixed device key setting for auto setup

commit cd1d9b23a55457f35d89f47b0ad51d5aba9cba29
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 23 22:39:57 2010 -0400

    Better key/val handling in XML

commit b7897ef8cb74d90fee2b66b545b43cf399053b8d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 20 21:54:57 2010 -0400

    Less code is better :)

commit 109ce425aed3b7cd71c7361874402506de92f822
Merge: ca53d2c 96a86a2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 20 21:13:43 2010 -0400

    Merge branch 'master' of github.com:tomas/prey

commit 96a86a22227c6047a28364433562be6f283e7b1a
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Thu Aug 19 18:46:44 2010 -0400

    Changed the name of windows run-as-user command

commit 7a0b8b0c88f9470c202d37e0ebd13434fe73a5d8
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Mon Aug 9 20:22:41 2010 -0400

    Changed the way IP and gateway are get. Now is using our own ifconfig routine.

commit 80eeedcd55a98398231301a04cb6e4e2c1e104ae
Author: Carlos Yaconi H <cyaconi@gmail.com>
Date:   Fri Aug 6 18:57:36 2010 -0400

    Added the ability to persist configuration changes on config file

commit 50519f062e18486f8cfab4aa7e2491467b364f78
Author: drewreece <drewreece@mac.com>
Date:   Sun Aug 1 07:22:38 2010 -0700

commit ca53d2cd4e24554fc234e1e510701fe64516c8dd
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jul 30 15:39:23 2010 -0400

    Traps for handling INT, better cleanup strategy

commit a9c2889e25b9f2adcdbcd0324e1de458e4d14546
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 29 16:06:45 2010 -0400

    Bump to 0.4 for new release

commit 6cc264624304a7b7b8ebd6d11bdd98c3980e5f27
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 29 15:56:53 2010 -0400

    Updater now wont stop the process in the middle

commit a52b6212fdc656ebb418c6c6bac9ff852991317c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 29 15:45:02 2010 -0400

    Removed profile file

commit d99409137ab76a0124fa7e74bcd895517d38bb97
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 29 14:47:09 2010 -0400

    Fix comment in config so that current patch method works. Removed auto config call.

commit aa66078c561f5e52751639273accf2f7d7d64800
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 29 14:17:10 2010 -0400

    Added default.config. Evenually we will remove config from the repo itself, so updater must know how to pass configuration settings from one file to the other

commit f8e3a4b545ae61abd73236a75a2de9144ba50317
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 29 13:06:38 2010 -0400

    Fix comment in config so that current patch method works

commit 3e3a95677bd74a6e0b438620fd2973171398a804
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 29 11:30:15 2010 -0400

    Less code is better.

commit ae21f06f226ec644d6992fd374c0361b6b63cd27
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jul 28 23:47:27 2010 -0400

    Fixed module configuration for standalone mode. Removed lang strings for installer which is not used anymore

commit 3b52fd8147a1064718dea7892632f3b8cb6907f3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jul 28 21:28:08 2010 -0400

    Fixed distro getting in Linux self setup

commit 2ae2a7121c10869d28991e6770c331c78aee9dcc
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jul 28 21:16:38 2010 -0400

    Module initialization at the beginnig, so we dont have clashes between vars and readonly vars which trigger exits out of the blue

commit 888e906623f8c4a355d3c5d0f050095ec57c71e8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jul 28 16:58:17 2010 -0400

    OSX version detection

commit 53b88cf72a3bc618be76cfc26d605075526ec276
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jul 28 13:21:40 2010 -0400

    SSL support for Linux Config. Run as user in Windows if Prey was invoked by SYSTEM user

commit eabefcb6bb014d49c6e94cc7a06fb435085af7e4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 27 18:07:56 2010 -0400

    Fixed autoconnect function for Mac (Issue #19)

commit d4c97f0521b747ae27d00eb9a53eb2d3483837b6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 27 17:01:39 2010 -0400

    Call cron.exe with --log

commit 2d6b0a2647f14330aa5c5fdee48c72026ad1313b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 27 16:54:27 2010 -0400

    Replaced the zombie prey-config that came out of nowhere

commit 8642312a256be2eafc6c2f65cb3168efd1106d1d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 27 16:43:00 2010 -0400

    Daemonize pending jobs so Cron.exe's loop doesnt stall

commit f2f26c9e822c1eee93f305d53412830dfcd44825
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 27 14:06:11 2010 -0400

    Remove those weird tempwmicfile batch files

commit 2b1ad0e74775aca1e0f1dc6e03390673232f0053
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 27 12:42:45 2010 -0400

    New CronSVC with better logging

commit 9481fafb323f81d3b21b4677f77a1083de1597b8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 27 03:08:46 2010 -0400

    Forgot we're not using --log any more in Windows

commit 637478a7c7dfc44f63af44ff282b6adc3aacc9c7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 27 03:07:25 2010 -0400

    Rerun cron.exe after update in Windows

commit de8813bb8dc749893a3187990565aefc5907c158
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 27 01:51:35 2010 -0400

    Kill em all

commit d6a0c151dd2e14d773a8e3f5688b728425a57412
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 27 01:43:11 2010 -0400

    Added Prey Config with support for toggling execution mode (system or user level)

commit 5e6ad877172a7df63ab5ee95d6db5ecef80709cf
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jul 27 01:42:51 2010 -0400

    Added missing system bmp for config

commit 6e5553ff4a283941ffb8ebbcefa0517fa50fcbb3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 26 23:26:08 2010 -0400

    Added cron service back and hopefully for good.

commit 170af712c4bfd159fc7a043e031807365d59f2ff
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 26 21:31:11 2010 -0400

    Bump to version 0.3.74

commit e0faecd5585bde0a38e57c06c618de0df55cd4c7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 26 21:31:06 2010 -0400

    Killing cron in Windows before update

commit e8e7cd0449ca060eea2c1b5cace86913370534ff
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 26 19:57:09 2010 -0400

    Do not randomize check host by default

commit df1468425e23afcd787c85c47a860dd6be0d2d8f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 26 18:28:44 2010 -0400

    Removed 64 bit log from Windows settings

commit ea32035094f62fa8ec8f10fef646d95adaf48502
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 26 18:08:11 2010 -0400

    Renamed randomize check url to randomize check host to avoid eventual collisions (just in case)

commit 809597dab55b6eee7018760339fdf82e5d8fa8f3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 26 17:53:00 2010 -0400

    Found out how to modify font in main Gtk Window

commit 8ed4c388575d6e51d760749a2ccd8bb42ccdd918
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 26 17:37:03 2010 -0400

    New automated Prey Configurator for Linux, using Gtk.Builder

commit d7fc0d5aa9449d0e2a2c98de0c0cfa929a2bcff6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 26 16:45:22 2010 -0400

    Better get_pid in Windows

commit 27036b3d8a0c0a8391e57be8a1f244d29789aa7b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 26 16:28:01 2010 -0400

    Added PNG images for configs. Fix for Patch.exe in Vista the right way (manifest). Replaced Curl with lighter version (libcurl).

commit 2330f15b7f7e4097bf10cf647f0f5026f929037a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jul 23 13:55:18 2010 -0400

    Patch using 1 line of context, not two. Random subdomain for http GET. Run configurator if no API key is found.

commit f44bd56331f10b9ae538682b9f41b38ba20c816a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 22 23:02:41 2010 -0400

    Better checking for pidfiles and running actions

commit 08d3ac553a22dce89299a7d9153d2559b135ddc2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 22 14:18:36 2010 -0400

    Fixed md5 path for Mac

commit 9f9d7123d83b3342f50b101c35e03acf136464a5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 22 01:24:56 2010 -0400

    Configuration calls cron.exe without the --log thing

commit 4760612c4573322b38810aadfe8481bc3ba562db
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 22 01:05:19 2010 -0400

    Updated Curl for Windows, 7.21 with SSL support

commit 7bba020bac704db12e0347c6980201bdbdf1db16
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 22 00:44:32 2010 -0400

    Back to Cron.exe for the transitional update to Cron Service

commit 29467ac5f1762a64e8d7604eeeeaf30694ac8c18
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jul 22 00:29:10 2010 -0400

    Small details, Linux functions

commit 8d5f425769059db840528e704dfaa11f9b18fb1e
Merge: ae68807 a83bb20
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jul 21 23:59:32 2010 -0400

    Fixed merge conflicts, write access for update is verified with version file

commit ae688078ea32f4ba7f9b48a784a36a412d1da548
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jul 21 23:53:00 2010 -0400

    Get Pid the right way

commit 1593c695ee6187566808c31ff378f2063ea44bae
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jul 21 23:50:52 2010 -0400

    Kill with SIGKILL to make sure kill_process does its job

commit a83bb202406d1e2e30daa60c9cf6b381d8317b4a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jul 21 21:53:00 2010 -0400

    Simpler way of checking for write access

commit 11af4e60f69af140c8bc07bf2c2004744098d8ae
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jul 21 21:30:55 2010 -0400

    Added post update script support.

commit ffd3f55a3f6cc3a14b812490834e8599439f7e03
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jul 21 21:12:49 2010 -0400

    More consistent full path getter

commit 32eb229c2df40597c34ec84490576b467b570cd4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jul 21 21:00:40 2010 -0400

    Support for hourly, daily and weekly frequencies of execution

commit 65432d2545fd59590957dbc4bd5d7b12e128f2a9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jul 21 16:49:01 2010 -0400

    Stop processes with HUP signal

commit 6bfc63a3ebe1244cdb1b66737fa5c594c45c5530
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jul 19 17:56:27 2010 -0400

    Removed offline actions support. Added post update script support. Included autoWC for XP bins

commit 9a9c07242f4e73a4bf09027fa81c761ece616432
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jul 9 16:05:03 2010 -0400

    Added AutowcXP.exe from Premik (Srubarobi)... thanks man.

commit ca3b807946ade68307b467f0eb28aadaef519473
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Jul 9 15:50:46 2010 -0400

    Small changes. Fixed wmic issue (stalling) in XP

commit a71a462d0382426bf570c8deb7aeb962fef54ce2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Jun 30 23:36:33 2010 -0400

    Fixed sv lang file shebang and CRLF line endings in LICENSE and sendEmail

commit 89d142314bfef4501100330abf6c84c4c709fcc3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jun 24 14:53:18 2010 -0400

    Fixed run as current user in Mac

commit 51344e570c47f43082fba51b029663ee79412c07
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jun 24 14:39:59 2010 -0400

    Function for handling full real path to files

commit a5cf7cbc68801613230d8362e3475d870a1ad21d
Merge: 54d179a b4a3343
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jun 24 14:14:23 2010 -0400

    Merge branch 'actions' of github.com:tomas/prey into actions

commit 54d179a806706ab59de2f90444dd23cd9a92cf53
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jun 24 14:10:26 2010 -0400

    Fixed get current actions check

commit 9ae85de4e8dc7240abfa514c8dccab6a3890ba01
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 14 19:59:25 2010 -0400

    Simpler way of checking if cron service in Windows is running

commit 26bbba01d5765014b9dabc740cd5e68eb7999c61
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 14 19:29:39 2010 -0400

    Removed **'s for logging function to avoid weird evals

commit 1836505a525c933677b148361cee18a675e94872
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 14 19:13:56 2010 -0400

    Renamed cron service filename

commit 8edf768619ccc40f0035466561781a78e7d32ce0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 14 18:27:53 2010 -0400

    Prey's cron service is now unstoppable by normal users

commit aa72965fa46417408e3d093477c3f56bc08fee3f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 14 18:20:39 2010 -0400

    Windows system service is now cron-service.exe

commit b4a3343a309a7274b8c78ac7c68dad0e456ea915
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Mon Jun 14 18:11:03 2010 -0400

    Fixed log filename

commit 2fd31506622d82a5e0b83245e6503d3fc07bc039
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 14 17:34:29 2010 -0400

    Removed logged file randomization

commit 5885ab3aeac5ee85e6d39f131591215cb7f0d085
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 14 17:16:01 2010 -0400

    Fixed compressed headers for Curl. Small logging stuff

commit 73583068016f4b9b4988e5c9140dc140200d1664
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Mon Jun 14 17:01:02 2010 -0400

    Getting pidfile in Windows friendly way. Change logging to use Log function.

commit a71d390b86bcb6a1e796ce5a2e10a8d31f497593
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Jun 14 11:06:37 2010 -0400

    Better logging management

commit 94440f21efd72e81d2b2faeadf46000aa7262408
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Jun 10 12:43:55 2010 -0400

    Update device info where it belongs, in push

commit 8483580bf13ac1c1fdd03401714a38fcf32d8db5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jun 1 03:45:41 2010 -0400

    Just polishing a bit, removed some unnecessary stuff

commit 89a59ec58af43f4480344e7698596cb6ace3e47a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Jun 1 03:36:34 2010 -0400

    BIG COMMIT. Rewrote the whole actions stuff, no Prey manages PIDs of different actions and handles persistent ones, removes them if removed from configuration. Trap + Wait in Bash are simply awesome.

commit 7b2f87db9fa613383672d8f1e79d7e65cc6606f8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri May 28 16:53:10 2010 -0400

    Better way of checking if the module config was parsed

commit d276f863ba408e0b140d563910f240ccca19ed24
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri May 28 16:45:40 2010 -0400

    Do not daemonize commands, let the modules decide that

commit 8538387859fd6fa8f4b4f69dce7da40de675dbf7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri May 28 14:06:26 2010 -0400

    Function to check if Prey itself is running

commit 6bbf22e73a32c4417ec4ae9a2d0d20e3a9cbdbbc
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri May 28 00:54:59 2010 -0400

    Utility function for sending processes to the grave

commit 297bd5c81af7a5a876379878cc7b11b99f4c1be9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri May 28 00:46:15 2010 -0400

    Small comments to config file

commit fbb05a161ad8ba9d0f56593ada5ac3a6947e0022
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri May 28 00:43:13 2010 -0400

    Jobs are now actions. Offline mode support. Actions are run even if the device is not missing

commit 8f172b1e74eba796c8e0f875c05c0408bef2b5fa
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 26 17:36:25 2010 -0400

    Updated prey-config to trigger the system service when needed

commit c15afb7f79a76a44c7d55925d0391158b9458d79
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 26 17:02:44 2010 -0400

    IMPORTANT: Removed Cron.exe. Now using system service for running Prey in Windows.

commit d7d76eebd3172d849d89529da5601184437863a4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue May 25 16:07:44 2010 -0400

    Optimized and cleaned the module setup/initializing

commit e2a0543e50bb3221c3671f596b9db6d7b8562975
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri May 21 14:46:29 2010 -0400

    More robust file_size check. Fixed internal IP getting for ipv6-enabled Windows clients

commit 6fe5d0dbae9a02577e49cf0bd57f43517502776b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu May 20 20:10:05 2010 -0400

    Pending jobs no longer daemonized

commit 56e557d38e374e8d24a3f9a0627bf019f025700c
Merge: 8df1983 c1de4e6
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Tue May 25 13:56:15 2010 -0400

    Merge branch 'master' of github.com:tomas/prey

commit 8df1983d80cc3bbbf7fad34cd463ccfb7baf9595
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Tue May 25 13:55:57 2010 -0400

    Fixed sed problem when listing traces on windows

commit c1de4e640a3e824344ee5b0398841c42f798b7b3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue May 18 20:52:58 2010 -0400

    Make sure module is installed if requested from a pending job. Small logging changed

commit f3ab36d246db449a50b420b1dbd8af6aef2bbbf5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue May 18 19:50:23 2010 -0400

    Curl options on config. Making sure we set the real path on crontab

commit 64e34d23e3970a39f3c98feb4e4ffbee9b100a1f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue May 18 18:16:18 2010 -0400

    Small changes to readme file

commit f22c7799ecc57de8546b59395f57c4638d0262ab
Merge: 953602b 6ac39e4
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Fri May 14 19:39:24 2010 -0400

    Merge branch 'master' of github.com:tomas/prey

commit 953602bcf3ffe031aeaceb38583d129f302861c1
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Fri May 14 19:38:57 2010 -0400

    Changed how sed modify config file and added the get_pc_info function

commit 6ac39e4a6c64b714a13c9c027c49ede24ef3ce47
Author: Carlos Yaconi H <cyaconi@gmail.com>
Date:   Fri May 14 16:14:52 2010 -0400

    Mac self setup fixed. 'capitalize' function improved

commit 2af098c54e4d47109f83aba1ff50a6c2427059d1
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu May 13 19:10:09 2010 -0400

    Added pc info getting stuff for Linux. Reverted order for functions/setup core files inclusion

commit ebda0dfac659226909728eb7d4a3177dbb4d099e
Author: Carlos Yaconi H <cyaconi@gmail.com>
Date:   Thu May 13 18:00:26 2010 -0400

    Device creation variables moved to platform functions

commit 6485f4b55c46fb2f45d580d894a817237a6fb323
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 12 20:28:15 2010 -0400

    A bit of comment on prey.sh

commit eb6ef69da2299ecd685b79f5d07baf6838560e65
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 12 18:53:50 2010 -0400

    Disable StrictHostKeyChecking for SFTP and SCP file sending

commit a8bdf4e5580dadde7d4b07fccc3bac8300bc0789
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 12 18:50:30 2010 -0400

    Added SFTP posting function by Birdtori (issue 11)

commit e06ba53caa5db8d6968bddd791254aaa9a3fb7f4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 12 18:47:32 2010 -0400

    Fixes for pending jobs. Commented some of the code so its more understandable. New capitalize function for the self_setup routine. core/functions now runs before core/setup.

commit 5382029dad6d73310e4873ca6ec6046f9c58544b
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Wed May 12 16:56:22 2010 -0400

    moved hardware scan as a hook in system module

commit 227a1120f86f528995394eb41d64c491dc996ce0
Merge: e283ef5 57ffccf
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Wed May 12 15:44:50 2010 -0400

    Merge branch 'self-setup'

commit 57ffccffa8844b113b7be3ad114a1331bafb62e1
Author: Carlos Yaconi H <carlos@usefork.com>
Date:   Wed May 12 15:44:25 2010 -0400

    added linux self-setup

commit e283ef59d8172cfe24ae44bab4423153fccb961f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 12 15:13:10 2010 -0400

    Revised Carlos' excellent trace parsing optimization

commit 057b22dbce7333e65de86737e704c53afd19785c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 12 13:45:49 2010 -0400

    Fixed module initialization for pending jobs

commit 816e0c91c1b3d4d23b8e65b0c4189a41d75fc6b2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed May 12 13:42:09 2010 -0400

    Support for pending job requests from XML. They are run independently from the devices current state

commit 51b30a6a5807eed22c9e8dff36bef15b0a97d259
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue May 11 14:40:47 2010 -0400

    Fix get wifi device in Linux

commit 5eca7089df2c630f5f967f8029b44a94578235cc
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sat Apr 3 03:19:42 2010 -0300

    Added support for extra headers on check. Just for testing

commit aad3ddaae21253830178983dc97ff9c66d9d4277
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Apr 2 18:17:29 2010 -0300

    Added new icon for notifications

commit da905e0db2a8f934beb01c3b76bbd6f1b444142f
Author: Carlos Yaconi H <cyaconi@gmail.com>
Date:   Tue Apr 27 15:12:43 2010 -0400

    list_traces() method improved

commit fcfe71c3874fe203e9452d36914b23d33f5ac94c
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Apr 15 01:50:52 2010 -0700

    Added copyright stuff to readme

commit 451e9433040a18b3879fafab8b3db7cfc2f59532
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 31 15:49:21 2010 -0300

    Output Prey log to /var/log

commit 644c9421877d22200421d5254d7ba6e3b8d119c9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 30 17:11:33 2010 -0300

    Bump to version 0.3.73 for bugfix

commit 89bee3e61285f3950375e271ec847ba381ed6f0f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 30 17:11:26 2010 -0300

    Check if we have pending jobs before printing anything

commit ec25e6ca9cab50727053b9ed4408d73e91b89587
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 30 17:07:49 2010 -0300

    Test mode doesnt send any data, as it was before

commit 49ba46e3bf38af7b491f41ae4388c9dd26a04772
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 30 17:06:10 2010 -0300

    Daemonize delayed jobs

commit 3712a40112450dfb828f03d5bfc7c003f78ec616
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 30 17:03:35 2010 -0300

    Forgot to add 'or newer'

commit 346e75b0da752adab20482dd84c0663ae24fad0a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 30 17:01:01 2010 -0300

    Added .NET for check mode in Windows systems

commit f303e17ee8eaa4b28f36b1421f339559a0d99399
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 30 13:30:03 2010 -0300

    Fixed Cron check for Macs

commit 56dc21e5c895b984e01b6b6ff6772a4f02939d8e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 29 23:48:13 2010 -0300

    More informative message for check mode

commit e3c0d17226372151cc3aae5bbd2e6b02d6f34941
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 29 23:32:14 2010 -0300

    Better check for .NET version installed

commit af383ec33ec80a6c163d5c2f5140260e64b5044d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 29 21:32:12 2010 -0300

    Fix for active module detection on Windows systems. Fixed cron.exe for setting delay to five minutes (standalone)

commit 17915000827032010c8d10d646a110869a7b20f6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 29 19:13:57 2010 -0300

    Checker now shows current device status (missing/ok/unverified)

commit 89d4140207c7ec34c02e44206205766714b63183
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 29 19:06:20 2010 -0300

    Added check.bat for easier Windows check

commit e8e81169a47b24d30c2d5a2d46a7223c9bedfc43
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 29 19:05:18 2010 -0300

    Better check mode. Now also check if the installation is fine.

commit 970f928120c523ddda5b10aeaf8a4876a46e5968
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 20:16:35 2010 -0300

    Bump to version 0.3.72

commit 1be337a49d25ab579ac01079ff4eddee1d044fb9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 20:16:22 2010 -0300

    Removed colors from ++'s, they dont look good on Macs

commit 013c3b6ff3682c44708c7436abf0f3ad82555a08
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 19:42:13 2010 -0300

    Make sure all crons are killed

commit 8c8f73384931550dc88a728909f805892b76b7fb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 19:30:50 2010 -0300

    Make sure all crons are killed

commit ef98e1575ea8c18e0d8324656bb4cc11d40e6757
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 19:26:55 2010 -0300

    Cron murdered ready

commit b145f8a8928d02975e59b55577581da495ba917b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 19:23:23 2010 -0300

    Checks for Windows cron kills

commit 507b86c9e2fd80720fcb62dd9dca54a7bbb616a8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 19:21:20 2010 -0300

    Checks for Windows cron kills

commit e07d0f9cb1897b69789ccf73db401bad9e8050e3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 19:20:44 2010 -0300

    Checks for Windows cron kills

commit 58be936d2cdfed0f9f55bec0376fbe5c204870a3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 19:18:18 2010 -0300

    Checks for Windows cron kills

commit 4a24e26d97d15ac3d52bed61e8322f75392e038f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 18:56:03 2010 -0300

    Added kill.exe to Windows bins

commit e44ab28a3c3844b310d3f21763f7444f706699dd
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 18:20:30 2010 -0300

    Fixed checks for Cron or Configurator running

commit b9a82aaeeda9946bda3269dbe194da93f012eadb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 18:15:38 2010 -0300

    Make sure the updater stops where theres another instance of cron.exe running

commit bd3595d779aa3d1167eb63abe06a79992361efd0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 18:09:41 2010 -0300

    Cron.exe now can shut down itself if requested

commit 7241726db16dc4b4398d68496cbb46022c4839d8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 14:06:16 2010 -0300

    Fixed x64 check

commit f9d3b701d79d533e4c93c45891d2a22d312c5a5f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 14:00:25 2010 -0300

    Setup/functions in the order as they should be

commit a188ddec87b26a96c9f58f6079b0e7e6bb6cb707
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 13:40:34 2010 -0300

    Fixed check for file permissions on Prey updater, Windows

commit 2c7de8cbcc0287a3161b111810832135bb164955
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 13:27:24 2010 -0300

    Renamed is_command_running function to is_process_running

commit 888a644e965c723fe0b359dee28e2a844c7635bc
Merge: 674de6e 25c702a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 12:05:01 2010 -0300

    Merge branch 'updater'

commit 25c702aada6785755c92b64d1804364ec8943459
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 11:37:44 2010 -0300

    New Prey-Config.exe, shows version grabbed from Prey's Path

commit 2b79b5dc73b5c91e12ea7e9965cf1ac14b996afa
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 26 11:34:02 2010 -0300

    Important: Now using Cron again in Mac OS

commit 4af0baeb6db081dc998dfb89ff93b5bc8a675367
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 25 19:02:39 2010 -0300

    Back to Windows Temp dir, /tmp doesnt work with Curl

commit 114b60ea6f2bd2ab4a692ef2bdc91683d20c30bd
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 25 18:38:21 2010 -0300

    Better messages for update module

commit 23c368455ce7a43258a1929f3cd4c2cbb2529c4f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 25 18:29:25 2010 -0300

    Make sure Prey Config isnt also running so we can update the binary in Windows

commit 5a40e82fdf0e717239dacc5bf5d42d6f21f6bb3d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 25 18:08:55 2010 -0300

    Removed Windows tmp directory from platform

commit 1c1b20a5239d9b9d55f5f0bc545e188495aab7bd
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 25 18:06:12 2010 -0300

    Fixed updater megabug

commit 2bdeda78db70d8a589e006828929b624d895abee
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 25 18:03:37 2010 -0300

    Optimized updater a bit

commit b890c5c46c53081e64d4571da5deb48a13737697
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 25 17:23:22 2010 -0300

    Dont output from Taskkill in Windows

commit ad503366068bb8a5a05c1dd4b0b701ccec4bba8f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 25 17:08:43 2010 -0300

    Only change flag of update_failed upon successful update

commit 710f1ec5e3b589d333f2af890c14b4b2d0c5b27c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 25 17:00:59 2010 -0300

    Split pre-update functions into check and do

commit 9e16701477ac2860baed3c9567a5d4c531051b21
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 25 16:41:47 2010 -0300

    Rerun Prey after update

commit 5df9725e5a04e261ce3540f2b2f6d0a5ebf13ce0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 25 16:06:49 2010 -0300

    Cosmetic changes. Better checksum management for updater

commit 155b6b077cacf731083122836941cc22a2380b6a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 25 13:30:14 2010 -0300

    Better way of handling colors in output

commit 8b4684712d7c124277608d38c39e396c798dd43c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 24 13:29:59 2010 -0300

    Using aliases for commands, makes more sense

commit 674de6e0b442a053fd89cdbce47a217939389507
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 24 00:56:26 2010 -0300

    Removed TODO as well, better use issue tracker

commit 83e5207dc160d94a93bdb6df95007d1629a67a78
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 24 00:55:03 2010 -0300

    Removed changelog, too outdated. Better view blog posts on webpage

commit 6a2fcf9df9a9b1a7209164174c0fa6c6d0333751
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 24 00:52:13 2010 -0300

    Inform the process exited

commit 402dbe2cb684a697523b5ec47fdfd2207b3c5c2c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 24 00:46:51 2010 -0300

    Fixed killing of Cron in Windows for update to work

commit c91f3873e8a4aa8f38dc9d1801a80a3e6907f194
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 24 00:32:12 2010 -0300

    More fixes for post-update Windows functions

commit 853346c7bc618a65d83560f51de4e176d23f24eb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 24 00:14:53 2010 -0300

    Fix for post-update Windows functions

commit 929643f53410bf3c60f3754797ef9a2b4a4bb09c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 24 00:06:55 2010 -0300

    Added missing return to Windows pre-update

commit 86fef88db44ba130f67bd141f5f815c2cbbf8917
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 24 00:05:53 2010 -0300

    Replaced Windows md5sum binary with better one

commit 4b87373b9ddaa090ccf117aa7e37f1040877be3b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 24 00:02:08 2010 -0300

    Dont output response after notifying server of changes

commit 8a4dd8ae45d90040538a390e3a70c27b9b281f9f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 24 00:01:07 2010 -0300

    More informative message

commit e0d07a1e7ba9042d2c6dbda1c90ccd103bd7f003
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 24 00:00:26 2010 -0300

    Fixed pre-update call

commit 61f017df67c93bcb0bfb86f9f2925caa7fb522b5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 23:57:31 2010 -0300

    Better logic for performin update, do not daemonize the whole process

commit 5b6d77cebb8108213459210c7bbaca67fdb49cac
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 23:41:35 2010 -0300

    Small but no so small mistake

commit 1fbf26f54f3c69663ece910a75ad71bdc283282d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 23:21:41 2010 -0300

    Double corchetes for auto-update check

commit 5857567949f7a4188d37e0e5c67eade78c26b9c9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 23:15:19 2010 -0300

    Post update hooks where they belong

commit 31d0a9b67b1e3fbd9e8344fbce5f27942990fcd1
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 23:09:24 2010 -0300

    Added hooks for updater, running as a new process as well.

commit f9228be3fb979d068e95f398ab06fb3e427bb339
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 21:41:39 2010 -0300

    Dont delete an installed module unless we know that the unzip was successful. Remove output from errors in netstat/ifconfig in Mac

commit fd22d8db3b0ef201358ee1bf191679f04ec0e287
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 18:44:38 2010 -0300

    Bump to version 0.3.71 for update

commit daa9aa6b1c3488de7520ef22e4670492ec38cb35
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 18:44:14 2010 -0300

    Make Windows play well with Prey on folder with spaces

commit 232e0a57aff3a7c394d4ba26413c8fe611a4f4e4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 16:04:59 2010 -0300

    Updated Prey-config.exe

commit 98bba9175dd63d20bfb401a9a1f7d95c84c297cb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 15:36:29 2010 -0300

    Fixed error on email sending

commit 2b1f745340a2f70a28178101399e8e442cedc452
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 13:06:27 2010 -0300

    Check for updater fil on download

commit 912b0ef90e5999610cf13520131b00f7a99353a8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 12:56:41 2010 -0300

    Using single quotes on version file

commit 265b15bbb71d91e81c7223f09efbfb2aeafedd33
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 12:38:58 2010 -0300

    Added check mode for verifying keys

commit 11c0f2072f80346bd551ab7322245674d668ab6f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 02:25:39 2010 -0300

    Better logging for debugging

commit ff1d0b227c781c49a0f232286c824ed2f0f39ef5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 02:12:49 2010 -0300

    Added user_agents to requests to facilitate debugging

commit 9c10ecb684b8d9c82aaa6a5622a041855d84b3a7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 00:09:51 2010 -0300

    Fixed client_version sender in Updater

commit 0bcfdb2932f18ed2cb41f58d6770779e7838ffd8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 23 00:02:23 2010 -0300

    Updater now sends the full version to notify

commit 071e168e5efaf9daeed7166701191f016ea9dc2a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 22 21:16:31 2010 -0300

    Fixed getting of module version

commit f25c8afc5b0c59a364aae939d6fcba56562538d1
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 22 20:59:22 2010 -0300

    Check for netstat in Mac

commit 1dff2c6eaad118fc737d96327f6c2729d8fc9957
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 22 16:56:13 2010 -0300

    Bump to 0.3.7 for new release

commit f44fab4aea17fadf71c85b40d3fa0078de1d408b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 22 16:55:56 2010 -0300

    Updated Prey-config.exe binary

commit a15049a19c20e0b6964604424a4ae5c271214c93
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 22 15:33:31 2010 -0300

    Fixed file list pushing

commit acf59599613f63a32f0807a39d16c2d2022f5681
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 22 14:56:22 2010 -0300

    Fixed module auto updating

commit 5881916005b660c101fc0ef685b02ff06e5eba10
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 22 14:50:32 2010 -0300

    Do not output response from Control Panel on device PUT

commit 909792db2098d6e2c86b736748dcd89e3d88e5b9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 22 14:46:07 2010 -0300

    Fixed client version setting on new Prey update

commit 65a9c3f77c933ad130220eb127a1d7291b878144
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 22 14:35:18 2010 -0300

    Added reporting of client version and error flag if update goes wrong

commit 3ff5ee5e35367146ee4dc9920a59818589a3a09c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 22 13:55:58 2010 -0300

    Fixed module updater. Added notification of failed updates

commit 9f6e7efe2745a61603173b97ddc2f12f63dd647e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Mar 21 17:43:55 2010 -0300

    Fixed setting permissions on Vista/7

commit 8e19662313f506b6ab0f79b47bce1ff8518a2d1e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Mar 21 16:58:11 2010 -0300

    Corrected check for x64 and XP systems

commit 6709bb4cdccda8133a1da2530c8ebb2218565109
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Mar 21 16:54:36 2010 -0300

    Finally fixed permissions for XPs

commit 9123a0453ce9f0fb5ed9026374c7d961031abf3d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Mar 21 16:41:54 2010 -0300

    Added empty tmp folder for Windows environment

commit 466a0337691191abd3779927ba8d1c9b984b8ce4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Mar 21 16:20:20 2010 -0300

    Finally the granting stuff seems to work

commit a73d5e0c95723351f3e774302c5f7aec9f2c3048
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sun Mar 21 15:53:46 2010 -0300

    Make sure all of Preys folder gets grant permissions for Guest User (Windows)

commit 721bad6883304b43e4735537b9de59907ba37e76
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sat Mar 20 19:30:15 2010 -0300

    Cacls has a different syntax than Icacls.

commit f7a41d2c35b4ce75179b41450d289b31dca28249
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sat Mar 20 19:07:38 2010 -0300

    Cacls in WinXP needs the /e param

commit 058ed6bddfeb9b72ac1697b4b5e49d46f887e2dc
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sat Mar 20 19:04:33 2010 -0300

    Correct way of determining program_files path in Win Vista and 7

commit f9148ccfaeef74f331baf3c786bfe01230b07301
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sat Mar 20 18:56:23 2010 -0300

    Also need to setup permissions on XP

commit a2a8daf2823b5e63914634def00dacd533466750
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sat Mar 20 18:47:36 2010 -0300

    Better handling of vars when posting data

commit 9b6bd147a4a0408ce46955525f08cd632e1a73d7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sat Mar 20 18:17:46 2010 -0300

    Fixed icacls check in Windows

commit 744779d53de1a06403ee84f712a63d36f7b3aef5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sat Mar 20 17:32:08 2010 -0300

    Added constants for root, system, programs, users and home path

commit 554a9d26dbf4b7e878bf2e3f3a422cac4f501dee
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 19 17:41:41 2010 -0300

    Added uptime binary for Windows

commit 59abbe7f4c9d3d83ddf1608165f90228514b025e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 19 17:32:12 2010 -0300

    Try alternate method of making a connection

commit 5783cf39794a9c0e6e428a72e7f8cb04b27850ce
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 19 13:55:43 2010 -0300

    Better looking messages

commit 8987c78068e60bfc88a1b16f77941df19b2f6fc7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 19 13:35:41 2010 -0300

    Make the mem setting of vars actually work

commit 2c6222eba0546bcdbc544fc6f234219caa59337c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 21:29:26 2010 -0300

    Make sure the module vars dont get overridden afterwards

commit 0f47d9c66bc0d167fc8fc0bd66f009972b06a851
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 21:26:54 2010 -0300

    It works. Using new system for setting vars for modules

commit df9e7530ca029f796392ba6db879e728535b48e6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 21:18:29 2010 -0300

    Trying new system of loading vars in memory

commit 1ac3b0975f8c6ce4c9a843bc9e2552eb8f67f422
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 20:57:45 2010 -0300

    Put quotes on setter of vars

commit 2e398b546c2fec620576278861f47c2b43c7e6e8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 20:45:49 2010 -0300

    A little optimization that could be done

commit 75a42fd3544f7705ecea58c744bbe984143cab6e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 20:43:59 2010 -0300

    If only stuff in Windows worked the same way...

commit 99aecc674e79c598abe6e8569801ebbd7782bb6b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 20:26:50 2010 -0300

    Optimized parsing of traces. Less CPU usage. :)

commit 4b06d4bb71b5c640d63feacaedac2fdc20538b3e
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 17:13:10 2010 -0400

    Correct way of detecting modules, Mac OS's find doesnt support -printf

commit 46abd5ab22349bfaa8deebb02dc81522cec3c202
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 15:22:29 2010 -0300

    Really dont output anything from Icacls

commit ca112e8984f3613fe2696b04acbbca68454e23d5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 14:37:44 2010 -0300

    Do not output stuff from Icacls in Windows

commit f892ce3c2df9e193ae137731248eed28bb6b7843
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 12:24:42 2010 -0300

    Check for Icacls in Windows by running it directly

commit 95a656646edf9a61dc8e69a231d8d88c50c13302
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 12:21:36 2010 -0300

    Dont run who for logged_user in Windows. Fixed Windows Reg key var

commit b258009fb3461d5359db475b547b94b15454eb84
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 12:17:43 2010 -0300

    Adding permissions for modified files

commit fdb179f36db5e69d710dad7a3f20b9d9b285b72c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 11:32:07 2010 -0300

    Really fixed setup routine

commit 07624b77572a75478a8e24d8348d8a822363e1b8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 11:28:15 2010 -0300

    Fixed Windows 7 patch problem

commit 1e860b099b8ea2669b613d8e955032cc4333f360
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 11:22:32 2010 -0300

    Fixed test mode check

commit fa1766a500c86b29c54124df0a201f79e35773d7
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 18 11:20:08 2010 -0300

    Added settings file for each platform. Less is more

commit 84aa40ab3dc278a79e91a7d3cddc14d26354a99d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 17:45:19 2010 -0300

    IMPORTANT: New structure for platforms and modules. Makes it easier to understand.

commit bf1d97548d0a1c703f0157a98ca4bb376965f8bf
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 15:41:11 2010 -0300

    Optimized delay getting in OSX

commit 0dbf094d6cc5acc9c05dbc80e1004b1a0a049373
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 15:37:25 2010 -0300

    Fixed delay setting in Mac OS

commit e2823fa1abc31f268cd5c649a2d7fc456496e1ef
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 13:54:16 2010 -0300

    Correct way of removing unneeded stuff

commit a92ca14cb2f4115ceece51d35da7a9f625c0f6aa
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 13:51:24 2010 -0300

    Better removal of  undeeded stuff

commit 1af087f93684ab4622c6700947fd8579dad9e1ba
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 13:50:00 2010 -0300

    Removing undeeded stuff now

commit 0e2ee0d2618aa327b0890f4363d0fb35cd9671ee
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 13:46:02 2010 -0300

    Fixed the file_size getters

commit b7b760c72d3d73ba812f55b4cfcb0992a2eb3de1
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 13:35:59 2010 -0300

    Just a small detail to make the updater to look better

commit 29f8b25ef556e13d5264c4ccc6eba7d629bedcbc
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 13:32:56 2010 -0300

    Better handling of temp dir creation. More understandable login in prey.sh

commit bc36ca93f6ce92691c0df5f8c5d85a5d30b0d77d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 13:23:36 2010 -0300

    Removing tempdir for Windows fix

commit 6e1ced7c64d437eba6910b62b5418e53f0716051
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 13:21:17 2010 -0300

    Really random folder

commit 81963cef842b42f2de73a74587127025f6374831
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 13:12:33 2010 -0300

    Fixed removal of files

commit d1044950433cb507f668cc24f5be0277e3e33c44
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 12:35:38 2010 -0300

    Small hack to keep away from Windows 7 stupid blocking system

commit 58f7a17669126240b79bfa5b258bef8d8a909b02
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 04:08:35 2010 -0300

    Updater in Windows working smooth as silk

commit 95a489b9922d106c705772f9386e7d8eb4b8b7a8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 03:59:38 2010 -0300

    Updater now FRIGGIN works in Windows

commit 66cb9becdb8cf780824bf5a55322bb0e7355b958
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 03:01:56 2010 -0300

    Fixed the lowercase thingy

commit 0a8a3f8441636ea87e9786e73940b0eff8fc42b1
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 02:56:16 2010 -0300

    Small and not so small fixes for updater to run in Windows

commit 158746c1488dab3e346ec9401d2f598db32729d3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 01:48:50 2010 -0300

    Custom file_size function for Windows, since we dont have the stat command

commit 27884b0ae5854b4d0577a5a03ca807fcb625ebb8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 01:13:32 2010 -0300

    Do not output patch stdout

commit effc8aa06d2d24502264c7f66fee207f9df89c13
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 00:52:06 2010 -0300

    Fixed checksum getter

commit 2c2944ab25265430280788ba6e2bc3c0825791f1
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 17 00:07:06 2010 -0300

    Better handling of outputs and paths in updater

commit be955878b6dfd427bd7486a8686577c27f8fe852
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 16 22:59:48 2010 -0300

    Using tmpdir for updater

commit d0d976b70f52108c5aebdd8c043bdf24524e181a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 16 19:15:01 2010 -0400

    Moved get_wifi_info for Windows where it belongs

commit 6d5f6ab580295e25fd4799e8512eadc0f70902ee
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 16 18:05:51 2010 -0400

    Checksum getter so we can reuse it

commit e281af4b432bd82beccbd120a5c1e5d29220abe4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 16 17:42:30 2010 -0400

    Fixed path for copying updater files

commit e60572a023ed924c7a79be3d0f2ea07db3164f97
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 16 17:14:52 2010 -0400

    Added checksum validation for updater

commit a9a66167d5f635c1558add0452a8716283cae0b9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 16 16:36:02 2010 -0400

    Prey updates with PATCH fuckin' aye.

commit 03ad055b3058f5266128f0b4838d330b01439193
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 16 15:37:44 2010 -0400

    Added /etc needed for Windows bash

commit 099ec1479fd2fa680a4b73a814910300f3073c14
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 16 15:32:12 2010 -0400

    Updater now copies full dir rather than specific files

commit 289e601007df73f7599c7495ff8b44b5cbcec6c3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 16 14:47:14 2010 -0400

    Little changes to updater

commit d74384999c3b315c2d07e7f26b5c8c47dc0b8a35
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 16 13:22:06 2010 -0400

    Fixed updater

commit 7e32dc2d9e13d84fce51bfd464a84aaea4167db8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 16 13:02:52 2010 -0400

    Bump version to 0.3.6

commit 8d5ebf8d98a0865e79dc8e31b3a4a9c0efe9edee
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 16 13:02:27 2010 -0400

    Rewritten updater

commit d89818d2e4e6dcf978e7bb36abab3599259f3f10
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 15 21:03:47 2010 -0400

    Ordered the code a bit. Finally the urldecode works in Unix and Windows as well

commit 5d7a1eab97bbd31dd97a6979eb0120f545d4bcad
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 15 19:27:28 2010 -0400

    Little fixes

commit e09562724be10de231d4148e04d2970ebe496ab3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 15 19:02:20 2010 -0400

    Fixes for Windows

commit 6f12ef57717e3c847fb46496b28d5f6d704840a2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Mar 15 16:12:37 2010 -0400

    Fixed delay setting in Mac

commit 394222011cb4e6342e8273dd9a1c164c43de5e56
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Sat Mar 13 18:47:40 2010 -0300

    Ordered the code a bit. Removed some warnings on TRs and setting readonly vars

commit e2848e2c0026043d4618b5795cea042c02f3567f
Author: Diego Torres <warorface@gmail.com>
Date:   Sat Mar 13 14:23:52 2010 -0300

    Really, Really Fixed the Launchd Task management. Now it really sets the new delay.

commit a6f024f42b171dd25c27257c9160f70e2220f60f
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sat Mar 13 06:03:29 2010 -0300

    Added urlencoder, better response handling from server

commit 155d017870d9818b8af3fac783beff7de89bb077
Author: Diego Torres <warorface@gmail.com>
Date:   Fri Mar 12 22:44:27 2010 -0300

    Really fixed the delay for launchd. There was an echo missing

commit 140f5c22a453c7542ac18e8bf34a17a3f3d313e9
Author: Diego Torres <warorface@gmail.com>
Date:   Fri Mar 12 22:39:43 2010 -0300

    Fixed the Delay for launchd

commit 365b3fe6761d0fbd948273498cd81409d1b7b2a5
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 12 13:38:32 2010 -0300

    Pasted Diego's changes on Launchd support for Mac

commit 5487c86969ad1a1cc20797af0f98c8be9e71be8a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 12 12:45:00 2010 -0300

    Better handling of Langs in Configurator

commit 557063b08edff6a9b2da16e3c8edae996ddfc811
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 12 11:31:55 2010 -0300

    Added new and old user icons. Updated configurator, better setup routine

commit da2da1722b89f569ea48515df7e10155c5371422
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 5 20:13:34 2010 -0300

    Dont output if chmod has an error

commit f684aa67b9287485890236be4a57a552dad79d9f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 5 20:12:47 2010 -0300

    Fixes for new config setting, moved test stuff to setup, where it belongs

commit ead639d60fc5ab173991c06c0ebb5285a1374039
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 5 18:17:46 2010 -0300

    Moved the testing stuff to core/base

commit c3db7fcc3b8929fafd9bf07d7f858208007e9425
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 5 18:02:12 2010 -0300

    Added check for .NET version before attempting to autoconnect

commit cfd0e071412289bd4b50abbacd5c3de56ea6289a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Mar 5 17:39:03 2010 -0300

    Added AutoWC.exe for Wifi management in Windows. Checks for deletion in updates.

commit d98290045303b68aa4e9f6dff09c43c6fd3f4ca2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 4 20:09:05 2010 -0300

    Local var in trace storage function

commit 620343ea429c3243e9bf3b44dc14033b4052494d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 4 20:03:47 2010 -0300

    Added updater file for core. Now deletes file is diff says so

commit 8e1cde39a403c2cbccec3e105698fa329d8cc894
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 4 19:56:40 2010 -0300

    Added flag for 64 bit Windows systems

commit 8058538fe516ae0b69e8c7d2d84bb21d2a8f1dad
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 4 19:50:21 2010 -0300

    Fixed temp dir creation. Removed email notice from emails

commit 031a8b95ddaebe6431c8f419530ed724ce679a50
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 4 19:33:21 2010 -0300

    Path fixes

commit 4393dfc8daaba2e8ae7172aef61697857af3d14f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 4 19:21:26 2010 -0300

    Windows path fix

commit 5bf8cb257c251226f15b1a50b2c6d3c2790666ef
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 4 19:10:20 2010 -0300

    Removed set -e for Windows to run

commit 1d0fa2146b9ddc1d314fd527905d5ca170ae740f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 4 19:09:41 2010 -0300

    Added .exes from platform/windows

commit b5c61ba9cff1747847e54f9b376593e05ea47e5f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 4 18:57:14 2010 -0300

    Fix paths for Windows

commit f21406dbe14d7719d61b332bd5e36b0e23d70187
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 4 18:41:06 2010 -0300

    Updated sendEmail to version 1.56

commit fc6b815834109497907d12f92fc36c5558ae4b1c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 4 17:05:45 2010 -0300

    Moving distribution to a different repo

commit bcbce5d239a1e1c51216d66a77150ddc3c452561
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Mar 4 17:04:17 2010 -0300

    Moving parts for consistency.

commit 91a5ad3074810d688c36d13fa08a5e14cb01b841
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 3 21:24:29 2010 -0300

    Fixed platform paths for Win

commit 5c8b1ccfe440ee3471840c775db47c0bb88f2a37
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 3 21:19:17 2010 -0300

    Ordered the directories for platfomrms, needed for updater

commit 6a75c3dc641d2b61482d32db786ebcd6c9f53adb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Mar 3 16:24:20 2010 -0300

    Bumping to 0.3.5

commit dd9d9b3daba70f8063c5da8e8278a93a7f0d3800
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 2 20:30:37 2010 -0300

    Added Async job support. Optimized var assignment.

commit 89cdfcc2b6a409ee4b7490615b915235e0d22747
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Mar 2 16:48:16 2010 -0300

    Split up the core file into smaller chunks. Ordered code ftw.

commit 626f14ab2511e82f818de6db5719c0e5c2e82278
Author: unknown <Tomas@.(none)>
Date:   Thu Feb 25 20:32:10 2010 -0300

    Fixed Windows installer check for .NET on Silent mode

commit 34300513df90ab1f7ce680f1c35f86377b0ce169
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Feb 25 20:06:41 2010 -0300

    Fixed RegKey handling in Windows

commit 35f91b69fee3994e4536f383958e047e51cdfb1d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Feb 25 19:31:09 2010 -0300

    Prey in Windows now manages the delay on the Registry

commit b6158205a3e2ac0b093451537f474dbcea6e9cce
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Feb 25 19:29:04 2010 -0300

    Whole new configurator. User can now change default install path. API/Device key not required for setting up. .NET install check. Guest user auto creation. Silent install support.

commit b1dcf34ffcdc2988b950f3c3bb91709a39fbf43f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Feb 18 22:19:36 2010 -0300

    Lots of optimizations. Active modules are now grabbed from XML file on HTTP mode.

commit 9961306a0f4ec2234e3904541a64efc18231ffeb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Feb 9 17:51:28 2010 -0300

    Really updated README

commit 5f94354f61a75153bd0d9f62990b3d5a6e0ed104
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Feb 9 17:49:19 2010 -0300

    Updated README

commit 980433031163749cbc16ed0c6feedeb3008fa2d0
Merge: a3c8676 6d4f2db
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Dec 28 16:40:00 2009 -0300

    Removed old modules directory

commit a3c86763a363e59662a5451644c37cdeafb0b2ff
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Dec 28 16:21:58 2009 -0300

    Correct check for capture_video param

commit 6d4f2db0423d23dc51cd9a53bbfae97d3cffac28
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Dec 28 16:21:58 2009 -0300

    Correct check for capture_video param

commit f46ce4a20b8ebdc8a7368026331a6b7f6f05da32
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Dec 18 16:56:07 2009 -0300

    Added Win patch.exe binary

commit 10c880c5ff33d716e9b9e97fd83cf4019ff7b990
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Dec 18 16:56:07 2009 -0300

    Added Win patch.exe binary

commit b6756b38a05eac447b83004362858002404138c4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Dec 18 16:55:46 2009 -0300

    Fixed Prey updater and added support for diff patching

commit ec8ba599c50286c2f31bf0572f5a2d59a7f4f641
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Dec 18 16:55:46 2009 -0300

    Fixed Prey updater and added support for diff patching

commit 021f13063d0ea0ba11c185a19fa5ef7533c6fd57
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Dec 18 16:26:35 2009 -0300

    Added 401 and 403 as possible HTTP responses from the web service

commit 62167a7219fcbcdc784f2336c1389027181928a1
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Dec 18 16:26:35 2009 -0300

    Added 401 and 403 as possible HTTP responses from the web service

commit b38464d52c3f95c639b38d307eb69a8d8d9302bc
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Dec 18 16:13:58 2009 -0300

    Prey updates itself only if the user has auto_update enabled

commit a19d12be939d3db3a285b25acf2f0ab0dccb5385
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Dec 18 16:13:58 2009 -0300

    Prey updates itself only if the user has auto_update enabled

commit 831aa38d1a0011ae7108334e7a1dbb8fcc9ac441
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Dec 18 16:11:58 2009 -0300

    Prey now checks config if the device is not missing too. Added Updater function.

commit 37cc019520ad7e2942be5d6d8ca26b1876af74a0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Fri Dec 18 16:11:58 2009 -0300

    Prey now checks config if the device is not missing too. Added Updater function.

commit 459f707b612e83eadd134b9c3ccbd130cabdd7d2
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 20 19:47:40 2009 -0300

    Added version call from prey.sh

commit 411496c4d8b4221ea723c310aa76976af1bdc0c8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 20 19:47:40 2009 -0300

    Added version call from prey.sh

commit afa96a80d7608815b092b96a511e04ea419db893
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 19 21:44:57 2009 -0300

    Fixed user agent to include the OS

commit 56577c09d9e1a603d62574e332c28edba10f5f15
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 19 21:44:57 2009 -0300

    Fixed user agent to include the OS

commit 9608b353c6c546d3b0b969925ca2f2f52e94f011
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 19 17:33:26 2009 -0300

    Added logging to call from configurator

commit 6d5c7d1aed2db4cb33234a06e5e49272da2119dd
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 19 17:33:26 2009 -0300

    Added logging to call from configurator

commit a86ccb282734002a9c799472ea899a6497d95af0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 19 17:23:27 2009 -0300

    Tested and fixed logging param in Windows version

commit a2159c6b74e9e0ce0105f12aeed8ead77345e444
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 19 17:23:27 2009 -0300

    Tested and fixed logging param in Windows version

commit f800c8f3397368ffbed9e2c7899c03c8c076bee4
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 19 16:55:03 2009 -0300

    Put the prey first install check where it belongs

commit f36530304823198fbf494c33ea2d9f1991f72b72
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 19 16:55:03 2009 -0300

    Put the prey first install check where it belongs

commit fc01eb25b60bd625bdd298fd27db95f755831df0
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 19 09:50:06 2009 -0300

    Testing command line arguments

commit 6ba869f53ff3ef9e71a810662f382b21f1cc099c
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 19 09:50:06 2009 -0300

    Testing command line arguments

commit 6a6a7cc87a2530fc2f97574f47d45be83f6686ee
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 15 16:30:46 2009 -0300

    Added missing # in config file

commit 17a7f0efb8e9614cecde0c96c3337380ba748185
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 15 16:30:46 2009 -0300

    Added missing # in config file

commit 386e66e88651bed26b5a6e75e0b6ae46f0383e5f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 15 13:26:22 2009 -0300

    Show message if first time config

commit ef492792291dcf3165a2c315ab3a78fc09f568fb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 15 13:26:22 2009 -0300

    Show message if first time config

commit 3500509f2e53784aea074e0309fc077002a016bb
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 16:21:40 2009 -0300

    All good. Just a small message fix

commit 9d3d88b77dbe3fa712c27b4410c5ebf00d80b8f8
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 16:21:40 2009 -0300

    All good. Just a small message fix

commit e5f721688668454e692a340e215fb9e5711f22f3
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 16:18:38 2009 -0300

    Added un.oninit, admin check should work now

commit f2ce9382e59fe69ddaf606b6cd50295a6bbe02a6
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 16:18:38 2009 -0300

    Added un.oninit, admin check should work now

commit d3a860b57b4ad20444f9e73ea36420c4447d2e0a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 16:03:34 2009 -0300

    Registry prey_path check in correct order, now OK

commit 780c691ed31a844d57df5c0836979fe244117602
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 16:03:34 2009 -0300

    Registry prey_path check in correct order, now OK

commit 871d7b80913ddeb679b8e70fd20e9adf83f7b569
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 16:00:58 2009 -0300

    Registry prey_path check in correct order

commit 8e2493900ad42455ef907cc586ac0eaffb3c7176
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 16:00:58 2009 -0300

    Registry prey_path check in correct order

commit c4584adf94450d38938ab5e359513c99b4db0d79
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 15:59:52 2009 -0300

    Shit, forgot to change var name

commit efc85c04ccd388c533ed85c8868d7a72c3935796
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 15:59:52 2009 -0300

    Shit, forgot to change var name

commit fee9b1b0f254a353a9968c6fddf7ad69be53ac0b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 15:59:11 2009 -0300

    More consistent Prey_Path check. Admin check in uninstaller

commit f41465cea9daabfa6c5b40e277f9d75bbff5f226
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 15:59:11 2009 -0300

    More consistent Prey_Path check. Admin check in uninstaller

commit 1d257a88c7cd87f99c756be4a425301336d8c847
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 15:36:01 2009 -0300

    Added PREYPATH to Windows configurator. Now we dont run cron.exe until Prey is actually configured

commit 132082e833d7f3ae2dac13268bad9b5ffbd962a1
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 15:36:01 2009 -0300

    Added PREYPATH to Windows configurator. Now we dont run cron.exe until Prey is actually configured

commit 610c7fe47b6a2f101c126612634d4eab43c9d44a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 02:59:55 2009 -0300

    Fixed alarm module and added command checker function in platform/base

commit 97fae317a4f5198c5666c6fd768eb87ad6b18c30
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Wed Oct 14 02:59:55 2009 -0300

    Fixed alarm module and added command checker function in platform/base

commit 94ed3a152e2c7259dd5cdd45dd4fa358751790ca
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 20:57:18 2009 -0300

    Changed failed sync message in Win configurer

commit 53dabf68044978ec68c98e1d371fb5b343b68f3d
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 20:57:18 2009 -0300

    Changed failed sync message in Win configurer

commit 2d5ca801596de5b39d0a088a1dfa945a03ee3f36
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 20:34:33 2009 -0300

    Fixed API key for curl in report posting

commit ef9ff5d02754d97f53c94c96c6fa6a41538d5aee
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 20:34:33 2009 -0300

    Fixed API key for curl in report posting

commit 696af03a19cb5eeea791d8564de036dde6306448
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 20:25:48 2009 -0300

    Fixed else if that was screwing everything

commit 4c57a1ae3310cf495fe4dbb92bb78b373d49e64b
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 20:25:48 2009 -0300

    Fixed else if that was screwing everything

commit 9dd19503d9597095bc9383a2a1f303ec2506d343
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 20:21:57 2009 -0300

    Fixed user_agent stuff, added config option for auto connect so it can be disabled

commit 9441a832774c5b5a485fefe7d3e82ee101b6667e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 20:21:57 2009 -0300

    Fixed user_agent stuff, added config option for auto connect so it can be disabled

commit 637933b6921f8d70ae759e42fd358a77e39d1ade
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 19:44:26 2009 -0300

    Added User agent to getter as well, important stuff. :)

commit f55e83bee758aa7e366efa7d8503ea17c4b882aa
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 19:44:26 2009 -0300

    Added User agent to getter as well, important stuff. :)

commit fb77fe9f0ed08481cd0fe92af56deca2aaf1d733
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 19:35:13 2009 -0300

    Fixed installer to check for previous versions of Prey as well

commit 5e428be012322592a703b3b0205e02599755de8f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 19:35:13 2009 -0300

    Fixed installer to check for previous versions of Prey as well

commit a82f89763f5d3e97d9e0aef987963b6f56455d13
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 19:08:08 2009 -0300

    Updated Win installer with the new http api authentication

commit 497a70f66167a5a133d4f9d7f3eba53a4f06244e
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 19:08:08 2009 -0300

    Updated Win installer with the new http api authentication

commit ffbdd78188bb02830cd51721ad7c5f9ee4af8074
Merge: 350d775 a891716
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 19:00:18 2009 -0300

    Merge branch 'master' into switch_http_status_activation

commit d20a4c5295b6c14d7103177cf6f9909341b3e00f
Merge: 9aa76ee 7ece772
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 19:00:18 2009 -0300

    Merge branch 'master' into switch_http_status_activation

commit a8917160df0bf1bf4a95d119be95cceb1109c843
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 18:59:49 2009 -0300

    Report post path and api key usage the new way

commit 7ece772f41eac0a1ec6b1950f343bdc5cbae4067
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Tue Oct 13 18:59:49 2009 -0300

    Report post path and api key usage the new way

commit 350d77544e0069df36d16e3058012063ac37ac8a
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 12 04:23:17 2009 -0300

    Added email notice so that standalone users are aware of the check method change

commit 9aa76eea82d9ee5084c042ff47e42bfa9665c40f
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 12 04:23:17 2009 -0300

    Added email notice so that standalone users are aware of the check method change

commit 675ec6c236aeab30089e9358ed343a1a87766e81
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 12 03:58:17 2009 -0300

    EXTREMELY IMPORTANT!! DEFAULT ACTIVATION CODE IS NOW 404 BY DEFAULT, NOT 200.
    
     - Added missing_status_code as configuration param too.
    
    This if for a number of reasons (mainly for scalability for the web service),
    but it also makes more sense that "404 Not Found" actually refers to the
    "dissappeared" state of the computer. "200 OK" now means that the device is OK.
    
    Syncronizing our Prey codes to HTTP responses will also allow us to make a more
    semantic use of them (403 Forbidden, 302 Found, 409 Conflict, etc) which is also
    nice.
    
    The important thing is that standalone users of Prey will need to change the
    setting in the config if they wish to keep waking Prey up by generating the URL
    and not the other way around (which, in my opinion, is easier, since as its
    already there there's no need to remember it or write it down).

commit c144b9d9fa087844a46d751237106b5648a65fa9
Author: Tomás Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 12 03:58:17 2009 -0300

    EXTREMELY IMPORTANT!! DEFAULT ACTIVATION CODE IS NOW 404 BY DEFAULT, NOT 200.
    
     - Added missing_status_code as configuration param too.
    
    This if for a number of reasons (mainly for scalability for the web service),
    but it also makes more sense that "404 Not Found" actually refers to the
    "dissappeared" state of the computer. "200 OK" now means that the device is OK.
    
    Syncronizing our Prey codes to HTTP responses will also allow us to make a more
    semantic use of them (403 Forbidden, 302 Found, 409 Conflict, etc) which is also
    nice.
    
    The important thing is that standalone users of Prey will need to change the
    setting in the config if they wish to keep waking Prey up by generating the URL
    and not the other way around (which, in my opinion, is easier, since as its
    already there there's no need to remember it or write it down).

commit 892617cbaea700d1f5b6b27126fab748d196ad7e
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 23:55:33 2009 -0300

    Updated Prey pixmap for Prey configurator

commit 5e3fea9853aed4ac6d04a6c2f8c72a0c97ea39c6
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 23:55:33 2009 -0300

    Updated Prey pixmap for Prey configurator

commit 61499de3af54fb6675bb9c1f9fcfe149f6c54d54
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 23:25:18 2009 -0300

    Updated Readme, just a bit

commit 6d3413932a44d17df22dbdd1e7d6df9322b97077
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 23:25:18 2009 -0300

    Updated Readme, just a bit

commit 9d7ec531c976e107ba406c90773c1c1f5d15f7a4
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 23:20:02 2009 -0300

    Temp delay updater in Windows no more

commit 45a010e2e5e2adca67f6413a0e8f37f7fee68dfd
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 23:20:02 2009 -0300

    Temp delay updater in Windows no more

commit 12db637e9bb5c05a837711709c5fc7b9c98837b9
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 23:10:21 2009 -0300

    Finished cron runner for Prey in Windows, tested it in different setups and it works. Better handling of user profile access so that it runs as every possible user in the system.

commit 681cff6f4cc53d63aa9b34ed211991ab6fcf63b9
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 23:10:21 2009 -0300

    Finished cron runner for Prey in Windows, tested it in different setups and it works. Better handling of user profile access so that it runs as every possible user in the system.

commit 174b7a489fb60a498a81eb7738e8e63701899c18
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 19:46:58 2009 -0300

    Fixed BMP files for Win installer/configurator

commit 13022922e06c2e27b780f7af8820e46413152a23
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 19:46:58 2009 -0300

    Fixed BMP files for Win installer/configurator

commit 502fa49046eee8b4a07085284feddf0a81826cc2
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 19:43:55 2009 -0300

    Added Prey header for configurator

commit 2a9fc1fef096cedff70ac809efedf8ae27fd7eda
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 19:43:55 2009 -0300

    Added Prey header for configurator

commit 28389d86894a418807afcb00274de89822dd7aeb
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 19:32:44 2009 -0300

    Added BMP for Prey installation in WIndows

commit c096086cb1825cc3ae5f843f8c21b89ebced886b
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 19:32:44 2009 -0300

    Added BMP for Prey installation in WIndows

commit 6977dfd7d0e0d115590395677c76549e638bb8b3
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 19:07:35 2009 -0300

    Added Prey ICO file for Windows executable

commit 404cf0624f394fad382acbc92f041359e5b397e6
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 19:07:35 2009 -0300

    Added Prey ICO file for Windows executable

commit bf703afe0c99fb0e840ab195102a1ae45b68569a
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 19:06:55 2009 -0300

    Fixed session and webcam output bugs. Forceably remove the tmp delay file in Windows

commit d66cd03b6955d85240bce29d287e69c214015014
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Oct 11 19:06:55 2009 -0300

    Fixed session and webcam output bugs. Forceably remove the tmp delay file in Windows

commit 4907b658f4a672a53637f2e2ba2f7e11bb1837ef
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 19:36:22 2009 -0400

    Fixed back configurator check

commit dd9f659afaaa94744247f65e889230c8624c62d2
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 19:36:22 2009 -0400

    Fixed back configurator check

commit 0b1f36145b7df74eaa9c84b92fbb292497dbe266
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 19:21:09 2009 -0400

    Webcam picture in Windows is a JPG, not PNG

commit db4ce361ee105e075958cb8602bacaae945d3377
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 19:19:29 2009 -0400

    Fixed installed version check, Windows installer

commit ef1e0980307c85acbcd613b7dbc8be65d0c5271a
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 19:19:29 2009 -0400

    Fixed installed version check, Windows installer

commit 3238b228849f277989c84c024ce98a6c6d77c7d0
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 19:17:58 2009 -0400

    Added comment on not marking device as missing before install

commit 52a321d8f9a9fc2a39c7f33bc5b32106ac736385
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 19:17:58 2009 -0400

    Added comment on not marking device as missing before install

commit ab311c2a716619cbdd73376a900374558e33eb0c
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 18:49:20 2009 -0400

    Added temp delay setting (so Prey can actually see something), added check for previous version installed in Win configurator

commit 79630ae9619fc0c95764934b6844e79858314623
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 18:49:20 2009 -0400

    Added temp delay setting (so Prey can actually see something), added check for previous version installed in Win configurator

commit 4bb117103f5d06d348f6f97d05a7a1dd89a871aa
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 18:10:56 2009 -0400

    Inverted order in Win runner loop

commit f81dd2fc6854151b1593524df58c7101e6dae90d
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 18:10:56 2009 -0400

    Inverted order in Win runner loop

commit f8ff226053c539e8f5977a857947e3c2b2ab16fe
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 18:09:19 2009 -0400

    Removed delay file references in installer. Added check for admin user in configurator

commit f15ac2704960eaec77d4548c6d5e2f278546aea2
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 18:09:19 2009 -0400

    Removed delay file references in installer. Added check for admin user in configurator

commit dd835cefa149185c54a5bd09fb3714775990b454
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 17:49:10 2009 -0400

    Cron.exe now updates delay only if delay file exists (permission issue)

commit 47327a0bc21df9f770ee68809039a077c8db708f
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 17:49:10 2009 -0400

    Cron.exe now updates delay only if delay file exists (permission issue)

commit c67f598009d2a89aa6cc9376265409409e209381
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 16:59:55 2009 -0400

    Not using Task Scheduler any more

commit e77f23c73d27eb1c1bd906c242fb71203f256ab2
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 16:59:55 2009 -0400

    Not using Task Scheduler any more

commit 499fda1347b51c7d6fcee6c1aa709f0baeb1fb82
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 16:56:09 2009 -0400

    Fixed AHK script, added wc.exe and removal of delay file in uninstaller

commit a5ced46d1ea49579f1cf4c31d85946ab8dc274d7
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 16:56:09 2009 -0400

    Fixed AHK script, added wc.exe and removal of delay file in uninstaller

commit 8c07decf8ece7cd01064802b1a0e55bdbfb92364
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 16:45:23 2009 -0400

    Added logging form Prey Windows cron. Trying with Task Manager as well as startup reg

commit 1401ee32380259b9771482d37f9b4cb8bbe693fa
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 16:45:23 2009 -0400

    Added logging form Prey Windows cron. Trying with Task Manager as well as startup reg

commit e76b685c98fc3a6a554ef48ec1622ef3868d19ba
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 15:29:27 2009 -0400

    Removed already-moved install.sh

commit c9ed2aec1a1552e81795c60d375a42f3f77b9cf8
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 15:29:27 2009 -0400

    Removed already-moved install.sh

commit 0ac3bb3dd04f3d39cadd30698f973c0a8342b3ba
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 15:27:23 2009 -0400

    Added delay file for Win. Set default delay to 20 minutes. Moved the install.sh to distribution/linux folder

commit d6b793be7aeaa40b3ff68e2c0f18d8af0a6e6c9f
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 15:27:23 2009 -0400

    Added delay file for Win. Set default delay to 20 minutes. Moved the install.sh to distribution/linux folder

commit fe2eb8682e203f739e7f952f4124854520597ccb
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 15:17:34 2009 -0400

    Updated DEB packager with version. Fix delay getter/setter in Windows

commit 8e47c03bcfd6a793717dd363e7e984d626c2dfdb
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 15:17:34 2009 -0400

    Updated DEB packager with version. Fix delay getter/setter in Windows

commit e913e96501fb70ec26395a3c13d8934349885b1b
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 14:47:47 2009 -0400

    Added separate version file. We're now in 0.3.3, readying for release

commit dff5e11ad9dddde048e09ebd4cd289c93738cc94
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 14:47:47 2009 -0400

    Added separate version file. We're now in 0.3.3, readying for release

commit da7b8142ad60c3c67c8c3a0fc00a0a3766a5bbec
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 14:44:57 2009 -0400

    Added necesarry path check for new Windows method

commit 3e09972b9e95afb2ce7a1f4bc886769767a86be1
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 14:44:57 2009 -0400

    Added necesarry path check for new Windows method

commit 8a3a4082d910841a059a61910dd70ab6ff2f48aa
Merge: 00bcfca 8cada18
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 14:40:46 2009 -0400

    Merge branch 'snapshot'

commit 555a6f8f9b2a71f1dbe31c58622619f5fd0eba08
Merge: d4c8009 e28c29c
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 14:40:46 2009 -0400

    Merge branch 'snapshot'

commit 00bcfca61dd1f265b32a6fef9ad4b99b208342a1
Merge: 81cbe81 9644376
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 14:40:25 2009 -0400

    Added cron for Prey in Windows, with script. Modified installer accordingly, and also checker for configuration too

commit d4c8009f9e46df0b65bd181b2547354cdb081a23
Merge: c0929aa 31613d4
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 14:40:25 2009 -0400

    Added cron for Prey in Windows, with script. Modified installer accordingly, and also checker for configuration too

commit 81cbe814da5698b7f51419e096faf23f8a1715f5
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 14:32:13 2009 -0400

    Replaced prey.bat with cron Prey runner

commit c0929aaa59017a9cc4e9db31833ff87a6f6b05b6
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 14:32:13 2009 -0400

    Replaced prey.bat with cron Prey runner

commit e28c29cea5d2fc7b00cfd87bf79b13745cd75261
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 9 14:29:46 2009 -0400

    [Webcam module] Replaced webcam_capture with better (and open) snapshot.exe alternative

commit 8cada1864b1419c3479cf0b73f2eebe90f0804b3
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 5 18:18:47 2009 -0400

    Added OS to user agent

commit 7d5e91d4bab19407bcc0fa65f022cb7f6342c148
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 5 18:18:47 2009 -0400

    Added OS to user agent

commit 9644376cc5974e8c3ac98947446ea6734f9b31bf
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 5 10:55:45 2009 -0400

    Updated TODO

commit 31613d47203c785cbcc4263274a9f6fe78176929
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Oct 5 10:55:45 2009 -0400

    Updated TODO

commit ea68566be052631680155f53414ba656a9f580c2
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 2 02:13:57 2009 -0400

    Finalized check for syncing device with control panel

commit 5ff97ca1f8daa74379f6f151aefb60c588491305
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 2 02:13:57 2009 -0400

    Finalized check for syncing device with control panel

commit 28f9b688cb4ce073a737e2b8e3138190bcb92839
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 2 00:10:37 2009 -0400

    Added synchronization check logic to Windows configurator

commit 0f30e9173d07d76961c108a291e04a51f7811ae1
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Oct 2 00:10:37 2009 -0400

    Added synchronization check logic to Windows configurator

commit e012d155bdff3d063b361ddeb25e3c725243ffeb
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 1 23:12:12 2009 -0400

    Updated installer and new Prey.exe

commit a46949e98904d564e7ea1691149094dd2b146594
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 1 23:12:12 2009 -0400

    Updated installer and new Prey.exe

commit 60281eedbc4cf73663c0b5ba50ab27b5b332e314
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 1 22:56:41 2009 -0400

    Updated installer with new Prey.exe and startup key registry value

commit 8adbb74804e9144c89c1e08ba4185b5e41a52aea
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 1 22:56:41 2009 -0400

    Updated installer with new Prey.exe and startup key registry value

commit 0615514a6648ab1629c0b900967b1270cc4b52eb
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 1 22:14:45 2009 -0400

    Added task scheduler alternative solution by newstart

commit 9bd49ea8a26f944ca7ff55f967ca7d6b671f08c0
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 1 22:14:45 2009 -0400

    Added task scheduler alternative solution by newstart

commit 9919a3daa54456cff8f56e8acb308676b4dc9b85
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 1 22:11:16 2009 -0400

    New way of setting delay

commit 785ae8f483f7186298c6ff3966a809661a9a1d41
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 1 22:11:16 2009 -0400

    New way of setting delay

commit c9838311bc9240e0079ecea002bf081d34b103b4
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 1 22:03:22 2009 -0400

    User agent the standard way, program/version

commit a1569e36bc68959460691cd18592c3adb1cd5635
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Oct 1 22:03:22 2009 -0400

    User agent the standard way, program/version

commit 1cec78455c570247763f318448e88d7a8e172d95
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Wed Sep 30 19:55:43 2009 -0400

    Added custom User Agent so we have more information to avoid spoofing

commit 31108bd7af90a825e22a4de8f6f6faa96515dd7f
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Wed Sep 30 19:55:43 2009 -0400

    Added custom User Agent so we have more information to avoid spoofing

commit 7bde649d80860a0f610618e1813261974baa29cb
Merge: 5a186c3 c0df3b6
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Tue Sep 29 19:01:25 2009 -0400

    Merge branch 'tempbranch'

commit 3b8d918e03c4468cbd85e07e7912be68e9b806ac
Merge: 0674c5a c1806b2
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Tue Sep 29 19:01:25 2009 -0400

    Merge branch 'tempbranch'

commit c0df3b659c384527bb2394d2994c4e785f10e2f1
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Tue Sep 29 19:00:57 2009 -0400

    Updated Mac Installer changes from Diego's repo

commit c1806b2543d11c3c0c7914f44af5e3abcdb81282
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Tue Sep 29 19:00:57 2009 -0400

    Updated Mac Installer changes from Diego's repo

commit 5a186c3739428f6c02ed7b2b3af0e061aaf7c185
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Tue Sep 29 18:57:12 2009 -0400

    Fixed make packages script

commit 0674c5a42826cecccfaf3eb067262df9f2749307
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Tue Sep 29 18:57:12 2009 -0400

    Fixed make packages script

commit cfaee8ca23e2721754bb41aa5c752e2d32fd13ef
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 25 10:12:01 2009 -0400

    Added check for required device key

commit e0067c60c4b081d1646402e231c595737490cae8
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Sep 25 10:12:01 2009 -0400

    Added check for required device key

commit 1aba4aca888a86eb1b44e4df946883aef868a6cd
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Tue Sep 1 18:21:28 2009 -0400

    Modifications for Rodrigo Linfati's changes to the alert module

commit 1f93889c7d9544e890c2eef3ffd39d935275054d
Author: Rodrigo Linfati <rodrigo@linfati.cl>
Date:   Tue Sep 1 20:11:43 2009 +0200

    FEATURE: put email on alert-wallpaper
    
    Signed-off-by: Rodrigo Linfati <rodrigo@linfati.cl>

commit 12a902f4d83fb95f452674aae028041d618d1dbc
Author: Rodrigo Linfati <rodrigo@linfati.cl>
Date:   Tue Sep 1 19:11:12 2009 +0200

    FIX: correct send wireless info for geolocation
    
    Signed-off-by: Rodrigo Linfati <rodrigo@linfati.cl>

commit de29ff5c284717a7812deaa142e3434cae1d1018
Author: Rodrigo Linfati <rodrigo@linfati.cl>
Date:   Tue Sep 1 18:00:12 2009 +0200

    FEATURE: add list of wifi avariables
    
    Signed-off-by: Rodrigo Linfati <rodrigo@linfati.cl>

commit 72932a412710ab41ceeb972e0b6e6255806947d1
Author: Rodrigo Linfati <rodrigo@linfati.cl>
Date:   Tue Sep 1 17:48:06 2009 +0200

    FEATURE: send full geo info
    
    Signed-off-by: Rodrigo Linfati <rodrigo@linfati.cl>

commit 51517578389a169ca8d15e103cf20cbf71be4ccd
Author: Rodrigo Linfati <rodrigo@linfati.cl>
Date:   Tue Sep 1 17:14:45 2009 +0200

    FIX: añadido traceroute al reporte
    
    Signed-off-by: Rodrigo Linfati <rodrigo@linfati.cl>

commit 1469f234727dbf390625d9b0ebce4d1364bf36df
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Tue Sep 1 01:08:06 2009 -0400

    Added fixes from Rodrigo Linfati (gracias compadre)

commit 17025e190a2c55f4070a4778813a55c190920b25
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Tue Sep 1 01:08:06 2009 -0400

    Added fixes from Rodrigo Linfati (gracias compadre)

commit 8b58fee76de8d4f4188d9e788d4224be47956b63
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Aug 27 03:08:25 2009 -0400

    Updated bash installer for our non Ubuntu Linux friends

commit 27cffcb14b80f6fc1d8cc049d111d078fca326ba
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Aug 27 20:07:50 2009 -0400

    Alert message shouldn't stop Prey from doing its job

commit a07a7ea7708ff1ac6579b7e881ff58ad02fd0ba1
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Thu Aug 27 03:08:25 2009 -0400

    Updated bash installer for our non Ubuntu Linux friends

commit e58e380d2311b3a1d38af914819d8ec0615849d8
Author: Diego Torres <warorface@gmail.com>
Date:   Tue Aug 25 19:35:52 2009 -0400

    Uploaded ITALIAN LANGUAGE FILE

commit 661f9df11500ac0b390154fbb33504362d27759a
Author: Diego Torres <warorface@gmail.com>
Date:   Tue Aug 25 19:35:52 2009 -0400

    Uploaded ITALIAN LANGUAGE FILE

commit 3d9077aab4e53a814ecd4c90a3804baad8d17fb7
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Tue Aug 25 15:47:58 2009 -0400

    Fixes for 64 bit in Windows. Updated TODO

commit 8e2e0348b4158a9b1d6f1fd937fe42a3e93085d5
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Tue Aug 25 15:47:58 2009 -0400

    Fixes for 64 bit in Windows. Updated TODO

commit 940ae2215f27b384970ebacecb28f3e0becbea2f
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 17:49:34 2009 -0400

    Added new super sed for Windows

commit d45b40e2c95ed0a78772eebd41d78964c9f2a98c
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 17:49:34 2009 -0400

    Added new super sed for Windows

commit 6d0d91eb0c24a4c7dce12f8a4447f649894d1767
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 17:34:26 2009 -0400

    Renamed make_deb to make_packages

commit 1a015412a759f2d237b971a8e2d4703dd3b257cd
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 17:34:26 2009 -0400

    Renamed make_deb to make_packages

commit 4b1a22ba802d533071ed799336ca0bda97df4dd1
Merge: 0f74c07 4af9ab5
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 12:56:36 2009 -0400

    Merge branch 'face/master'

commit f80b79315caf0a1e2b39a145984b1bc01fdaa6ab
Merge: 61f31d9 7f96732
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 12:56:36 2009 -0400

    Merge branch 'face/master'

commit 7f9673204c5709e2734e047085947bc7b26a93b0
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 12:56:27 2009 -0400

    Added loginwindow pid checker from Face's fork

commit 4af9ab571c37807857dd9f9b09708684effe95a4
Merge: 084d008 12065dd
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 12:36:33 2009 -0400

    Merge branch 'master' of git://github.com/face/prey into face/master

commit ba59d9be391482fbf6e8428918de72a1ef63fcbd
Merge: 88909ed 5a07e39
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 12:36:33 2009 -0400

    Merge branch 'master' of git://github.com/face/prey into face/master

commit 0f74c075c4fe74c2e464cb2ce71b8f10c26c023c
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 12:36:21 2009 -0400

    Dev version is now 0.3.1, updated some bits of the sh installer. Fixed de trace route check and added zip generator for Darwin as well

commit 61f31d92c95fea5c8b0d9edceb6fb869fa709de9
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 12:36:21 2009 -0400

    Dev version is now 0.3.1, updated some bits of the sh installer. Fixed de trace route check and added zip generator for Darwin as well

commit 5a07e399b6dd18ce4fe46582cd020a23bdcb563c
Author: Rama McIntosh <rama@myutil.com>
Date:   Sun Aug 23 22:36:46 2009 -1000

    Become a child of loginwindow to access the camera from cron on OSX 10.5

commit 084d0087252cd40c87e7b86ca0cc61cebeed5065
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 00:15:26 2009 -0400

    Removing unneeded getter setting

commit 88909edd763465984c4e8b2082fa55c28dd0fed0
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 00:15:26 2009 -0400

    Removing unneeded getter setting

commit 12065dd9799ab4b2038946dd2190f005e211c96d
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 00:13:54 2009 -0400

    Added fixes from kaplanmyrth

commit c09142c2bd9bab241dd9cf55c9109afb12bbb11c
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 00:13:54 2009 -0400

    Added fixes from kaplanmyrth

commit 09e03bd99abb40cf9f6a389d6a4700897dcb175f
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 00:07:48 2009 -0400

    Fix for crontab path weirdness in Mac

commit 673765f9fc747110f22c51019ad7230e9023a229
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Mon Aug 24 00:07:48 2009 -0400

    Fix for crontab path weirdness in Mac

commit 611423996e342ac42aab5f2b97b726907bffcdee
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Aug 23 22:56:21 2009 -0400

    Added paths for ping/curl so we dont get funny behaviours in Mac OS via crontab

commit 4c642fbe17f44aa7b71a09a936d071658c747ca9
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Sun Aug 23 22:56:21 2009 -0400

    Added paths for ping/curl so we dont get funny behaviours in Mac OS via crontab

commit dc91e33a8287a02f902f054efacdd83aa5a6b267
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 21 17:39:39 2009 -0400

    Now, RIGHT 64 bit check for Windows, for x86_64 and x64

commit 6ed8db04f10f161298805a8f1acfeb5b59bc3125
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 21 17:39:39 2009 -0400

    Now, RIGHT 64 bit check for Windows, for x86_64 and x64

commit bc32a282194016bf04172ffb57e6af54c11e0a15
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 21 17:24:43 2009 -0400

    Better 64 bit check for Windows, for x86_64 and x64

commit 785e3e5e056e10d8ec6e7a491f1d1651ed9a1758
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 21 17:24:43 2009 -0400

    Better 64 bit check for Windows, for x86_64 and x64

commit a00cdbffd256c7647c01acb99b9b37856704ba62
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 21 17:20:35 2009 -0400

    Added 64 bit curl and check for Windows, and replaced the 32 bit with a lighter version

commit f8e189ff035ad0a2c924679632a0c634a4df9a47
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 21 17:20:35 2009 -0400

    Added 64 bit curl and check for Windows, and replaced the 32 bit with a lighter version

commit 8050b311ec78847b4694195f3b1b32fc28800bd1
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 21 16:29:27 2009 -0400

    Updated README

commit 4c78fad06512849ae7be670a8b2ce697b59d33e9
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 21 16:29:27 2009 -0400

    Updated README

commit c8dce8a2751648868f3cd6b04bb822489bb4287a
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 21 15:01:33 2009 -0400

    Windows: Dont cry if there no tasklist program

commit 04b4ef1a0d7099adb715483cb7664f72632b7b23
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 21 14:39:58 2009 -0400

    Added modified files check, changed email subject to match web service email format

commit f8e5bae95af6970e267f62510f76ac8a2237d6ef
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 21 14:39:58 2009 -0400

    Added modified files check, changed email subject to match web service email format

commit 515ad2f04567ea088505d5de165cb75b73fcd8fa
Author: Tomas Pollak <tomaspollak@gmail.com>
Date:   Fri Aug 21 14:16:44 2009 -0400

    Added DLL check for windows, if not found it downloads it from the internet

commit 2b8ea95530604da2690daa59c98eb71a359dc8ac
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 20 20:00:52 2009 -0400

    Fix for unary whatever expected in delay setting

commit f2ff1f6ff8641fbc3c0a06f53dde6a9e784ab3a4
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 20 20:00:52 2009 -0400

    Fix for unary whatever expected in delay setting

commit c97f177e505e1c589f39eac44e92447ae488a577
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 20 19:19:09 2009 -0400

    Cleaner logging. Better for debugging issues.

commit 58420794cccafeb707fdead75f8bd713da3e832f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 20 19:19:09 2009 -0400

    Cleaner logging. Better for debugging issues.

commit ea7aadbd3e69d3f0daf704c8fe047645b13b56d1
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 20 19:09:26 2009 -0400

    Moved the wifi_info function in Darwin where it belongs

commit c0433dad0762157ee10796df88c590df9f12cdfa
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 20 19:09:26 2009 -0400

    Moved the wifi_info function in Darwin where it belongs

commit 18f8d30e08b68d43d3d4e61841c710c983b70777
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 20 18:38:10 2009 -0400

    Removed initial checker for running prey until we find a better solution

commit a8dd73e4f9fb4f594ab0c34383c373bea09af669
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 20 18:38:10 2009 -0400

    Removed initial checker for running prey until we find a better solution

commit 585256d57ee4669c5c428d808f569b42aa314a47
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 20 18:16:10 2009 -0400

    Check if we actually got the picture in windows

commit cd5287803444ad476b671a9dd5fb45d15479a9dc
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 20 17:39:27 2009 -0400

    Fixed Windows wifi_info and traceroute

commit feeea77c6f67250d961ff1be59221a618a8742d1
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 20 17:39:27 2009 -0400

    Fixed Windows wifi_info and traceroute

commit 843291edd3cc573a9eb936bc4ebeed4946ae029d
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 20 02:02:44 2009 -0400

    Prey now checks connection against the web, not gateway ip

commit ce240d97683fa2a847436f9ffc19d08fffe904de
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 20 02:02:44 2009 -0400

    Prey now checks connection against the web, not gateway ip

commit a5e0508692ab3a294a79f2ca2d953ff2e4b8803b
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 17:50:08 2009 -0400

    Win configurator input positions

commit 4abc7579a947e29106914c750cd1ed937fda8d5f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 17:50:08 2009 -0400

    Win configurator input positions

commit f916ce8a59e0458e3bd26fdbd3c5d163ffdbb538
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 17:47:07 2009 -0400

    Win configurator input positions

commit 30abe927d7a4fa058c853e7e1605d20d74787e36
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 17:47:07 2009 -0400

    Win configurator input positions

commit 59a10dd7f131182a2dfd3d10ec3b76ecd0fa62e6
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 17:45:45 2009 -0400

    Win configurator input positions

commit 31da0e20d7a0df1d875e371e88819f3b4d482487
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 17:45:45 2009 -0400

    Win configurator input positions

commit 0e667c615d99518dfb39cf1b498271d95c050a70
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 17:44:35 2009 -0400

    Win configurator input positions

commit db3a46b454366b77b4b2136bb37bf02633580e1e
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 17:44:35 2009 -0400

    Win configurator input positions

commit fd522138570647a429320cbdba7e7660d6d4cba4
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 17:00:23 2009 -0400

    Updated Readme

commit 2b0f356c35e4e835ac0bd96f995658af9c33bda6
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 17:00:23 2009 -0400

    Updated Readme

commit f6060b2ebeb1f3f935af7fe3a175c96f90a19cd2
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 16:37:27 2009 -0400

    Removed Wifi config stuff since we're not gonna use it anyway

commit 5d6b6dc6368c2f3c10893e5e2fcce41764c38771
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 16:37:27 2009 -0400

    Removed Wifi config stuff since we're not gonna use it anyway

commit 3679aeeb19ebd31ab388745363941ef92fbe403d
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 16:34:31 2009 -0400

    Fixed email footers for langs

commit 023c2eb99c422e2cb783262cf9604163e66371c5
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 16:34:31 2009 -0400

    Fixed email footers for langs

commit 56fbd7e39db2581b8d4458db87ae9ffd3832558b
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 01:49:00 2009 -0400

    Important fix for traces with more than one line. Fixed the find error as well

commit 26673aed479c61dc5864d50f22dab966767d5dbc
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 19 01:49:00 2009 -0400

    Important fix for traces with more than one line. Fixed the find error as well

commit 1aa95d0f58875d68bca3d252c0db4fc5cd587ec5
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 21:22:19 2009 -0400

    One small bit for the script, one giant leap for Prey. Version 0.3 is official

commit e15bd785882402d1a4630781cc7e001527270ef9
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 21:22:19 2009 -0400

    One small bit for the script, one giant leap for Prey. Version 0.3 is official

commit 443f5c9a57c3a2fc5c1b10cd1a79ef4a570bb235
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 18:47:07 2009 -0400

    Removed unused BMP files in Windows

commit 90cbb6e4f6528f55a82884e90cd7324f98b101f1
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 18:45:17 2009 -0400

    Removed Prey link from Start Menu in Windows. bmp2png output goes where it belongs: to the void

commit 090d8f726a972c8e4f1e1f27a5d49741ea91291c
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 18:45:17 2009 -0400

    Removed Prey link from Start Menu in Windows. bmp2png output goes where it belongs: to the void

commit c5afde2f8a9feac90bb46901d016f5a05652fee9
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 18:32:51 2009 -0400

    Windows configurator fixes

commit 81a69240b5bd198d52ba773da67bbc190cf0191d
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 18:32:51 2009 -0400

    Windows configurator fixes

commit 6eea448d30bc285baef129f0189b8032cbd2ae9d
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 18:31:15 2009 -0400

    Replaced buggy simplecapture with simpler command line webcam capture tool

commit 50fbc0e8955136102e46bde8db88d87cfb7a39e4
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 18:31:15 2009 -0400

    Replaced buggy simplecapture with simpler command line webcam capture tool

commit 15a4421e7bb22ccf74333907bb8b63b31f2165c4
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 16:02:50 2009 -0400

    Moved the check url field in the Linux GTK Python configurator

commit d5000a1f23899a5ef13085175543d44fdfd6d0f5
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 16:02:50 2009 -0400

    Moved the check url field in the Linux GTK Python configurator

commit f3477e290f1b022f82cbace4e8d2fbbed16928fa
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 15:32:05 2009 -0400

    Updated .DEB maker

commit 05a566346c1801c7ec57b9a3409399f3dd8aae4e
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 15:32:05 2009 -0400

    Updated .DEB maker

commit bf594f61977fe6e0e9beee3fcb06527323d11ceb
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 15:16:24 2009 -0400

    Removed dirty echoing when user cannot edit the config file. Pointed URL check references to the right path.

commit 54ac15bc5e8079e00a63da2f2680a6729b94857b
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 18 15:16:24 2009 -0400

    Removed dirty echoing when user cannot edit the config file. Pointed URL check references to the right path.

commit 75eca46b868fe2397cc6c477dd6457348af5351a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 12 18:56:46 2009 -0400

    Updated lang files with Diego's new translations

commit 828c56b311c5585c52db2d29d13f456798520df3
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 12 18:56:46 2009 -0400

    Updated lang files with Diego's new translations

commit 69f21c6a2981cc33717a63641d198e690a771ef4
Author: warorface <diego@warorface.com>
Date:   Wed Aug 12 12:04:07 2009 -0700

    Advanced a little bit the translation.
    a few more strings left.

commit 5ec4b1da3df10240a7271afcb836e5b84a230e5b
Author: warorface <diego@warorface.com>
Date:   Wed Aug 12 12:04:07 2009 -0700

    Advanced a little bit the translation.
    a few more strings left.

commit cfe93da9c95dc89b9650f5e6d099a4ff12b37033
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 6 01:23:14 2009 -0400

    Suppressed messages from scheduler in Windows.

commit a4073df823308258c158033457edd1bd4c9a31a1
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 6 01:23:14 2009 -0400

    Suppressed messages from scheduler in Windows.

commit 42f38ebec7cacfaa704fbebad0e5e9aa3266ba58
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 6 01:09:06 2009 -0400

    Fixed interval getter and updater in Windows. Rock on.

commit e6281534b7344ef7dd4358383419c7e71c7419e8
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 6 01:09:06 2009 -0400

    Fixed interval getter and updater in Windows. Rock on.

commit cc1649e5f3d646dcbe440642fd0694a7f5c8a036
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 6 00:46:02 2009 -0400

    Added semi-blank active file for module activation in Windows installer

commit b5065293f734b60afe4d01ad2322509664b1ef1c
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 6 00:46:02 2009 -0400

    Added semi-blank active file for module activation in Windows installer

commit cb9872e24f0cc061eb6dff989a3e535132a8b868
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 6 00:36:45 2009 -0400

    Added delay checker including pasted stuff for Windows -- (NOT TESTED EVEN ONE BIT)

commit f1d9720b498d9ed56a826d5a737cd13b9c402fa0
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Aug 6 00:36:45 2009 -0400

    Added delay checker including pasted stuff for Windows -- (NOT TESTED EVEN ONE BIT)

commit 2a12885a2d9c78e5a34df65b6f80a41693c19364
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 5 23:47:35 2009 -0400

    Reordered the wifi libs for Windows and moved the wifi_info function to where it belongs (network module)

commit bbf32faa729851f63fa5560416550b297048cffc
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 5 23:47:35 2009 -0400

    Reordered the wifi libs for Windows and moved the wifi_info function to where it belongs (network module)

commit 175b44c463b69efcd1c58d162fa4ef6364d7795e
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 5 23:14:42 2009 -0400

    Added validations and ordered the windows configurator. Also removed the calls to /tmp in the module updater section, so it doesnt break in Windows

commit b24c31ee723767fe47c7769312b7e8dc5d78ec4c
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Aug 5 23:14:42 2009 -0400

    Added validations and ordered the windows configurator. Also removed the calls to /tmp in the module updater section, so it doesnt break in Windows

commit 64604bd774671503c52c6b060df443aef962d4ca
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 4 04:02:33 2009 -0400

    Removed pass encrypt tester and set up default modules for Windows

commit ac18e71b456d6c892761282d9cba7c8017c387f2
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 4 04:02:33 2009 -0400

    Removed pass encrypt tester and set up default modules for Windows

commit 2b9e9014ac0d14c4100ccad86f184218b190e001
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 4 03:48:11 2009 -0400

    Tested (working) Windows installer and added configurator too

commit a6037b10b2d8c764b2d313e9bc5e4f51522919af
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Aug 4 03:48:11 2009 -0400

    Tested (working) Windows installer and added configurator too

commit 3afd2974fad9908930ca2d3a0bace97b4c14b0bf
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Aug 3 15:30:43 2009 -0400

    Added Windows-specific network functions. Configurer for modules seems to work

commit 5b481d9c72ceb439af71e22e4ff163919ddb9173
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Aug 3 15:30:43 2009 -0400

    Added Windows-specific network functions. Configurer for modules seems to work

commit 9fdea6aabf8d59f6ae495825fde6729450b9e62e
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Aug 3 13:42:48 2009 -0400

    Changed temp screenshot and picture paths for more consistent routes between OSs

commit 076b70837f4818023216152fec6edfc5e10740be
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Aug 3 13:02:59 2009 -0400

    Added Windows webcam platform file

commit aa99d1e51f9fe7565951a0dd7dd8ad1d97bdce21
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Aug 3 13:02:28 2009 -0400

    Fixes for Windows and new stuff (auto_updater), etc

commit 47f08dc19bde8a39e2b814f451f71d4bf7fe89b7
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Aug 3 13:02:28 2009 -0400

    Fixes for Windows and new stuff (auto_updater), etc

commit 4d248f5c2fd0c4f35a92794c753842b3c21d2217
Merge: 2f4c156 3a16366
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Aug 3 11:31:11 2009 -0400

    Finished merger with new module structure. Added Windows-specific check for active modules

commit 4134f96394411ffb96843a033775ece62ad474c2
Merge: 9a3a715 6dc3df7
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Aug 3 11:31:11 2009 -0400

    Finished merger with new module structure. Added Windows-specific check for active modules

commit 3a16366fec89e34615c6007cdbed1ff438db51fe
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 29 03:55:41 2009 -0400

    Tested and fixed the module downloader. It works.

commit 6dc3df745106f844809086656f881907017edfb5
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 29 03:55:41 2009 -0400

    Tested and fixed the module downloader. It works.

commit feb0268ca96040ef2b35b20677700988be290462
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 29 03:33:08 2009 -0400

    Added slash hack for module config values. Now we deactivate previously all modules if theres a module configuration section in the response (so we can actually activate only the enabled ones)

commit 1c581ab6ca8943aebbb427bb7ef662a82a3cd84b
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 29 03:33:08 2009 -0400

    Added slash hack for module config values. Now we deactivate previously all modules if theres a module configuration section in the response (so we can actually activate only the enabled ones)

commit abde44c52c311e55e2780e08c65ee03ba294c93f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 29 03:15:59 2009 -0400

    Fixed module config parsing and reordered the config file a bit

commit 5ad78875e4b5dfdd3e6ba8c8f6302fc518157d2d
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 29 03:15:59 2009 -0400

    Fixed module config parsing and reordered the config file a bit

commit b3bc6a843fc9e0939b82cc8224c162f9fcc2ac3b
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 29 02:23:31 2009 -0400

    Renamed Location to Geo module. Added active_connections checker

commit 8bfa922ad13bd94f32f3c724c61e2d2863b52e89
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 29 01:59:22 2009 -0400

    Separated the report module into pieces (network/session/webcam). Added version files for new updater system

commit 9c62cac6eed46b875d291ab46f4e4e41a2a4f4ca
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 29 01:59:22 2009 -0400

    Separated the report module into pieces (network/session/webcam). Added version files for new updater system

commit 7c5345229064ccca004056cf583b1b647360e193
Merge: 7962a6b d3ea14c
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 28 22:39:56 2009 -0400

    Added updater system with version check and stuff

commit 722cf74b48bd0a10feca6136ade02a079d6c24b0
Merge: 1a66935 e574a71
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 28 22:39:56 2009 -0400

    Added updater system with version check and stuff

commit 7962a6b00b38f8df73666f4e7f3855df7364fbbb
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 28 20:08:42 2009 -0400

    Fixed module downloader and config parser

commit 1a66935c57cff488ef028fa131d7fb0fd7543b73
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 28 20:08:42 2009 -0400

    Fixed module downloader and config parser

commit 61de49a00e2cafceb98cee059e63a70db4f7e8b4
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jul 23 04:31:21 2009 -0400

    GTK Configurator: Fixed API and Device key setting from current config

commit 581ad0d4959b47625548ee91f04cd539dcb05b55
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jul 23 04:31:21 2009 -0400

    GTK Configurator: Fixed API and Device key setting from current config

commit 2f4c1564a5c69323544f07b3ac232b3f0e116889
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jul 23 01:49:39 2009 -0400

    Fixed var and string parsing for nicer report sending through email

commit 9a3a715dd5242e3acae5bf0a56bd710107182254
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jul 23 01:49:39 2009 -0400

    Fixed var and string parsing for nicer report sending through email

commit a38ce5f4241476c85ddfe39cf458a92886c8d9e9
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jul 23 01:36:22 2009 -0400

    Fix bug for backslashes in Windows being taken as tabs in file listing

commit 7c6b1e03b9dad6707ae3225b9a562d6978b9024a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jul 23 01:36:22 2009 -0400

    Fix bug for backslashes in Windows being taken as tabs in file listing

commit 8f802c0f40dac72a774ca09014d398e80af8abb1
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jul 23 01:24:09 2009 -0400

    Added missing then for if/else in emailsender function

commit a0bc69a9f54e9e59c3a975b7fce7d6b4f6934499
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jul 23 01:24:09 2009 -0400

    Added missing then for if/else in emailsender function

commit 23ccab1fb2029e0058bae9cbfc4fdd893fe559dd
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jul 23 01:18:32 2009 -0400

    Added sendEmail for Windows and optimized some sed calls

commit 8d6ff6af623d91da5ca3ff4efd118dc6cba98bfd
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jul 23 01:18:32 2009 -0400

    Added sendEmail for Windows and optimized some sed calls

commit 23450e22e4f0e4fd6ff24c19eeef6236929dd7a4
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jul 23 00:57:51 2009 -0400

    Added Scheduled Task for Win installation. Also Configure Prey shortcut. Paths now should work.

commit 647bbece6dff7665cc336d26def012f734a52a0a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jul 23 00:57:51 2009 -0400

    Added Scheduled Task for Win installation. Also Configure Prey shortcut. Paths now should work.

commit 3ead83bc74a743379b51cfe375777a7c66cd3a38
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 23:20:14 2009 -0400

    Zero tolerance rubbish remover

commit 53d400e96fe868640547943f865920e97b17e945
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 23:19:36 2009 -0400

    Zero tolerance rubbish remover

commit a89124dca98962401ba70732ff25ff26b963677a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 23:18:41 2009 -0400

    Zero tolerance rubbish remover

commit 92791b587c1208fab55ae4365d5c81b97f3825f8
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 23:14:10 2009 -0400

    Added spaces for AP's in Mac location module. Removing extra rubbish as well

commit 1258375c1ea7c2419487c7c0aef096dcaf7941ff
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 23:09:24 2009 -0400

    Added missing platform/base to Windows installer

commit e386a58e424f191b83620c4c6d5a570216b077b1
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 23:09:24 2009 -0400

    Added missing platform/base to Windows installer

commit d69eb109b2ee57ea17064fbfd0567bdafe781282
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 20:32:10 2009 -0400

    Added NSIS installer script for Windows

commit 633c07047ee4be38205cdd18acc15f3f414fdbf5
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 20:32:10 2009 -0400

    Added NSIS installer script for Windows

commit 98eacb5d759642daee86c218ea66c59a03da1dbe
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 05:40:56 2009 -0400

    Removed bash_history from Windows lib distribution

commit f08f60853ddbe06cf9ac35dc2793f08876cb7877
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 05:40:56 2009 -0400

    Removed bash_history from Windows lib distribution

commit b746279bb59c0e8d8ba107d1b53d8a822de5caf2
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 05:39:38 2009 -0400

    Added etc folder for bash to work in Windows

commit ee85cf84164938a2e7ff9b4105f3b0a9993bc95c
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 05:39:38 2009 -0400

    Added etc folder for bash to work in Windows

commit 3ed803f817a0bb10c7a0ef4c6455d7687344dcd9
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 05:29:06 2009 -0400

    Added library files for Windows version, includin bash and all the necesarry stuff. It's starting to work.

commit 807a31e0ab36fa329a67e82b01ac3f3acc4d137a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 05:29:06 2009 -0400

    Added library files for Windows version, includin bash and all the necesarry stuff. It's starting to work.

commit 6f821714dd59ed024595a33c18e9b416911209d7
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 03:49:49 2009 -0400

    Added check for gateway getter in Win. Better parsing the module name too

commit 2952acc16a0005e35c06d4ca0465c5fabf04a496
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 03:49:49 2009 -0400

    Added check for gateway getter in Win. Better parsing the module name too

commit 508b4f4357c544aab22f696311308cb25cfebaed
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 22 03:43:51 2009 -0400

    Remove extra stuff to avoid getting errors in Mac AP parsing

commit bc141bdd57de62990449dae187c84e73a6c1a9cb
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 05:06:26 2009 -0400

    Updated string checks for newer bash in Windows (3.1+) and added empty Windows files for modules

commit 5c62468c45766380d182d2cbc65b7361defaad49
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 05:06:26 2009 -0400

    Updated string checks for newer bash in Windows (3.1+) and added empty Windows files for modules

commit bfbe68ccc7a3d69faa6b3ff39e1ca804826f0b0d
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 04:11:26 2009 -0400

    Added first windows specific function

commit 3444080b5d03ae46d5fa49f1e7f5274d9523f1bb
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 04:11:26 2009 -0400

    Added first windows specific function

commit ee80c0d600e72ce5377b3c0bd9fcca44c1de896f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 04:10:50 2009 -0400

    Added fix for base_path in windows

commit 71714214470d057c0783fe3afae528cc28b9c351
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 04:10:50 2009 -0400

    Added fix for base_path in windows

commit 72c7b3abb76a8323a0fd7c30b39365dcb325d84d
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 03:51:25 2009 -0400

    Replaced [['s with find_in calls

commit 020a5c28d2aecd687e54e84ec35967053715c29c
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 03:51:25 2009 -0400

    Replaced [['s with find_in calls

commit 36150fa31ae4b5226db65ef08e38ce7cd4f0fdd6
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 03:46:29 2009 -0400

    Replaced [['s with find_in calls

commit 9c007faf350347af06713719d6fee3e8dfc92ef5
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 03:46:29 2009 -0400

    Replaced [['s with find_in calls

commit a3352abbdeef3854b38aa44f760c2182f3d514ac
Merge: 2003de2 2e44ffb
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 03:33:22 2009 -0400

    Merge branch 'master' into windows

commit eb3696e3c98562c506daaa50306ae365a775f8e6
Merge: 9a797a2 bafbe1c
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 03:33:22 2009 -0400

    Merge branch 'master' into windows

commit 2e44ffbc8d1cdd3bd0e196125119e5bdd0c0a8a6
Merge: c3f65f9 affa482
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 03:33:08 2009 -0400

    Merge branch 'location'

commit bafbe1c7d80c7280413534437ecedffb808cf85e
Merge: beaf06f a145d0a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 03:33:08 2009 -0400

    Merge branch 'location'

commit 2003de2f4d456b2146b8520b7287eb5f1c632f32
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 03:32:48 2009 -0400

    Added string finder function to replace [['s

commit 9a797a2161b9be761f60b9f8d53d7467f012da31
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 03:32:48 2009 -0400

    Added string finder function to replace [['s

commit affa482367574860c071c5a06e4a5c874b6e38dd
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 02:12:01 2009 -0400

    Fixed Mac wifi parsing for AP's with underscores. Better content-type detection

commit a145d0a0d4a9785c9230b4e9635e6d748ec2facf
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 02:12:01 2009 -0400

    Fixed Mac wifi parsing for AP's with underscores. Better content-type detection

commit e8bf064c2c404ed6746799e841b0b50363c82bd0
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 21 00:38:34 2009 -0400

    Fixed Mac Address getter in Mac

commit 6537e4053fba9853e958b5865d3f4bcbbee8be19
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 20 22:49:03 2009 -0400

    Mac Wifi AP parser seems to be working fine now

commit d3ea14c9ffb5315a3e248f64b472dcffee1dabe5
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jul 17 17:15:19 2009 -0400

    Commented the module config backup thing since we apply the configuration remotely

commit e574a714f5eb04f2bc61c437f5a33efb484ff8bf
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jul 17 17:15:19 2009 -0400

    Commented the module config backup thing since we apply the configuration remotely

commit 7c9dc958bcf9cb055cfb17192eb6fac2ba3b33df
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jul 17 17:11:35 2009 -0400

    Tell the user if we couldnt get the new module from repository

commit e7341f8dc0c85afa4176912e887cadc9c7917f6f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jul 17 17:11:35 2009 -0400

    Tell the user if we couldnt get the new module from repository

commit e977fa72911c59c312cd3ad38dad0ec0409985e8
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jul 17 17:09:45 2009 -0400

    Added module updater section

commit 567451a78bf45345cc587fe284dc62214b528877
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jul 17 17:09:45 2009 -0400

    Added module updater section

commit beaf06f857a2483dd08be1ecad028c1f4c0c51d6
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jul 17 02:14:44 2009 -0400

    Fixed small bug reported by Thanatermesis (from Elive project)

commit a3e8bc73675e8566331098a151c014aa0fc1de33
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 18:19:38 2009 -0400

    This is what happens when you do things the fast way

commit 5412b049715b8503a989efdef0d3db0a872112d9
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 18:19:38 2009 -0400

    This is what happens when you do things the fast way

commit 1ff4e93a4c213ad7d91ddfaae980438dce2258e5
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 18:18:23 2009 -0400

    REALLY REALLY fixed wifi AP parsing in Linux

commit e31b31642f54538c231fd1159af079374c02fa31
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 18:18:23 2009 -0400

    REALLY REALLY fixed wifi AP parsing in Linux

commit c82d4062732cb413f6fd39ae2642b84ce25b4244
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 18:12:48 2009 -0400

    REALLY fixed wifi AP parsing in Linux

commit 44c386a7e8a8486bf7040826d98bd3653a1dc316
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 18:01:18 2009 -0400

    Fixed wifi AP parsing in Linux

commit ea3a151bfa472730a3def3e5969cb66315d254c9
Merge: a18e6bd c3f65f9
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 17:45:52 2009 -0400

    Fixed merge conflicts for mac_address/wifi_info stuff

commit 690c00eac87ae26fd17ee23c093cfa117842b679
Merge: 95f9912 0576596
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 17:45:52 2009 -0400

    Fixed merge conflicts for mac_address/wifi_info stuff

commit c3f65f9dc8b22288bbda50032fe2b5edc54bd230
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 17:41:33 2009 -0400

    Added wifi_info check in Linux and updated mac address vars in report template (although we're not using them right now)

commit 0576596e1c713cb35637ddf371490933e423eb84
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 17:41:33 2009 -0400

    Added wifi_info check in Linux and updated mac address vars in report template (although we're not using them right now)

commit c452c43fc0b6d29d75a4749142ed3adf13c14c0f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 17:29:36 2009 -0400

    Commented the modified files getter for faster report generation

commit a18e6bdaddbfd33a9f4f836a4bcf37fbce1c1dc8
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 17:28:50 2009 -0400

    Removed duplicate code and ordered a bit the wifi_info stuff

commit 95f99124f688e0ad1f60364a64dc7f915a866363
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 17:28:50 2009 -0400

    Removed duplicate code and ordered a bit the wifi_info stuff

commit 02eaede115137fd06e8a8b891c767ccc8c6b0d20
Merge: c1107fe 2482602
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 17:06:36 2009 -0400

    Merge branch 'location' of git@github.com:tomas/prey into location

commit 95046587df5fbcd12f184c6650a21439ff115c0e
Merge: 81aa518 008f3ab
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 17:06:36 2009 -0400

    Merge branch 'location' of git@github.com:tomas/prey into location

commit c1107fe3fe00ae83abba14224c7a9aae1612cf40
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 17:05:48 2009 -0400

    Fixed wifi_device getter in Linux

commit 81aa5186c76635340311f2704d95600ffd65530d
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jul 15 17:05:48 2009 -0400

    Fixed wifi_device getter in Linux

commit 008f3abea46f9e4035f3aecfb233030c7392f387
Author: warorface <diego@warorface.com>
Date:   Tue Jul 14 14:27:19 2009 -0700

    Added some commands to ensure the Wifi to be available

commit 0debc7699511c8fda9a8ff33f2bbf7e5a1e87da5
Author: warorface <diego@warorface.com>
Date:   Mon Jul 13 21:43:09 2009 -0700

    Temporary Solution

commit ce287726ca2b96455b10c80670eb9588d6a8052a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 14 00:36:01 2009 -0400

    Removing tabs in Mac access point list

commit 5da0e2c21d883638b1850932380da8ea3c9c3472
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 14 00:26:17 2009 -0400

    Added configuration parsing for changing the running interval of Prey

commit 8d22153156bff9a53943a8ebcfc15b04aa7b3e01
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 14 00:26:17 2009 -0400

    Added configuration parsing for changing the running interval of Prey

commit 94015b374c03606e6e5b2e5e37b20e3cb604abe8
Author: warorface <diego@warorface.com>
Date:   Mon Jul 13 21:23:08 2009 -0700

    agregado un caracter...

commit bf73ce7a63d73e5bbffbeb2a4fd6d5e379f35420
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jul 14 00:00:11 2009 -0400

    Fixed access point parsing in Mac OS and internal ip getter

commit c03b13db57a217eb648f72479b4b52c538699e40
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 13 23:24:38 2009 -0400

    Fuckin' aye! Finished Darwin function for parsing the wifi access points. Location module should work in Mac as expected now.

commit 01c641f96d7a698aa9014b997383beebfd93c21b
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 13 21:49:47 2009 -0400

    Added some ideas for modules

commit 6c60254984b6b53f712b8d76397d1da539273984
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 13 21:49:47 2009 -0400

    Added some ideas for modules

commit 2482602a877a52f9d93054f0d69f4f21c364941f
Merge: 266725b 28ae250
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 13 01:32:50 2009 -0400

    Merge branch 'master' into location

commit 60fef5f5d3117e8644dbaf2b0fde65e9a91873b2
Merge: e7dfadf 64c79d1
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 13 01:32:50 2009 -0400

    Merge branch 'master' into location

commit 28ae2507cc9b5964ae735b50aea141cdaac091b4
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 13 01:32:42 2009 -0400

    Removed apostrophes from query string generator

commit 64c79d11ec5fe913bc64a5324e4b14f1ede3ca78
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 13 01:32:42 2009 -0400

    Removed apostrophes from query string generator

commit e7dfadf10a50db273857fa8f724f80503ffd228a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 13 01:31:52 2009 -0400

    Replaced whole response with address in Location module

commit 57f206ed898cf9fc8e19f026a4e61e570b8ef7d9
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 13 00:58:45 2009 -0400

    Even _better_ lat/lng parsing, with UTF-8 support for weird characters

commit 266725b6525013d6c8dbb4392189923c7cb4a1e5
Merge: 2ec93b1 f649c1f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 13 00:03:35 2009 -0400

    Merge branch 'master' into location

commit 4dfece79238b876fac2c10fe0fa76e440ca5830b
Merge: 884c30f 0490e73
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 13 00:03:35 2009 -0400

    Merge branch 'master' into location

commit f649c1faaebeabb6f21c45a7630e0be3161cf89a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 13 00:03:15 2009 -0400

    Added exit 0 status and configuration backup in Debian package preinstall

commit 0490e73d2ebde26aaaebc683b45a3730e67393cb
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jul 13 00:03:15 2009 -0400

    Added exit 0 status and configuration backup in Debian package preinstall

commit 884c30fb9e35b51ee93ea100ec84783786ed5f50
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 23:57:28 2009 -0400

    Better lat/lng parsing for JSON reponse

commit 2ec93b14f5d5b54102b0e55544829df01b9b44ed
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 23:26:29 2009 -0400

    Wifi geolocation workinggit diff (In Linux for now) Simplified the wifi_device getting too. Less code is better. :)

commit e9aa5439ea62866d0523e1c329b64c3ba98bcbea
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 23:26:29 2009 -0400

    Wifi geolocation workinggit diff (In Linux for now) Simplified the wifi_device getting too. Less code is better. :)

commit 526c618692c89a28353d891d950b0eb736fa8b10
Merge: 3f56bf3 f3a0078
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 22:36:39 2009 -0400

    Merge branch 'master' into location

commit 7ebc5392e57b882e453758b0dfd31d89fd4e5108
Merge: 47e87d1 2be6193
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 22:36:39 2009 -0400

    Merge branch 'master' into location

commit f3a0078bec67fdaa4dcd7d4c48ab1f54623072fe
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 03:53:08 2009 -0400

    Commented some messages. Small stuff.

commit 2be6193047542719462f97cff87ff71b9e4125ea
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 03:53:08 2009 -0400

    Commented some messages. Small stuff.

commit db36a3e7717fd9431787e4ba3bdff46a8055d1e7
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 03:49:58 2009 -0400

    Rewrote the XML parser, seems to work OK. Enables and disables modules as well. Much simpler to understand now.

commit aabe7a2ddef993ec6f47182ba7db59001cc0ea52
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 03:49:58 2009 -0400

    Rewrote the XML parser, seems to work OK. Enables and disables modules as well. Much simpler to understand now.

commit 117fa403b6fa7b7afeee2e4b7e48423f62efbb80
Merge: 176b1df d377971
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 02:32:17 2009 -0400

    Merge branch 'traces_by_module'

commit 1ae7555c20e7fd6c0168f2f518bb1fec9e576aa1
Merge: 7636f13 456028b
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 02:32:17 2009 -0400

    Merge branch 'traces_by_module'

commit 47e87d10df50e189e2d9f66c4edbc4ae95b6cdf8
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 02:27:03 2009 -0400

    Removed execution bit to disable Location module by default (till its ready that is)

commit 176b1df81fd74376d64701c4328af7a281f06e31
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 02:21:30 2009 -0400

    Changed module repository path. Removed repeated line of code

commit 7636f13765a91b1f7c0f37a1f55002c72925c404
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jul 12 02:21:30 2009 -0400

    Changed module repository path. Removed repeated line of code

commit 3f56bf3d5f8199e9086fdad9d843da2d033c6452
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sat Jul 11 23:49:13 2009 -0400

    Added Geolocation module (not within reports), with support for Wifi access point triangulation. Needs testing!

commit 2c854ca52faeb5106d9a5fa7602cc041badbcfa1
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sat Jul 11 23:49:13 2009 -0400

    Added Geolocation module (not within reports), with support for Wifi access point triangulation. Needs testing!

commit d377971b24a51a7fd1483f27c8c678b8ca4f195e
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sat Jul 11 22:09:24 2009 -0400

    Traces now get associated to the module that saved them. This way we can generate nodes in XML or arrays in query_strings for cleaner data posting.

commit 456028b528c268ecf5f80b7c49ee27185c1b5c84
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sat Jul 11 22:09:24 2009 -0400

    Traces now get associated to the module that saved them. This way we can generate nodes in XML or arrays in query_strings for cleaner data posting.

commit 5157906dff060f15f3d340757b8210b64762a067
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sat Jul 11 19:51:08 2009 -0400

    Cleaned out the Mac Address and Internal IP getters in Linux. Fixed module runner function.

commit 49da78b12d8ca385bac017cd01dd0dcbf3b41cee
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sat Jul 11 19:51:08 2009 -0400

    Cleaned out the Mac Address and Internal IP getters in Linux. Fixed module runner function.

commit b9d4dcfc48d4ca234196bfd0956423edd04daaa1
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sat Jul 11 19:18:37 2009 -0400

    Added initial geolocation support through Google Geocoding API. Renamed modules so they can be language-independent. Data is sent through Prey and not by the modules themselves.

commit 843741e2da17e4ec78c090b5dea8943455e25650
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sat Jul 11 19:18:37 2009 -0400

    Added initial geolocation support through Google Geocoding API. Renamed modules so they can be language-independent. Data is sent through Prey and not by the modules themselves.

commit 83af6bc46b986f0cc95297af905cfe8cac5ab62a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sat Jul 11 19:17:44 2009 -0400

    Reverted Diego's commits to put them in a new branch

commit c7c0bee1df9cc7365ba3cbdaf2e17f5e73745c58
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sat Jul 11 19:17:44 2009 -0400

    Reverted Diego's commits to put them in a new branch

commit 74f96389af4d58e6615cfb0894694f764ca3c053
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jul 9 21:11:42 2009 -0400

    -Added a script that keeps the Stolen status even if there is no connection.
     The stolen status will be activated when the url says so.
     If the pc is reported stolen and there is no connection, it will execute other modules that helps to find it and don't need internet.
     The stolen status will be removed when the url says so

commit 76d4f59dec4fbbf98c046f563332b705858ee271
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jul 9 21:11:42 2009 -0400

    -Added a script that keeps the Stolen status even if there is no connection.
     The stolen status will be activated when the url says so.
     If the pc is reported stolen and there is no connection, it will execute other modules that helps to find it and don't need internet.
     The stolen status will be removed when the url says so

commit 6a0a5938c6aa7c68a7f790d680e3751cfc6951b1
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jul 9 21:07:11 2009 -0400

    -Now reports via email are working again
    -read comments for further revision

commit f339d129e3ee3f4c08ccef7f5c6092703ed17426
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jul 9 21:07:11 2009 -0400

    -Now reports via email are working again
    -read comments for further revision

commit 88b5cf74a29bc02680d314f03e34e8ca577c1c4b
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jul 9 21:05:26 2009 -0400

    Report module changes:
    -Now the send via email is working again
    -If there is no connection this script wont run.
    It saves resources and time of execution for other modules

commit 5faa17b77e1236d1ac22de7d5cfc8b1cdf7dceea
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jul 9 21:01:46 2009 -0400

    Added some lines that saves new information

commit 7f26b838ffc3aa542d190af458f939ab62bbe604
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jul 9 21:01:46 2009 -0400

    Added some lines that saves new information

commit b7f3756e24f178d0052472fd6d3f470bf2443d98
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jul 9 21:00:22 2009 -0400

    Added some comments for further review
    Added new variables for better use

commit 84af2bdcd14d7cfbec510eda67bd63287aa97167
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jul 9 21:00:22 2009 -0400

    Added some comments for further review
    Added new variables for better use

commit 70168174f6fa9c08fcc6a27ace2d76aa6a18676f
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jul 9 20:57:51 2009 -0400

    Added a task to do
    
    Signed-off-by: Diego Torres <warorface@gmail.com>

commit 4447500dcef4252c1221bf1ea4974975fe5ef9c8
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jul 9 20:57:51 2009 -0400

    Added a task to do
    
    Signed-off-by: Diego Torres <warorface@gmail.com>

commit 2ee4b248626cb9396590d4176cca136dfc30e497
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jun 30 21:59:48 2009 -0400

    Echoed the mv screenshot in Linux right into the void

commit d9dda29f4b7496e89b4be1bebd997a39fa84a8d1
Merge: 2e68ca5 01a8953
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jun 26 05:14:31 2009 -0400

    Merge branch 'master' of git@github.com:tomas/prey

commit 1a6b40b9ff6be5de1e2bd721dac3cd71fefe642d
Merge: 0d592a7 6aebfd1
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jun 26 05:14:31 2009 -0400

    Merge branch 'master' of git@github.com:tomas/prey

commit 2e68ca5334f51b0ccda85c254b6aefdf0de30eee
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jun 26 05:12:59 2009 -0400

    Fixed KDialog in Debian post install. Set up right permissions for security. Fixed removal of files. Finished (encoded) password setting with GUI configurator. Gotta sleep now.

commit 0d592a7dfc2969b76ba297dc5f9e1bb43b77d649
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jun 26 05:12:59 2009 -0400

    Fixed KDialog in Debian post install. Set up right permissions for security. Fixed removal of files. Finished (encoded) password setting with GUI configurator. Gotta sleep now.

commit 01a8953980c1cd7f3a1ad4bd5ef0e877cdef5049
Author: Diego Torres <warorface@gmail.com>
Date:   Fri Jun 26 00:06:38 2009 -0400

    Added localized [yes/no] options

commit 6aebfd1daab5589f532776ca042fe5c50fe5fd35
Author: Diego Torres <warorface@gmail.com>
Date:   Fri Jun 26 00:06:38 2009 -0400

    Added localized [yes/no] options

commit aa61fdaf58f7ed59643da8ef0edcbc835a640ccb
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 22:17:09 2009 -0400

    Removing unneeded double corchete in prey test mode check

commit 3f4f7172b2f3a52b565605f0ee2914898081b425
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 22:17:09 2009 -0400

    Removing unneeded double corchete in prey test mode check

commit e3bdf225888d907323d8dd38bfcb8869afb9262f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 22:15:48 2009 -0400

    Finished api/device key configuration and setting up

commit 9b77204f0bfc10c200c210611471bf1f6a376dc0
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 22:15:48 2009 -0400

    Finished api/device key configuration and setting up

commit c35bb0ed09e6419d0fbf7728cddfba60a63d591b
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jun 25 20:05:55 2009 -0400

    Changed some Authoring atributtes

commit e57175e84bff99f18a1207faf1844e25f6dd5a20
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jun 25 20:05:55 2009 -0400

    Changed some Authoring atributtes

commit 732eba24955cf93dc70cbba2557e55a00ae99d4e
Merge: 3329c7c 6a55299
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jun 25 19:48:31 2009 -0400

    Merge git://github.com/tomas/prey

commit b9121746782f3068784fca5b3fb949f9ff5faef2
Merge: 6631798 3a80ca6
Author: Diego Torres <warorface@gmail.com>
Date:   Thu Jun 25 19:48:31 2009 -0400

    Merge git://github.com/tomas/prey

commit 3329c7caa1c78437a24fe476f006717e014ad8b4
Author: Diego Torres <diego@warorface.com>
Date:   Thu Jun 25 19:43:28 2009 -0400

    Changed some things on the TODO List

commit 6631798705e8759a583184b4212f025f2468c6ea
Author: Diego Torres <diego@warorface.com>
Date:   Thu Jun 25 19:43:28 2009 -0400

    Changed some things on the TODO List

commit 6a552994069092b30f200d0d74fdfe76a3eb4066
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 19:34:00 2009 -0400

    Only allow one instance of Prey to be ran. Using -f allows simultaneous preying

commit 3a80ca6ba24ddc5c7150c24979ada0836da3950c
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 19:34:00 2009 -0400

    Only allow one instance of Prey to be ran. Using -f allows simultaneous preying

commit 85816c51fefa718b5d7d7ecc949baa4c77efa39b
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 19:13:24 2009 -0400

    Status parsing fix for HTTP 1.0 responses

commit 46fc98605477963cbb097adfbc56602e8b7d6472
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 19:13:24 2009 -0400

    Status parsing fix for HTTP 1.0 responses

commit 7aab40244197d336ae387d69e85c29e44a289292
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 19:04:03 2009 -0400

    Squashes two Mac-related bugs for the report module

commit def3aab7d26879d061b3e32de288726168a390ac
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 19:00:52 2009 -0400

    Fix the net status check for Macintoshes and Hackintoshes and all the toshes out there

commit dfb4da2764d3a26c77b6d0820e9865c1fe48f01f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 19:00:52 2009 -0400

    Fix the net status check for Macintoshes and Hackintoshes and all the toshes out there

commit d11918b088da03e7a81f9a4cce6d0235c1fbf434
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 18:52:37 2009 -0400

    Fixed gateway IP functions and Mac airport bug

commit 5b1e090737431e6d81fc1408dd561e6c9497e730
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 18:52:37 2009 -0400

    Fixed gateway IP functions and Mac airport bug

commit 024aa1c30047d956ae7e04e4c0eee486fc16aa99
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 18:28:02 2009 -0400

    Added start time so all our modules can use it for reference (different SCP pushes will still arrive to the same remote destination

commit b4a442365060070187b654a83a1d24bc339bbe5a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 18:28:02 2009 -0400

    Added start time so all our modules can use it for reference (different SCP pushes will still arrive to the same remote destination

commit cb47e007733a42094c16bd482c2c16aaed374186
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 05:55:33 2009 -0400

    Fixed some stuff in the configurator. Almost good to go.

commit cef20b6352385cc3ee0a98fb33d83dfcafecb7d3
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 05:55:33 2009 -0400

    Fixed some stuff in the configurator. Almost good to go.

commit 643a3b042e4a84420ff8762667e9bdfa12cd1a9f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 05:29:24 2009 -0400

    GTK Configurator seems to be almost finished. Needs a lot of testing though

commit 206c7a7ec83bd6a3d845028bd45c62cbc07d63d8
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 05:29:24 2009 -0400

    GTK Configurator seems to be almost finished. Needs a lot of testing though

commit 6844c83ca3e7dea0302c52975fecad4ddafc912b
Merge: e4768e2 d685cc7
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 03:31:33 2009 -0400

    At Last! Merged the web_service branch, finished the trace logic, and added support for SCP data sending.
    Now you have the ability of adding your own modules. Just add traces and then post the data. Prey will
    use the config settings and will send the data accordingly using HTTP, SCP or email.
    
    Conflicts:
    	config
    	lang/en
    	lang/es
    	platform/base
    	prey.sh

commit c96de79849b1318388a5235012dcb540341ab604
Merge: 95da9d5 d685cc7
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Jun 25 03:31:33 2009 -0400

    At Last! Merged the web_service branch, finished the trace logic, and added support for SCP data sending.
    Now you have the ability of adding your own modules. Just add traces and then post the data. Prey will
    use the config settings and will send the data accordingly using HTTP, SCP or email.
    
    Conflicts:
    	config
    	lang/en
    	lang/es
    	platform/base
    	prey.sh

commit e4768e293fd12b180cc7f304e396f8c85846463b
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jun 24 13:39:30 2009 -0400

    Added new trace logic: modules gather the info, Prey sends whatever is stashed. Added path check so we don't need to CD into Prey's folder to run it.

commit 95da9d587d62cc444258c1713213b1b6b1f3e6c1
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jun 24 13:39:30 2009 -0400

    Added new trace logic: modules gather the info, Prey sends whatever is stashed. Added path check so we don't need to CD into Prey's folder to run it.

commit 93d2a5e47ac02be428bba660684f2aea0b4b926c
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jun 24 01:01:42 2009 -0400

    Fixed Debian Package generator so that we can put it in any descendant directory

commit 40e5bfcdede493816813cad0720e4e53ccb3332f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Jun 24 01:01:42 2009 -0400

    Fixed Debian Package generator so that we can put it in any descendant directory

commit bc1269f2ac3b9521044f3577350d31d265334d1b
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jun 23 22:00:09 2009 -0400

    Removed DEB from Repo, lets put it where it should be

commit cb74b1f7c95e0aff63277d5d070974308e6f7ae9
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jun 23 22:00:09 2009 -0400

    Removed DEB from Repo, lets put it where it should be

commit 1c20f33510259028b8c982065fb0eb0bf081aa07
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jun 23 21:58:15 2009 -0400

    Merged (not so cleanly) Diego Torres' Mac OS Installer code

commit 2d8d4021335267994414350d160c057f41b6bbb4
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jun 23 21:58:15 2009 -0400

    Merged (not so cleanly) Diego Torres' Mac OS Installer code

commit 84bf284a692857820d308835d124776ab15920f1
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jun 23 20:59:38 2009 -0400

    Added Graphical Configuration Tool for Linux! Finished postinst and prerm for Debian.
    This means we're almost ready to roll a .DEB package. Ubuntu repo mantainers, check it out! :)

commit 42db8e9705ee25d0253d704ca8d0459e607bcafb
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jun 23 20:59:38 2009 -0400

    Added Graphical Configuration Tool for Linux! Finished postinst and prerm for Debian.
    This means we're almost ready to roll a .DEB package. Ubuntu repo mantainers, check it out! :)

commit 8709fb8db12a927dbdfc80a256027508637bb8ee
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jun 23 19:14:05 2009 -0400

    Use NetworkManager for autoconnecting in Linux in case we have it

commit f30c0237fe79e52eb293ad07202ee279a0f2fdbb
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jun 23 19:14:05 2009 -0400

    Use NetworkManager for autoconnecting in Linux in case we have it

commit 531ea52208a66955d3d75d37a0863a97d368630b
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jun 23 04:12:27 2009 -0400

    Finished initial modularation, Report and Alert are the first ones. Added potential XML parsing method. Debian Postinst kinda works.

commit 7bdaf2bc02c0caebae120aeb524ee70f7e87d789
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jun 23 04:12:27 2009 -0400

    Finished initial modularation, Report and Alert are the first ones. Added potential XML parsing method. Debian Postinst kinda works.

commit 18d3944a51e3f8d4b8378fa862689d5fb3a87f18
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jun 22 21:36:40 2009 -0400

    IMPORTANT COMMIT! New modular/plugin-based arquitecture, added Debian package generator

commit 2b5ffb0328e3a71f605e89dc6ccdc17a93870d88
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jun 22 21:36:40 2009 -0400

    IMPORTANT COMMIT! New modular/plugin-based arquitecture, added Debian package generator

commit 1a96e5887f62082dd3a1aecfdfb6a95ab3854ddc
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jun 22 20:11:18 2009 -0400

    Fixed net status check

commit 7d6483f3f86a910d1ded69f961c3bc34618bd634
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jun 19 16:52:15 2009 -0400

    Added swedish option in installer

commit c0e3d0acb181389682436f2c11c10608383b0a8a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jun 19 15:58:19 2009 -0400

    Added network status check and swedish localization file.

commit d685cc7273761a0d7eabe1ddb13c29a04c55fd8e
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Jun 16 03:45:33 2009 -0400

    Fixed multipart form-data image uploading with Curl.

commit 12d8d6756f7e342d804b4dafbe3c90f4ffbf4ca1
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sat Jun 13 04:44:49 2009 -0400

    Removed debug URL echoing in installer

commit f96b2d405c0eb8fc6d3363608ccdcfd1dd8173be
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sat Jun 13 04:39:46 2009 -0400

    Added automatic registration to the web service. Installer parses and puts the neceessary Keys in the config file. And yes, it works. :)

commit 3723e04b708eed2c0267dc4d92f13b0a5e183822
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jun 8 20:58:18 2009 -0400

    Simplified the http sending methods. The HTTP Tunnel should work now. Testing needed!

commit 157727a3ac5f2fbcf1db7a8256b1572e9aded76f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jun 8 20:11:43 2009 -0400

    Forgot to rename the test config

commit 36819dea6a39e6bdb4f8482946b2b94185ff469c
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Jun 8 19:00:35 2009 -0400

    Finished posting to Webapp. Tested and it works. Installer also asks for necessary questions (api key, device key).

commit d02e755b03b979a7924c34be5669a4d26197fb99
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jun 7 19:49:06 2009 -0400

    Added multiple methods for sending the report: direct email, email through http tunnel, or web service (with registration). Needs testing though. In fact the web service isn't even finished yet!

commit fdb5047b2dad8876fe156d78bcec7f3031f83d81
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Jun 7 18:42:30 2009 -0400

    Little changes. Translated message button in Mac. Fixed word order in english wallpaper

commit 0a77ff0582c68bef4a9ba4786b46eee39c577f4f
Merge: 978d6a6 268e8d8
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jun 5 13:29:40 2009 -0400

    Changes in mails for localization files

commit 268e8d83875d488511cc35a2741c25e0c9042b8f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jun 5 13:27:10 2009 -0400

    Small fixes in English lang

commit 978d6a6d2d990761272b61fb3982df9277a9ee80
Author: Tomas Pollak <tomas@bootic.net>
Date:   Fri Jun 5 13:20:59 2009 -0400

    Fixed package installation in openSUSE

commit 2cb8289e0c7fb0268f65b3853a13b116e1d20080
Author: gitsean <admin@technologyisyourfriend.com>
Date:   Fri Jun 5 10:16:41 2009 -0700

commit 52a2136b78762b124dd154cf9a1ae93efaa07186
Author: Edwood Ocasio <eocasio@andromeda-nomad.(none)>
Date:   Fri May 8 22:53:03 2009 -0400

    Small english translation changes in lang/en

commit 6c12222e3f8c211fbd3512818d4a8ef3502e7aef
Author: Edwood Ocasio <eocasio@andromeda-nomad.(none)>
Date:   Fri May 8 22:47:05 2009 -0400

    1. Added link to GeoIP free service.
    2. Added link to traceroute from Princeton

commit 3d2362f97d642d3857e5c16d30c466f2000705ac
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed May 6 02:37:33 2009 -0400

    Separated Mac & Linux functions. Fixed Mac wifi_info bug. Cleaned code a bit. Added Mac message code from Matias. Added Changelog

commit 39ea78a1385276e845a85193aa747a4518c374bd
Merge: 0b3fbee 4c77969
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed May 6 00:49:42 2009 -0400

    Merge branch 'warorface/master'

commit 4c77969a353de55b5bbbf29ba52355b8b784cb17
Merge: 0e8308f af325c9
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed May 6 00:49:08 2009 -0400

    Merge branch 'master' of git://github.com/warorface/prey into warorface/master

commit 0b3fbee3f21126e3acbdce226834ef616b94682a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed May 6 00:48:37 2009 -0400

    Mac alert MSG by Matias Halles. UNTESTED

commit af325c94a3182656ca6a933e445b4dd514f1944f
Author: warorface <diego@warorface.com>
Date:   Sun Apr 26 16:41:32 2009 -0700

    Cambiado a "si [ IP_INTERNA ES IGUAL (==) A "" (VACIO) ]" porque el anterior tenia 2 fallas:
    1.- Logistico: Verificaba si habia WiFi o no, no si habia conexión a Internet.
    2.- Fatal Error: En Mac, el $wifi_info tira un string siempre (Airport: On - Airport Off) por lo que nunca estaria vacio y nunca se cumpliria la condición.

commit 0e8308f08fd4a957c0d7372d447e730ee07a3d15
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Apr 16 18:01:25 2009 -0400

    Netstat -taue doesnt work in Mac OS

commit 476a5e30acd9ba24a142a52dae71df40b62ea4f2
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Apr 13 18:13:41 2009 -0400

    Finished translating installer to spanish and fixed some other stuff too. Wallpapers now have a dotted line so that the user
    knows he has to put something in it.

commit 9e0e95f6d8588b146f08c3b22c75c84626cbe5a9
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Apr 7 01:44:33 2009 -0400

    Small fix in lang files for installer

commit ab3dcb38893af91d425bf69b011b7dbdb5911a22
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Apr 7 01:21:14 2009 -0400

    Small fix for strings in Prey main script

commit aac2ee0325b610214b2a0641d81e29dc9beb920f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Apr 7 01:13:34 2009 -0400

    Changed language names to international codes. Added initial support for langs in installer.

commit ca130b83aa9c811a7b92ed7ede05fb7cdec23992
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Apr 7 00:20:55 2009 -0400

    Added item to TODO list so we dont forget to put in changelog

commit 6d07dc6199ed5e9564e6f75538e9ac173a064806
Merge: afc6898 aa5b9b9
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Apr 7 00:20:11 2009 -0400

    Merged Juan Carlos changes'. Cut the remote config stuff to put in a new branch

commit afc6898698d917182b4f29770572d0b3c2b56374
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Apr 7 00:05:12 2009 -0400

    Added apostrophes for missing spaces in strings. Also fixed some and changed others.

commit aa5b9b9cdd30ee5da6715b890cc2134f1ea42c26
Author: Juan C. Mardones Koning <contacto@juanmardones.com>
Date:   Mon Apr 6 21:58:15 2009 -0400

    Edited some comentaries, to make it more formal.

commit bb77dd3a000492054cdefd3532f4d28a412d5aa5
Author: Juan C. Mardones Koning <contacto@juanmardones.com>
Date:   Mon Apr 6 21:22:07 2009 -0400

    Deleted the word small and added some http// in the credits.

commit d477157befd907bba13f2248f1b28a29fd0ed7d3
Author: Juan C. Mardones Koning <contacto@juanmardones.com>
Date:   Mon Apr 6 21:12:15 2009 -0400

    Added support for remote files, WARNING experimental feature!!

commit e8457bfa2273a53d6dd166e84d215cd0e090b353
Author: Juan C. Mardones Koning <contacto@juanmardones.com>
Date:   Mon Apr 6 21:11:30 2009 -0400

    Changed "," to ,

commit c38275d9e85e1f9af4c02b23f850f36708b543bb
Author: Juan C. Mardones Koning <contacto@juanmardones.com>
Date:   Mon Apr 6 20:46:11 2009 -0400

    changed 0/1 >> y/n

commit 8b46b4623b27aa13bf8bca36809d854e38b50a82
Author: Juan C. Mardones Koning <contacto@juanmardones.com>
Date:   Mon Apr 6 20:33:20 2009 -0400

    Created the file arguments for remote configuration

commit 18613c4b1b2f111c56d8e50e555b49e1137fac1f
Merge: 5cce644 fab0fa4
Author: Juan C. Mardones Koning <contacto@juanmardones.com>
Date:   Mon Apr 6 20:26:19 2009 -0400

    Merge branch 'master' of git@github.com:tomas/prey

commit 5cce644db4881d521d0e513a38d90e50fd6d7e8f
Author: Juan C. Mardones Koning <contacto@juanmardones.com>
Date:   Mon Apr 6 20:24:17 2009 -0400

    Modified Some string

commit f948b63ae1b46006a5174200ee46ca2ee1e5c0c4
Author: Juan C. Mardones Koning <contacto@juanmardones.com>
Date:   Mon Apr 6 20:23:57 2009 -0400

    Added Wallpaper String

commit fab0fa43200bfc2243b8e0d2fd77ce7d3075892a
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Apr 6 20:20:37 2009 -0400

    Removed .gitignore, it should be on each one's repo

commit 92357956831753866c177ffa87bd2d79e0173fd0
Merge: e881306 e565859
Author: Juan C. Mardones Koning <contacto@juanmardones.com>
Date:   Mon Apr 6 20:13:33 2009 -0400

    Merge commit 'origin/master'

commit e565859dbb48f7db3d8176fda666c951c0a5b3ff
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Apr 6 19:22:56 2009 -0400

    Tested wallpaper alert in GNOME. Default to zoom mode. Also fix for mac wifi autoconnect

commit e881306fc6329ef62ed8537c004262a98740c545
Author: Juan C. Mardones <jmardones@acidkube.(none)>
Date:   Mon Apr 6 19:22:06 2009 -0400

    full language support

commit 7bc96785027aebfc9e4ed6bfecb3d11d4a9f1bdd
Author: Juan C. Mardones <jmardones@acidkube.(none)>
Date:   Mon Apr 6 19:21:47 2009 -0400

    some modifications for full lang support

commit bf34eef833ac15f477da6a5062b1c08874688382
Author: Juan C. Mardones <jmardones@acidkube.(none)>
Date:   Mon Apr 6 19:14:06 2009 -0400

    added vars for a full locale version

commit a6610c9b373af35de4aac34275f561d7718ae7fa
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Apr 6 19:01:25 2009 -0400

    Fixed Mac autoconnect. Added wallpaper alert and images.

commit 99b580ae1ff026baae26dbb369d315e677a32811
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Apr 6 12:56:46 2009 -0400

    Default installpath is the same for Mac & Linux

commit ed8e56a345398b9b36ae0ffe8db143d060fc1b55
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Apr 6 12:44:56 2009 -0400

    Updated README and replaced LICENCE with better-text-looking version.

commit a23d79d80f23373a8c364aa3e24435a90f6217ea
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Apr 6 11:48:55 2009 -0400

    Mac Wifi Autonnect now works, thanks to Diego Torres (warorface.com). Thanks Diego!

commit ae2063bb51d2e1167c67023c52c070da7c942188
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Apr 2 20:12:45 2009 -0400

    (This is from previous commit!) Added language for emails (spanish/english). Changed default installation path.
    Configuration now goes separated from Prey. Installer now checks and creates a temp_config file, and deletes old
    Prey path files (/usr/local/bin). Updated version to 0.2!

commit 471df081a3f0cf35cf09b1f4b9b6526397f24b8b
Merge: 15997f2 a8fc902
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Apr 2 20:11:27 2009 -0400

    Merge branch 'langs'
    
    Conflicts:
    
    	install.sh

commit 15997f2eeb20ef81517fa6238edb4b2cf45dad0d
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Apr 2 18:54:33 2009 -0400

    Separated config file from prey script. Prey installer now defaults to /usr/share/prey as the installation path.
    It also shows the removal commands when installed. Now we need to actually add the lang files.

commit a8fc9022c2486daff7584909f191746444785c08
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Apr 1 15:33:11 2009 -0400

    Added language files from Juan Mardones (juanmardones.com). We still need to figure out where to put them (/usr/local/bin) doesnt seem the best place anymore

commit d751933e7df5395cbb9d77e08b819ab337a442ab
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Apr 1 15:14:49 2009 -0400

    Added .gitignore for gEdit's temp files

commit f7608037ed3d1ea7a979f6eef78cbc3d705c9344
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Apr 1 15:12:26 2009 -0400

    Fixed some stuff in email sending. Added initial script to auto-connect to first open wifi network. Updated README with info about Windows
    version. Yup, that's right!

commit ada862feab408ddf1ffde407f814ea9d0c3432ea
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Mar 29 04:17:53 2009 -0400

    Dont you just hate it when the error comes from a missing whitespace?

commit 5b7dde0b286614528edd6fc206f2efcc97692008
Author: Tomas Pollak <tomas@bootic.net>
Date:   Sun Mar 29 04:03:53 2009 -0400

    Fixed black screenshot issue in Mac (crontab root). Changed some of the text in the email so that everything's in spanish.
    We'll add language templating later.

commit d05e4141335ef4811e44b575e509e15bed31546c
Author: Tomas Pollak <tomas@bootic.net>
Date:   Thu Mar 26 03:06:24 2009 -0400

    Fixed screenshot on root/non-root. Correct package names for RPM based distros.

commit 41745bc62b5af43ab87c6c44834193245f9f03b8
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Mar 25 19:12:11 2009 -0400

    Damn, forgot to close an if statement

commit a1708ffb284f86f8afd7b156d9c0be8d52ba25ef
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Mar 25 17:00:14 2009 -0400

    If Prey is ran as root, it gets the screenshot as the last logged on user

commit 260d86d4dafb7b73e99da6547774594c99dac491
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Mar 25 15:10:29 2009 -0400

    - Added support for non-JPG webcams (they take PPM's).
    - Fixed scrot screenshot from outside X.
    - Added GDM/KDM/XDM/Entrance support for dropping the thief from X.
    - No longer checking for GNOME, just directly Zenity.
    - Screenshot var is cleaned if we couldn't get one.

commit 15bbfeaba05c57029774bb4b46228739b3c7aed9
Author: Tomas Pollak <tomas@bootic.net>
Date:   Wed Mar 25 14:28:09 2009 -0400

    Fixed crontab for relative path app invocation.

commit a6f4e194cd0225b9fa69f105746f9bcb3a95a35e
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Mar 24 03:38:47 2009 -0400

    Added scrot (screenshot in Linux) support

commit dd7131046e711ac6a910519fc27062cbe9518c4f
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Mar 24 03:37:46 2009 -0400

    Added scrot (screenshot in Linux) support

commit 0e0b2fa1a2fa6359bfa5b557a1b990064d51a7cc
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Mar 24 03:16:56 2009 -0400

    Updated TODO

commit 339234adc5c171355eaf38f5cd846df45201d2fa
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Mar 24 03:15:28 2009 -0400

    Added CentOS in RPM based distros in installer

commit 2017bcb506fb0eb5baba2c45f57c18290b35080d
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Mar 24 03:10:14 2009 -0400

    Shit, mispelled license

commit 72ef48b58252d5d21f892e5da1440df0920aa91e
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Mar 24 03:06:00 2009 -0400

    Added GPLv3 licence

commit 33d6bca68ccf19c80c23618a5a0c6e849ecbd754
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Mar 24 02:56:40 2009 -0400

    Updated README file

commit c6bce992ea28df7df38df7f91b36e54d4033f7a0
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Mar 24 02:50:14 2009 -0400

    Fixed package installation in Ubuntu & Debian

commit d052a5f72b0425a413884287036f08675633a1d9
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Mar 24 02:40:56 2009 -0400

    Added Perl packages for RPM based distros.

commit 24cef88dac4bbcfdb90537216a20f20ed9082b45
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Mar 24 01:34:49 2009 -0400

    GNOME/KDE check in killall armaggedon

commit a20453ee79c87a6a2c491bb19f4b607e3c02d5a5
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Mar 24 01:30:51 2009 -0400

    Fixed Wifi Info and Private IP getter

commit da652e04662ce5ada65dc4fe690b3a52840dbfdf
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Mar 24 01:14:51 2009 -0400

    Added default install path for Mac in /usr/bin. SMTP username now uses as default the email address.

commit 95956c955a0a3f80ec2c025a40f3a7fdf3021085
Author: Tomas Pollak <tomas@bootic.net>
Date:   Tue Mar 24 01:04:47 2009 -0400

    Added REAL emailSender, so no longer we depend on Mailx or Sendmail (crappy MTA's). This means we now use SMTP username and password.

commit 8d6a6017eeb92d2013c91a9ef0a1d6e1ed82c784
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Mar 23 20:15:11 2009 -0400

    Added traceroute as requisites in info. Public IP was still using wget in Mac.

commit 60d26d7b44914573b0856b4f9f059acbef543703
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Mar 23 19:50:02 2009 -0400

    Links now point to Github.

commit a7ef38f432d60f5e14e537385ebf9650cea6c08d
Author: Tomas Pollak <tomas@bootic.net>
Date:   Mon Mar 23 19:43:49 2009 -0400

    Renamed files and references to "Prey".

